# Interspire Email Marketer Changelog

## Version: 8.5.1
Released: 31 January, 2025

- Added: Check to prevent memory limit reset.
- Added: Missing bounce calling function.
- Added: UTF-8 encoding to resolve contact import issues.
- Fixed: Stuck bounce processing issue.
- Fixed: Blank page issue during manual bounce processing.
- Fixed: Contacts/domains search ignoring search keyword.
- Fixed: PHP Notices and Warnings.


## Version: 8.5.0
Released: 20 December, 2024

- Added: Modernized and responsive user interface for an enhanced experience.
- Added: Support for PHP 8.2 / 8.3 for improved compatibility.
- Added: Unsubscribe survey feature for better user feedback.
- Added: Pre-header field below subject line to enhance email personalization.
- Added: Folder view in campaigns and autoresponders for better organization.
- Enhanced: Dynamic content tags tests will also allow testing for null values.
- Enhanced: Optimized options for search speed for "All Contacts" on large lists.
- Enhanced: Autoresponder titles now include list names for easier navigation.
- Fixed: Alignment issues in "View All Contacts" widgets.
- Fixed: Issue preventing deletion of the last webhook in contact lists.
- Fixed: Duplicate imodal.js files removed.
- Fixed: GetCustomFields handling of overlapping keys in different formats.
- Fixed: Images in new unsaved newsletter go to wrong directory.
- Fixed: PHP Notices and Warnings.

## Version: 8.4.1
Released: 8 November, 2024

- Enhanced: Minimum memory requirement increased from 64MB to 128MB
- Enhanced: Some database indexes restored for improved performance
- Fixed: Automatic bounce processing (via Cron Job) issue causing non-responses to bounce emails
- Fixed: YouTube link popup in Builder JS not appearing as expected
- Fixed: Bug in copying custom email templates with TinyMCE enabled
- Fixed: Confirm Unsubscribe page displaying even after a user has unsubscribed
- Fixed: Warnings on unsubscribe actions
- Fixed: Forgot password feature issue
- Fixed: Campaign creation bug when Surveys addon is disabled
- Fixed: Unlayer editor JavaScript compatibility issues


## Version: 8.4.0
Released: 15 July, 2024 

- Added: RFC-6238 TOTP based 2FA a.k.a Authenticator App Support
- Added: Google oAuth2 Support for bounce email processing
- Added: Retrieve the latest newsletter of a contact list
- Updated: Password hashing

Files Added/Changed:
-------------------
	admin/com/install/schema.mysql.php
	admin/com/language/default/bounce.php
	admin/com/language/default/lists.php
	admin/com/language/default/login.php
	admin/com/language/default/settings.php
	admin/com/lib/API/USERS.class.php
	admin/com/lib/AuthenticationSystem.class.php
	admin/com/templates/bounce_details.tpl
	admin/com/templates/otp_app.tpl
	admin/com/templates/otp_qr_code.tpl
	admin/com/templates/settings.tpl
	admin/com/templates/user_error.tpl
	admin/functions/api/api.php
	admin/functions/api/bounce.php
	admin/functions/api/editor.php
	admin/functions/api/jobs_bounce.php
	admin/functions/api/lists.php
	admin/functions/api/settings.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/bounce.php
	admin/functions/lists.php
	admin/functions/login.php
	admin/functions/settings.php
	display-last.php
	And more files
	vendor/chillerlan/php-authenticator/
	vendor/chillerlan/php-qrcode/
	vendor/webklex/php-imap/
	vendor/{Other vendor packages}
	changelog.txt
	version.txt

## Version: 8.3.3
Released: 29 April, 2024 

- Added: Surveys can now have an expiration date
- Added: Survey export includes date information
- Upgraded: BuilderJS upgraded to version 5.0.7
- Updated: Confirmation forms now mobile responsive. Contributor: Martijn Mulder
- Fixed: BuilderJS button widget not working properly
- Fixed: Incorrect date displayed in the Stats page JS graph chart
- Fixed: User ID missing when creating a list via API
- Fixed: BuilderJS images are left-aligned
- Fixed: Custom fields in Autoresponders email
- Miscellaneous minor fixes

Files Added/Changed:
-------------------
	admin/addons/surveys/api/surveys.php
	admin/addons/surveys/language/language.php
	admin/addons/surveys/surveys.php
	admin/addons/surveys/templates/survey_expired.tpl
	admin/addons/surveys/templates/survey_form.tpl
	admin/builderjs.php
	admin/com/lib/IEM.class.php
	admin/com/upgrades/20240429/surveys_add_expiration_date_column.php
	admin/functions/api/jobs_autoresponders.php
	admin/functions/api/lists.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/includes/js/builderjs/builder.js
	admin/resources/email_templates/builderjs/default/0005-blank/index.html
	BuilderJS v5.0.7 1096 files
	changelog.txt
	version.txt

	
## Version: 8.3.2
Released: 22 April, 2024 

- Enhancement: Hide email templates on editing email campaigns 
- Fixed: Send email campaign to filtered subscribers
- Fixed: Display of unconfirmed contacts in detail and edit pages
- Fixed: OTP user lock out
- Fixed: Survey division by zero error, along with warning for undefined id
- Fixed: Extra elements from builderjs present in TinyMCE HTML & console errors
- Fixed: Issues with editing content in the Unlayer
- Fixed: Unable to upload HTML file
- Fixed: Emojis not displayed in View Scheduled Email Queue page
- Fixed: Export Contact Info Stat
- Fixed: Can not save more than one section in Survey form
- Misc. minor fixes

Files Added/Changed:
-------------------
	admin/addons/surveys/api/widgets.php
	admin/addons/surveys/surveys.php
	admin/com/lib/IEM.class.php
	admin/com/templates/editor_fileupload.tpl
	admin/com/templates/newsletter_form_builderjs_step1.tpl
	admin/com/templates/newsletter_form_step2.tpl
	admin/functions/api/subscribers.php
	admin/functions/api/templates.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/login.php
	admin/functions/newsletters.php
	admin/functions/remote.php
	admin/functions/schedule.php
	admin/functions/sendstudio_functions.php
	admin/functions/stats.php
	admin/functions/subscribers_edit.php
	admin/functions/subscribers_view.php
	changelog.txt
	version.txt


## Version: 8.3.1
Released: 28 February, 2024 

- Fixed IEM debug mode error
- Removed the Video Widget from BuilderJS as it is not supported in email clients

Files Added/Changed:
-------------------
	admin/com/init-legacy.php
	admin/com/init.php
	admin/com/lib/IEM.class.php
	admin/functions/api/upgrade.php
	admin/includes/js/builderjs/builder.js
	changelog.txt
	version.txt

	
## Version: 8.3.0
Released: 20 February, 2024 

- Added Support For Mysql 8.X And Mariadb > 10.4 and < 11
- Added Extra Header Text Area Box At Campaign Send
- Added Alert On Contact List Delete
- Modified Newsletters Contacts Tracking For Improved Sending Speed
- Fixed Editing Segment That Uses Date Range 'Is Between' Doesn't Display Correctly
- Fixed The webhook fails to be triggered when new contacts are added through the contact form
- Fixed More Sql Order By / Full Group By
- Code cleanup

Files Added/Changed:
-------------------
	admin/addons/dynamiccontenttags/api/dynamiccontenttag.php
	admin/addons/splittest/api/splittest.php
	admin/addons/splittest/api/splittest_stats.php
	admin/addons/splittest/schema.mysql.php
	admin/addons/splittest/splittest.php
	admin/addons/surveys/api/surveys.php
	admin/builderjs.php
	admin/com/ext/interspire_email/email.php
	admin/com/init.php
	admin/com/install/schema.indexes.php
	admin/com/install/schema.mysql.php
	admin/com/language/default/language.php
	admin/com/language/default/lists.php
	admin/com/lib/IEM.class.php
	admin/com/templates/editor_builderjs.tpl
	admin/com/templates/lists_manage.tpl
	admin/com/templates/send_step3.tpl
	admin/functions/api/autoresponders.php
	admin/functions/api/jobs.php
	admin/functions/api/lists.php
	admin/functions/api/send.php
	admin/functions/api/ss_email.php
	admin/functions/api/stats.php
	admin/functions/api/triggeremails.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/installer.php
	admin/functions/send.php
	admin/functions/sendstudio_functions.php
	admin/functions/settings.php
	admin/functions/showcustomfields.php
	admin/functions/stats.php
	admin/functions/subscribers_import.php
	changelog.txt
	confirm.php
	form.php
	link.php
	version.txt

	
## Version: 8.2.2
Released: 05 January, 2024 

- Added pass email address and status from IEM form to external website
- Modified the dimensions of the BuilderJS popup window
- Fixed quoting when creating the dynamic buttons in BuilderJS and Unlayer
- Fixed can not send email campaign when images warnings exist
- Fixed BuilderJS Edit Mode - Undefined text is appearing



Files Added/Changed:
-------------------
	admin/addons/dynamiccontenttags/api/dynamiccontenttag.php
	admin/addons/surveys/api/surveys.php
	admin/builderjs.php
	admin/com/lib/IEM.class.php
	admin/com/templates/editor_builderjs.tpl
	admin/functions/api/upgrade.php
	admin/functions/send.php
	admin/functions/sendstudio_functions.php
	admin/functions/showcustomfields.php
	changelog.txt
	confirm.php
	form.php
	version.txt
	

## Version: 8.2.1
Released: 08 December, 2023 

- Fixed BuilderJS background-image insertion and loading issues
- Fixed Database 'subscriberconfirmcode' field is missing
- Fixed Undefined variable record_click_bot

Files Added/Changed:
-------------
	admin/builderjs.php
	admin/com/install/schema.mysql.php
	admin/functions/api/stats.php
	admin/functions/send.php
	admin/functions/sendstudio_functions.php
	admin/includes/js/builderjs/builder.js
	changelog.txt
	version.txt
	

## Version: 8.2.0
Released: 27 November, 2023 

- Added RFC 8058 Unsubscribe OneClick functionality
- Added LinkClick Bots detection and display in statistics
- Modified More Collation / Charset cleanups
- Modified Double opt-in Confirmation flow
- Updated Forms new design
- Fixed From email address missing from list owner notification
- Fixed Updated Column Exist Test for Null Warning
- Fixed Exporting bounce statistics only gives the first 10 records
- Misc. minor fixes

Files Changed:
-------------
	admin/com/ext/database/mysql.php
	admin/com/language/default/forms.php
	admin/com/language/default/frontend.php
	admin/com/language/default/stats.php
	admin/com/language/default/users.php
	admin/com/lib/IEM.class.php
	admin/com/lib/IEM/MinimumVersion.class.php
	admin/com/lib/record/Users.class.php
	admin/com/templates/default_form_message.tpl
	admin/com/templates/header_login.tpl
	admin/com/templates/login.tpl
	admin/com/templates/stats_step3_links_row.tpl
	admin/com/templates/stats_step3_links_table.tpl
	admin/com/templates/unsubscribe_confirm_form.tpl
	admin/com/templates/user_edit_own.tpl
	admin/com/templates/user_form.tpl
	admin/functions/api/send.php
	admin/functions/api/ss_email.php
	admin/functions/api/stats.php
	admin/functions/api/subscribers.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/manageaccount.php
	admin/functions/remote_stats.php
	admin/functions/stats.php
	admin/functions/users.php
	changelog.txt
	confirm.php
	link.php
	unsubscribe.php
	version.txt


Files Added:
-------------
	admin/com/templates/confirm_subscriber_form.tpl
	
	
## Version: 8.1.1
Released: 26 October, 2023 

- Modified Double opt-out unsubscribe flow 
- Reordered database tables creation 
- Fixed Newsletters Statistics under Contact Information Tab has inconsistent records
- Fixed Unable to search Unconfirmed contacts
- Fixed Forms editing not working properly(editor selection)
- Fixed PHP Notice and Warning

Files Changed:
-------------
	admin/com/install/schema.mysql.php
	admin/com/language/default/frontend.php
	admin/com/lib/IEM.class.php
	admin/com/templates/default_form_message.tpl
	admin/com/templates/stats_step3_recipientlist_newsletter_row.tpl
	admin/com/templates/stats_step3_recipientlist_newsletter_table.tpl
	admin/functions/api/lists.php
	admin/functions/api/send.php
	admin/functions/api/stats.php
	admin/functions/api/subscribers.php
	admin/functions/api/upgrade.php
	admin/functions/emoji.php
	admin/functions/forms.php
	admin/functions/sendstudio_functions.php
	admin/functions/stats.php
	changelog.txt
	unsubscribe.php
	version.txt

Files Added:
-------------
	admin/com/templates/unsubscribe_confirm_form.tpl


## Version: 8.0.1
Released: 25 September, 2023 

- Fixed Autoresponders not working
- Fixed DBcheck Addon: default column is missing in editor table
- Fixed Empty string value assign to class variable editor (int)

Files Changed:
-------------
	admin/addons/dbcheck/api/dbcheck.php
	admin/functions/api/autoresponders.php
	admin/functions/api/newsletters.php


## Version: 8.0.0
Released: 31 August, 2023 
- Added BuilderJS Email Editor
- Added more bounce rules
- Changed the word wrap length to 750 chars
- Improved emojis support
- Added more accepted characters rules for Username
- Fixed issue exporting statistics - Contributor: Phil Veloso (https://github.com/phil-veloso)
- Fixed Data Types joined by Pipe returns syntax error, unexpected '|'
- Fixed security issue with link.php
- Fixed issue with IP tracking
- Fixed issue with URLs in dynamic content tags
- Fixed new subscribers not confirmed through double opt-ins
- Misc. minor fixes


Files Changed:
-------------
	admin/addons/dbcheck/api/dbcheck.php
	admin/addons/dynamiccontenttags/api/dynamiccontenttag.php
	admin/addons/dynamiccontenttags/dynamiccontenttags.php
	admin/addons/dynamiccontenttags/schema.mysql.php
	admin/addons/dynamiccontenttags/templates/dynamiccontentblocks_form.tpl
	admin/addons/dynamiccontenttags/templates/dynamiccontenttags_form.tpl
	admin/addons/surveys/api/surveys.php
	admin/addons/surveys/surveys.php
	admin/com/ext/interspire_email/email.php
	admin/com/init-legacy.php
	admin/com/language/default/autoresponders.php
	admin/com/language/default/forms.php
	admin/com/language/default/language.php
	admin/com/language/default/users.php
	admin/com/lib/IEM/InterspireTemplate.class.php
	admin/com/templates/editor_multipart.tpl
	admin/com/templates/editor_unlayer.tpl
	admin/com/templates/form_editor_html.tpl
	admin/com/templates/newsletter_form_step2.tpl
	admin/com/templates/user_form.tpl
	admin/functions/api/newsletters.php
	admin/functions/api/ss_email.php
	admin/functions/api/templates.php
	admin/functions/autoresponders.php
	admin/functions/emoji.php
	admin/functions/forms.php
	admin/functions/installer.php
	admin/functions/newsletters.php
	admin/functions/remote.php
	admin/functions/sendstudio_functions.php
	admin/functions/showcustomfields.php
	admin/functions/stats.php
	admin/functions/templates.php
	admin/functions/users.php
	admin/includes/js/imodal/imodal.css
	admin/includes/js/javascript.js
	admin/includes/styles/stylesheet.css
	admin/resources/bounce_rules.php
	changelog.txt
	confirm.php
	link.php
	version.txt

Files Added:
-----------
	admin/addons/dynamiccontenttags/templates/dynamiccontenttags_list_end_bjs.tpl
	admin/addons/surveys/templates/tinymce_surveylist_bjs.tpl
	admin/builderjs.php
	admin/com/templates/editor_builderjs.tpl
	admin/com/templates/editor_multipart_builderjs.tpl
	admin/com/templates/editor_unlayer.tpl
	admin/com/templates/show_editor_templates.tpl
	admin/com/templates/template_form_step1_builderjs.tpl
	admin/CssToInlineStyles.php
	admin/functions/api/editor.php
	admin/includes/js/builderjs/{Directories and Files}
	admin/resources/email_templates/builderjs/default/{templates}
	admin/resources/email_templates/html/{Moved from email_templates directory}
	admin/resources/email_templates/json/{Unlayer Templates}
	admin/com/upgrades/20230823 {Directory and Files}
	vendor/{directories and Files}


## Version: 7.1.0
Released: 1st March, 2023
- Added help links option in private label settings
- Fixed pagination on Link Stats table in the campaign overview
- Fixed The number rows displayed is reset everytime one goes to the next page
- Fixed Unsupported operand types: string * int error
- Fixed Email Campaigns loading issue in the campaign listing
- Fixed 'Split Test Campaigns' option in the Cron Settings does not save
- Fixed Unicode characters and Emojis are not displaying in some cases in the UI
- Fixed Print Statistics not working
- Fixed deprecated php methods causing notices/errors

Files Changed:
-------------
	admin/com/ext/server_stats/server_stats.php
	admin/com/init-legacy.php
	admin/com/language/default/autoresponders.php
	admin/com/language/default/bounce.php
	admin/com/language/default/customfields.php
	admin/com/language/default/language.php
	admin/com/language/default/newsletters.php
	admin/com/language/default/send.php
	admin/com/language/default/settings.php
	admin/com/language/default/subscribers.php
	admin/com/language/default/templates.php
	admin/com/language/default/triggeremails.php
	admin/com/lib/IEM.class.php
	admin/com/templates/settings.tpl
	admin/functions/api/newsletters.php
	admin/functions/api/settings.php
	admin/functions/api/stats.php
	admin/functions/api/upgrade.php
	admin/functions/autoresponders.php
	admin/functions/emoji.php
	admin/functions/index.php
	admin/functions/newsletters.php
	admin/functions/sendstudio_functions.php
	admin/functions/settings.php
	admin/functions/stats.php
	admin/includes/js/tiny_mce/plugins/responsive_filemanager/filemanager/config/config.php
	changelog.txt
	version.txt


## Version: 7.0.2
Released: 17 Feb, 2023
- Added Javascript-based Captcha - Contributor: Oliver Georgi (https://github.com/slackero) for the JS Captcha.
- Added Export button on some statistics pages
- Fixed Unable to update UserGroups[Incorrect integer value '']
- Fixed Bounce processing password authentication in some edge cases
- Fixed Unable to create jobs - Incorrect integer value empty string for column 'approved'
- Fixed Unable to schedule email campaigns 'Cannot access offset of type string on string'
- Fixed deprecated php methods causing notices/errors



Files Changed:
-------------
	admin/com/ext/database/db.php
	admin/com/ext/interspire_email/email.php
	admin/com/install/schema.mysql.php
	admin/com/language/default/forms.php
	admin/com/lib/AuthenticationSystem.class.php
	admin/com/lib/IEM.class.php
	admin/com/templates/bounce_details.tpl
	admin/com/templates/captcha_code.tpl
	admin/com/templates/form_form_step1.tpl
	admin/com/templates/settings.tpl
	admin/com/templates/stats_step3_bounces_table.tpl
	admin/com/templates/stats_step3_forwards_table.tpl
	admin/com/templates/stats_step3_recipientlist_table.tpl
	admin/com/templates/stats_step3_unsubscribes_table.tpl
	admin/com/templates/stats_triggeremails_summary.tpl
	admin/functions/api/captcha.php
	admin/functions/api/forms.php
	admin/functions/api/jobs.php
	admin/functions/api/upgrade.php
	admin/functions/bounce.php
	admin/functions/forms.php
	admin/functions/remote_stats.php
	admin/functions/send.php
	admin/functions/stats.php
	admin/resources/form_designs/Classic White (Default)/modifydetails.html
	admin/resources/form_designs/Classic White (Default)/subscribe.html
	admin/resources/form_designs/Classic White (Default)/unsubscribe.html
	form.php
	unsubform.php
	updatedetails.php
	changelog.txt
	version.txt

## Version: 7.0.1
Released: 1st Feb, 2023
- Fixed [ConsoleError]- SyntaxError Unexpected Token ';'
- Fixed Trying to access array offset on value of type bool
- Fixed 'LNG_TriggerEmails_Stats_Title' already defined
- Fixed Langvar 'Sent' doesn't exist

Files Changed:
-------------
	admin/com/language/default/stats.php
	admin/com/language/default/triggeremails.php
	admin/com/lib/IEM.class.php
	admin/com/templates/header.tpl
	admin/com/upgrades/20230201/update_db_version.php
	admin/functions/api/upgrade.php
	admin/functions/settings.php
	changelog.txt
	link.php
	version.txt

## Version: 7.0.0
Released: 27th January, 2023
- PHP 8.0 and 8.1 Supported
- Misc. minor fixes and code cleanup

Files Changed:
-------------
	400+ files
	changelog.txt
	version.txt


## Version: 6.5.2
Released: 10th November, 2022
- Fixed a security vulnerability(SQL Injection) in the survey addon
- Increased URL length to be 2,048 chars as per RFC
- Fixed Default SMTP Tick for users issue
- Fixed TinyMCE whitespace for outlook issue
- Fixed Preventing TinyMCE from adding spaces within HTML comments

Files Changed:
-------------
	admin/com/install/schema.mysql.php
	admin/com/lib/IEM.class.php
	admin/com/templates/editor.tpl
	admin/com/templates/user_form.tpl
	admin/functions/api/upgrade.php
	surveys.php
	changelog.txt
	version.txt


## Version: 6.5.1
Released: 8th Semptember, 2022
- Added webhooks integration (Lists & Campaigns)
- Added return_format 'xml' option in GetCustomFields function request
- Fixed a security vulnerability in the survey addon
- Changed the default paste behavior of TinyMCE
- Fixed a bug in the dynamic content tags

Files Changed:
-------------
	admin/addons/dynamiccontenttags/templates/dynamiccontentblocks_form.tpl
	admin/com/install/schema.mysql.php
	admin/com/lib/IEM.class.php
	admin/com/templates/editor.tpl
	admin/com/templates/lists_form.tpl
	admin/com/templates/newsletter_form_step2.tpl
	admin/functions/api/lists.php
	admin/functions/api/subscribers.php
	admin/functions/api/upgrade.php
	admin/functions/lists.php
	admin/functions/newsletters.php
	admin/functions/send.php
	admin/functions/sendstudio_functions.php
	admin/functions/subscribers_add.php
	surveys_submit.php
	changelog.txt
	version.txt


## Version: 6.5.0
Released: 1st April, 2022
- Added export statistics (Open, Links, Bounce, Unsubscribe, etc.)
- Added configurable auto-delete of unconfirmed and bounced addresses
- Changed default charset from utf8 to utf8mb4
- Force version check on SSL site
- Fixed API GetTemplates access issue
- Fixed typo in unsub subject line constant

Files Changed:
-------------
	admin/addons/dynamiccontenttags/schema.mysql.php
	admin/addons/splittest/schema.mysql.php
	admin/addons/splittest/splittest_stats.php
	admin/addons/splittest/templates/splittest_campaign_stats.tpl
	admin/addons/surveys/schema.mysql.php
	admin/addons/updatecheck/templates/default.tpl
	admin/com/install/schema.mysql.php
	admin/com/language/default/settings.php
	admin/com/lib/DeleteBounced.class.php
	admin/com/lib/DeleteUnconfirmSub.class.php
	admin/com/language/default/upgradenx.php
	admin/com/language/default/whitelabel.php
	admin/com/templates/settings.tpl
	admin/com/templates/stats_autoresponders_step3.tpl
	admin/com/templates/stats_newsletters_step3.tpl
	admin/com/templates/stats_step3_links_table.tpl
	admin/com/templates/stats_step3_opens_table.tpl
	admin/com/templates/stats_triggeremails_manage.tpl
	admin/com/templates/stats_triggeremails_summary.tpl
	admin/com/xml.php
	admin/cron/cron.php
	admin/cron/delete_bounced_addresses.php
	admin/cron/delete_unconfirmed_subscribers.php
	admin/functions/api/settings.php
	admin/functions/api/templates.php
	admin/functions/forms.php
	admin/functions/index.php
	admin/functions/remote_stats.php
	admin/functions/settings.php
	admin/functions/stats.php
	admin/functions/templates.php
	admin/modules/tracker/_install/mysql.php
	changelog.txt
	version.txt


## Version: 6.4.3
Released: 3rd March, 2022
- Fixed default email footer doesn't display gif image
- Fixed the NBSP code issue in importing contacts via CSV 
- Fixed Contacts not imported and diverted to suppression, not display in pop up
- Fixed values of visible custom fields are not appearing in contacts listing.
- Fixed Dynamic Content Tags, the TinyMCE tools(Hyperlink, Image etc.) opening in popup don't work.
- Fixed Single and double quotes issue in Dynamic Content Tags 'Content Block.
- Fixed MySQL group by clause contains nonaggregated columns issue

Files Changed:
-------------
	admin/addons/dynamiccontenttags/templates/dynamiccontentblocks_form.tpl
	admin/addons/splittest/api/splittest_stats.php
	admin/com/init.php
	admin/com/language/default/whitelabel.php
	admin/com/lib/IEM.class.php
	admin/com/lib/IEM/Installer.class.php
	admin/functions/api/lists.php
	admin/functions/api/stats.php
	admin/functions/api/upgrade.php
	admin/functions/subscribers_import.php
	admin/functions/subscribers_manage.php
	changelog.txt
	version.txt


## Version: 6.4.2
Released: 23rd Nov, 2021
- Fixed TinyMCE Image Manager directory issue
- Added Session timeout default value
- Removed deprecated php methods causing notices/errors

Files Changed:
-------------
	admin/com/lib/IEM/Installer.class.php
	admin/com/lib/Maintenance.class.php
	admin/com/templates/editor.tpl
	admin/functions/login.php
	admin/functions/schedule.php
	admin/functions/sendstudio_functions.php
	admin/functions/settings.php
	admin/includes/js/tiny_mce/plugins/responsive_filemanager/filemanager/UploadHandler.php
	admin/includes/js/tiny_mce/plugins/responsive_filemanager/filemanager/ajax_calls.php
	admin/includes/js/tiny_mce/plugins/responsive_filemanager/filemanager/config/config.php
	admin/includes/js/tiny_mce/plugins/responsive_filemanager/filemanager/dialog.php
	admin/includes/js/tiny_mce/plugins/responsive_filemanager/filemanager/execute.php
	admin/includes/js/tiny_mce/plugins/responsive_filemanager/filemanager/lang/en_EN.php
	admin/includes/js/tiny_mce/plugins/responsive_filemanager/filemanager/plugin.min.js
	changelog.txt
	version.txt
	
	
## Version: 6.4.1
Released: 22nd Oct, 2021
- Added two factor authentication feature
- Added admin can force users to select and configure their own SMTP server
- Added self signed certificate setting option
- Process UTF-8 encoded subject lines in bounced messages
- Fixed export statistics count issue
- Removed deprecated php methods causing notices/errors

Files Changed:
-------------
	admin/com/ext/interspire_email/email.php
	admin/com/install/schema.mysql.php
	admin/com/language/default/login.php
	admin/com/language/default/settings.php
	admin/com/language/default/users.php
	admin/com/language/default/usersgroups.php
	admin/com/language/default/whitelabel.php
	admin/com/templates/settings.tpl
	admin/com/templates/user_edit_own.tpl
	admin/com/templates/user_form.tpl
	admin/functions/api/api.php
	admin/functions/api/bounce.php
	admin/functions/api/settings.php
	admin/functions/api/stats.php
	admin/functions/api/user.php
	admin/functions/login.php
	admin/functions/manageaccount.php
	admin/functions/settings.php
	admin/functions/stats.php
	admin/functions/users.php
	changelog.txt
	version.txt

Files Added:
-------------
	admin/com/templates/otp.tpl
	admin/com/templates/otp_error.tpl
	admin/com/templates/otp_not_sending.tpl
	admin/com/templates/otp_not_sending.tpl
	admin/com/templates/otp_sending_error.tpl
	admin/com/templates/otp_success.tpl
	admin/com/templates/otp_user_error.tpl
	admin/com/templates/resetpassword.tpl
	admin/com/templates/resetpassword_error.tpl
	admin/com/templates/user_error.tpl
	
	
	
## Version: 6.4.0
Released: 10th August, 2021
- Updated TinyMCE to 5.8.2

Files Changed:
-------------
	admin/com/templates/editor.tpl
	admin/com/templates/header.tpl
	admin/functions/api/send.php
	admin/functions/api/stats.php
	admin/functions/emoji.php
	admin/functions/newsletters.php
	admin/includes/js/tiny_mce/{files and directories}
	changelog.txt
	version.txt

Files Added:
-------------
	admin/functions/emoji.php


## Version: 6.3.0
Released: 15th July, 2021
- PHP 7.4 supported
- Added triggers on specific time
- Added user session timeout
- Fixed statistics total unique clicks discrepancy
- Fixed debugging addon setting reverting to unchekced in some edge cases
- Fixed autoresponders filter by custom field issue
- Fixed 'Trying to access array offset on value of type null' issue
- Removed deprecated php methods causing notices/errors
- Misc. minor fixes and code cleanup

Files Changed:
-------------
	admin/addons/debug/debug.php	
	admin/addons/dynamiccontenttags/dynamiccontenttags.php	
	admin/addons/interspire_addons.php	
	admin/addons/splittest/api/splittest_stats.php	
	admin/com/ext/database/db.php	
	admin/com/ext/interspire_email/email.php	
	admin/com/ext/interspire_template/class.template.php	
	admin/com/init-legacy.php	
	admin/com/language/default/settings.php	
	admin/com/language/default/triggeremails.php	
	admin/com/lib/IEM.class.php	
	admin/com/templates/header.tpl	
	admin/com/templates/settings.tpl	
	admin/com/templates/stats_triggeremails_manage.tpl	
	admin/com/templates/triggeremails_form.tpl	
	admin/com/templates/triggeremails_manage.tpl	
	admin/com/upgrades/20210715/update_db_version.php	
	admin/functions/api/api.php	
	admin/functions/api/bounce.php	
	admin/functions/api/captcha.php	
	admin/functions/api/jobs_autoresponders.php	
	admin/functions/api/jobs_triggeremails.php	
	admin/functions/api/settings.php	
	admin/functions/api/ss_email.php	
	admin/functions/api/stats.php	
	admin/functions/api/triggeremails.php	
	admin/functions/api/upgrade.php	
	admin/functions/api/user.php
	admin/functions/autoresponders.php
	admin/functions/bounce.php	
	admin/functions/lib/amcharts/common.php	
	admin/functions/lib/general/utf8.php	
	admin/functions/process.php	
	admin/functions/settings.php	
	admin/functions/triggeremails.php	
	changelog.txt	
	version.txt	
	

## Version: 6.2.3
Released: 5th May, 2021
- Removed deprecated PHP methods causing notices/errors
- Implemented strong user password rules
- Fixed xml api call issue
- Fixed Split test contacts issue
- Misc. minor fixes and code cleanup

Files Changed:
-------------
	admin/addons/splittest/splittest_send.php
	admin/com/language/default/login.php
	admin/com/lib/AuthenticationSystem.class.php
	admin/com/templates/forgotpassword_step2.tpl
	admin/com/templates/user_form.tpl
	admin/functions/autoresponders.php
	admin/functions/api/ss_email.php
	admin/functions/bounce.php
	admin/functions/login.php
	admin/functions/users.php
	admin/com/xml.php
	display.php
	changelog.txt
	version.txt
	readme.txt


## Version: 6.2.2
Released: 07 September, 2020
- PHP 7.3 supported
- Added 'Outlook 2016' Email Client Compatibility
- Removed deprecated PHP methods causing notices/errors
- Fixed Auto Open Statistics bug
- Fixed XSS security hole in Survey Addon function
- Fixed Autoresponder preview email campaign bug
- Misc. minor fixes and code cleanup

Files Changed:
-------------
	surveys_submit.php
	admin/stats_chart.php
	admin/com/lib/IEM.class.php
	admin/functions/api/customfields.php
	admin/functions/api/customfields_dropdown.php
	admin/functions/api/ss_email.php
	admin/functions/api/stats.php
	admin/functions/api/upgrade.php
	admin/functions/autoresponders.php
	admin/functions/process.php
	admin/functions/remote_stats.php
	admin/functions/sendstudio_functions.php
	admin/functions/stats.php
	admin/functions/stats_chart.php
	admin/functions/subscribers_export.php
	admin/functions/subscribers_manage.php
	admin/resources/email_templates/Business/Furniture (1 Column)/index.html
	changelog.txt
	upgrade.txt
	version.txt


## Version: 6.2.1
Released: 26th June, 2019
- PHP 7.2 supported
- Added 'Debugging' Addon (Email, Bounce, Autoresponder and Trigger)
- Removed deprecated PHP methods causing notices/errors
- Fixed Survey Addon remote code execution vulnerability
- Fixed Trigger bug
- Fixed bug in Email Campaign HTML Content - Editor tools alignments(Center, Right, Full) do not work.
- Add and schedule email campaign to contact list via pure XML API
- Misc. minor fixes and code cleanup

Files Changed:
-------------
	surveys_submit.php
	admin/addons/surveys/surveys.php
	admin/addons/splittest/print_stats.php
	admin/addons/splittest/splittest.php
	admin/addons/splittest/splittest_stats.php
	admin/addons/splittest/api/splittest_stats.php
	admin/addons/surveys/language/language.php
	admin/addons/surveys/templates/survey.tpl
	admin/com/ext/database/db.php
	admin/com/ext/database/mysql.php
	admin/com/ext/interspire_email/email.php
	admin/com/ext/interspire_event/interspireevent.php
	admin/com/language/default/autoresponders.php
	admin/com/language/default/bounce.php
	admin/com/language/default/customfields.php
	admin/com/language/default/forms.php
	admin/com/language/default/infotips.php
	admin/com/language/default/language.php
	admin/com/language/default/lists.php
	admin/com/language/default/newsletters.php
	admin/com/language/default/segment.php
	admin/com/language/default/send.php
	admin/com/language/default/settings.php
	admin/com/language/default/stats.php
	admin/com/language/default/subscribers.php
	admin/com/language/default/templates.php
	admin/com/language/default/triggeremails.php
	admin/com/language/default/users.php
	admin/com/language/default/whitelabel.php
	admin/com/lib/AuthenticationSystem.class.php
	admin/com/lib/IEM.class.php
	admin/com/lib/IEM/DBFACTORY.class.php
	admin/com/lib/IEM/Installer.class.php
	admin/com/templates/bounce_details.tpl
	admin/com/templates/bounce_help.tpl
	admin/com/templates/bouncestep2warning.tpl
	admin/com/templates/customfields_manage.tpl
	admin/com/templates/customfields_manage_empty.tpl
	admin/com/templates/editor.tpl
	admin/com/templates/infotips_readmore.tpl
	admin/com/templates/settings.tpl
	admin/com/templates/subscribers_import_step2.tpl
	admin/com/templates/user_form.tpl
	admin/functions/autoresponders.php
	admin/functions/bounce.php
	admin/functions/installer.php
	admin/functions/sendstudio_functions.php
	admin/functions/subscribers_import.php
	admin/functions/upgradenx.php
	admin/functions/api/bounce.php
	admin/functions/api/customfields_date.php
	admin/functions/api/jobs.php
	admin/functions/api/jobs_autoresponders.php
	admin/functions/api/jobs_triggeremails.php
	admin/functions/api/newsletters.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/lib/amcharts/graphpite.php
	admin/functions/lib/amcharts/graphpite/Image/Graph.php
	admin/functions/lib/amcharts/graphpite/Image/Graph/Common.php
	admin/functions/lib/amcharts/graphpite/Image/Graph/Element.php
	admin/functions/lib/amcharts/graphpite/Image/Graph/Fill/Array.php
	admin/functions/lib/amcharts/graphpite/Image/Graph/Grid/Lines.php
	admin/functions/lib/amcharts/graphpite/Image/Graph/Marker/Array.php
	admin/functions/lib/amcharts/graphpite/Image/Graph/Plot/MultipleData.php
	admin/functions/lib/amcharts/graphpite/Image/Graph/Plot/Bar/Multiple.php
	admin/functions/lib/general/general.php
	admin/includes/js/javascript.js
	changelog.txt
	version.txt

Files Added:
-----------
	admin/addons/debug/debug.php
	admin/addons/debug/description.xml
	admin/addons/debug/language/language.php
	admin/addons/debug/templates/check.tpl
	admin/addons/debug/templates/default.tpl
	admin/addons/debug/templates/final_report.tpl
	admin/addons/debug/templates/logs_display.tpl
	admin/addons/debug/templates/logs_empty.tpl
	admin/addons/debug/templates/progress_report.tpl
	admin/addons/debug/templates/TriggerLog_ViewLink.tpl
	admin/addons/debug/api/debug.php
	
	

## Version: 6.2.0
Released: 17th August, 2018
- PHP 7.0 and 7.1 supported
- Removed deprecated PHP methods causing notices/errors
- Fixed XML API 'Error is String could not be parsed as XML'
- Added 'Office 365' design rules for email compatibility check
- Misc. minor fixes and code cleanup


## Version: 6.1.8
Released: 30th October, 2017

- Fixed STARTTLS newline bug
- Fixed bug with invalid emails halting trigger sending
- Updated MySqlDb to use mysqli
- - Changed all deprecated mysql_ methods to mysqli_ throughout app
- Removed outdated and unused database drivers (pgsql, mssql, oci8)
- - Removed deprecated/unused code/files where it made sense instead of refactoring to mysqli
- Attempted fix of XSS vulnerability with 'page' variables
- Removed deprecated PHP methods causing fatal errors
- Fixed bug causing fatal PHP error on upgrade step
- Updated design rules for email compatibility check
- Fixed JS bug time interval labels on trigger create screen not hiding properly
- Refactored query for removing duplicates in send queues due to invalid group by clause
- Added check for writable includes dir on install
- Added check for PHP XML extension on install
- Cleaned up init controller (admin/com/init.php)
- - Removed insecure/unused cookie logic
- Added xml api request controller (admin/com/xml.php) and moved xml.php methods there
- - Misc. security fixes
- - Fixed bug with date fields in xml api method addsubscribertolist
- Enabled cookie_httponly and use_strict_mode session settings for security purposes
- Added csrf token to user modify form for security purposes
- Removed session id from graph data URLs for security purposes
- Removed static database details from system settings page for security purposes
- Fixed bug in survey export tpl file preventing survey from exporting
- Fixed notices generated by survey api
- Fixed notice generated by user stats chart
- Fixed bug in dynamic content tags using date type fields
- Fixed notices generated by dynamic content tags
- Fixed bug with create website form
- Misc. PHPDoc cleanup

	A	admin/com/templates/header_login.tpl
	A	admin/com/xml.php

	D	admin/com/ext/database/mssql.php
	D	admin/com/ext/database/oci8.php
	D	admin/com/ext/database/pgsql.php
	D	admin/com/install/schema.pgsql.php
	D	admin/functions/remote_installer.php
	D	admin/functions/upgrade.php

	M	admin/addons/checkpermissions/checkpermissions.php
	M	admin/addons/dbcheck/dbcheck.php
	M	admin/addons/dynamiccontenttags/api/dynamiccontentblock.php
	M	admin/addons/dynamiccontenttags/api/dynamiccontenttag.php
	M	admin/addons/dynamiccontenttags/dynamiccontenttags.php
	M	admin/addons/interspire_addons.php
	M	admin/addons/splittest/api/splittest.php
	M	admin/addons/splittest/api/splittest_stats.php
	M	admin/addons/splittest/print_stats.php
	M	admin/addons/splittest/splittest.php
	M	admin/addons/splittest/splittest_send.php
	M	admin/addons/splittest/splittest_stats.php
	M	admin/addons/surveys/api/responses.php
	M	admin/addons/surveys/api/surveys.php
	M	admin/addons/surveys/language/language.php
	M	admin/addons/surveys/survey_templates.php
	M	admin/addons/surveys/surveys.php
	M	admin/addons/surveys/templates/results_survey.tpl
	M	admin/addons/systemlog/systemlog.php
	M	admin/addons/updatecheck/updatecheck.php
	M	admin/com/ext/database/db.php
	M	admin/com/ext/database/mysql.php
	M	admin/com/ext/interspire_email/email.php
	M	admin/com/init-legacy.php
	M	admin/com/init.php
	M	admin/com/language/default/login.php
	M	admin/com/lib/IEM.class.php
	M	admin/com/lib/IEM/DBFACTORY.class.php
	M	admin/com/lib/IEM/Installer.class.php
	M	admin/com/lib/IEM/InterspireTemplate.class.php
	M	admin/com/lib/IEM/Request.php
	M	admin/com/lib/Interspire/Csv/Exporter.php
	M	admin/com/lib/record/Users.class.php
	M	admin/com/resources/design_rules/aol.php
	M	admin/com/resources/design_rules/gmail.php
	M	admin/com/resources/design_rules/hotmail.php
	M	admin/com/resources/design_rules/yahoo.php
	M	admin/com/templates/forgotpassword_sendpass.tpl
	M	admin/com/templates/forgotpassword_step2.tpl
	M	admin/com/templates/login.tpl
	M	admin/com/templates/settings.tpl
	M	admin/com/templates/triggeremails_form.tpl
	M	admin/com/templates/user_form.tpl
	M	admin/cron/send.php
	M	admin/functions/api/api.php
	M	admin/functions/api/customfields.php
	M	admin/functions/api/customfields_checkbox.php
	M	admin/functions/api/customfields_date.php
	M	admin/functions/api/customfields_dropdown.php
	M	admin/functions/api/customfields_number.php
	M	admin/functions/api/customfields_radiobutton.php
	M	admin/functions/api/customfields_text.php
	M	admin/functions/api/customfields_textarea.php
	M	admin/functions/api/jobs_autoresponders.php
	M	admin/functions/api/jobs_send.php
	M	admin/functions/api/jobs_triggeremails.php
	M	admin/functions/api/lists.php
	M	admin/functions/api/segment.php
	M	admin/functions/api/send.php
	M	admin/functions/api/settings.php
	M	admin/functions/api/ss_email.php
	M	admin/functions/api/stats.php
	M	admin/functions/api/subscribers.php
	M	admin/functions/api/templates.php
	M	admin/functions/api/triggeremails.php
	M	admin/functions/api/upgrade.php
	M	admin/functions/api/user.php
	M	admin/functions/autoresponders.php
	M	admin/functions/bounce.php
	M	admin/functions/customfields.php
	M	admin/functions/folders.php
	M	admin/functions/forms.php
	M	admin/functions/index.php
	M	admin/functions/installer.php
	M	admin/functions/lists.php
	M	admin/functions/login.php
	M	admin/functions/logout.php
	M	admin/functions/newsletters.php
	M	admin/functions/remote.php
	M	admin/functions/remote_stats.php
	M	admin/functions/schedule.php
	M	admin/functions/segment.php
	M	admin/functions/send.php
	M	admin/functions/sendstudio_functions.php
	M	admin/functions/settings.php
	M	admin/functions/showcustomfields.php
	M	admin/functions/stats.php
	M	admin/functions/stats_chart.php
	M	admin/functions/subscribers.php
	M	admin/functions/subscribers_add.php
	M	admin/functions/subscribers_banned.php
	M	admin/functions/subscribers_edit.php
	M	admin/functions/subscribers_event.php
	M	admin/functions/subscribers_export.php
	M	admin/functions/subscribers_import.php
	M	admin/functions/subscribers_manage.php
	M	admin/functions/subscribers_remove.php
	M	admin/functions/subscribers_view.php
	M	admin/functions/templates.php
	M	admin/functions/triggeremails.php
	M	admin/functions/upgradenx.php
	M	admin/functions/users.php
	M	admin/tokens.php
	M	form.php
	M	surveys_submit.php
	M	xml.php

---
## Version: 6.1.7
Released: 5th October, 2016

- Fixed google analytic link tracking in both scheduled and popup sends
- Added support for STARTTLS
- Fixed a bug that occurred when sorting user groups by user count
- Removed deprecated google calendar integration
- Fixed a bug with timestamps in split test statistics
- Fixed a bug with triggers' process time when based on contact/static date fields and "after/before" is selected

---
## Version: 6.1.6
Released: 5th November, 2015

- Replaced flash charts with javascript charts
- Changed minimum PHP requirement to 5.5
- Fixed errors/notices generated by deprecated code
- Fixed several security vulnerabilities
- Fixed several minor bugs and minor code cleanup


---
## Version: 6.1.5
Released: 16th September, 2014

- Fixed bug with multiple "opened" a campaign segment rules
- Added check to deny users from sending preview emails if they do not have send email permission (spambot prevention)
- Fixed bug with paste from word in tinymce
- Fixed bug in display of radio type custom fields
- Fixed typo in survey form template
- Fixed bug with autoresponder filter checkboxes
- Fixed bug in display of autoresponder click through rate
- Fixed resource error raised during maintenance cron job
- Fixed javascript errors caused by the alert template file
- Fixed password label on login form
- Fixed bug with validating user account names on create/edit
- Updated SMTP.com information
- Addded error message for existing subscriber in xml addsubscribertolist method


---
## Version: 6.1.4
Released: 25th August, 2013

- Fixed multiple security vulnerabilities
- Fixed a bug where campaigns could not be scheduled due to the system thinking it was in the past
- Fixed a bug with templates where the global template box does not remain checked
- Fixed multiple bugs with Image manager display
- Fixed an error with double-opt unsubscribing
- Fixed a bug where only one send to a friend form could be used in a campaign
- Fixed an issue with RSS feed failing  to display
- Fixed a bug where a contact could not be deleted,  even if all campaigns are completed, due to a bounce job in progress. 
- Fixed a bug where contact lists appeared empty.
- Fixed issues with statistic chart hours displaying incorrectly due to timezone.
- Fixed several bugs with the XML API.
- Fixed an issue where export contact list and importing it with country field included does not work.
- Resolved several notices and minor errors.
- Fixed a display issue with ”import file from website” drop down.


---
## Version: 6.1.3
Released: 29th June, 2012

- Merged all changes from the 6.1.2 patch
- Added a check for DOM library existence in system settings (required for surveys)
- Statistics Pages will correctly remember the "Results per page:" setting.
- Advanced user settings will now save when creating user account
- Resolved a bug where images uploaded through the Image manager were inaccessible to existing campaigns
- Resolved several "undefined offset" or "undefined index" notices
- Resolved several incorrect "Permission Denied" errors
- Resolved a bug where contacts added through the XML API would not get autoresponders unless the "add_to_autoresponder" parameter was passed
- Resolved several timezone issues, including the 
- Resolved a bug where user images were being copied to new campagins
- Fixed a bug where a contacts date field would be displayed in the wrong order (e.g. d/m/y instead of m/d/y)
- Resolved an issue where the default dynamic content tag was always included
- Fixed an issue where triggers do not send emails / add to list correctly
- Fixed an issue where the manage trigger page does not display "When" time correctly
- Resolved several foreign character display issues
- Fixed a missing 'AND' modifier in subscriber API 'IsUnSubscriber' method
- Fixed a bug where the image manager generated a DOM Exception error in Internet Explorer
- Fixed a bug that was causing multiple start/stop notifications for campaigns
- Fixed a bug where segments do not work properly when using "OR" modifier
- Resolved an issue with the application settings randomly losing values


---
## Version: 6.1.1
Released: 26 August, 2011

Bugs Fixed:
  - Fixed an issue that prevented the system from creating or editing templates.
  - Fixed unknown column id error from NotifyOwner() caused by invalid SQL syntax.
  - Fixed a bug that caused an undefined offset error when a confirmation email is sent.
  - Fixed a javascript error that occurs when adding another value to pick list custom fields.
  - Fixed a bug that prevented link tracking from turning off.
  - Fixed JavaScript error from Insert buttons in Autoresponders.
  - Fixed an issue that caused date fields to be formatted as dd/mm/yy automatically.
  - Fixed a bug with adding values to checkbox custom fields when they have over 60 keys.
  - Removed option to use Flash Uploader in Image Manager, opting to use non-Flash uploader in all cases.
  - Fixed bounce processing redirect, so that non-Admin users are not sent to an admin page, resulting in permission denied errors.
  - Refactored the addsubscribertolist XML call to also add subscribers to autoresponders.
  - Fixed a bug that caused low credit reminder emails to halt scheduled sends.
  - Fixes for usergroup and user permission system.
  - Fixed a bug that caused user group credits to calculate incorrectly and pause scheduled sends.
  - Fixed a bug that caused the send-to-friend links to generate incorrectly.
  - Fixed an issue where the bounce processing wizard freezes the browser. Also fixed an issue where it redirects to admin settings page if you choose automatic.
  - Removed an optimize table query that caused the send process to halt on some servers.
  - Removed extra quotation mark in content-type header for survey.tpl.
  - Added mysql_real_escape_string() function to fix filtering contacts based on link clicked.
  - Added an index on the confirmed column in list_subscribers. Also added new database version and upgrade folder.
  - Added new DB version and upgrade folder
  - Fixed a bug where the application allowed email suppressions without an @ symbol prepending them.
  - Added additional countries to country list.
  - Fixed undefined offset error in jobs_autoresponders.php.
  - Fixed segment rule 'has not opened any campaign' returning all contacts.
  - Fixed datepicker for second date field in segment date range selection.
  - Removed the pgsql option from install script.
  - Fixed dynamic content tags so that all matching blocks will be included, rather than only the first.
  - Fixed newsletter attachment search to skip disabled newsletters.
  - Fixed checking dynamic content tags when no subscriber is present, such as archived campaigns.
  - Fixed permission problem for downloading survey attchments.
  - Fixed date formatting in web version.
  - Fixed an issue with duplicate confirmations and confirmation failure on deleted forms.
  - Fixed undefined index error for subscriberid in display.php.
  - Fixed rendering of install page.
  - Fixed character encoding in MySQL to use UTF-8 when available.
  - Fixes error generated when a contact is created.
  - Removed duplicate language file defines in admin/com/language/defaults/forms.php.
  - Removed code dealing with non-existant user permissions in admin/functions/users.php.
  - Fixed call to undefined function in dynamiccontenttags.php.
  - Fixed bounce details form to display correctly in IE8.
  - Fixed Stats_API:: error.
  - Setup IEM to explicitly choose UTF-8 character set by default.
  - Additional fixes for low credit reminder emails.
  - Added missing parentheses to denote group to fully fix Send to Friend link issue in api.php.
  - Added upgrade script to populate list permissions for existing lists.
  - Additional fixes for Dynamic Content Tags block selection logic.
  - Use mysql_set_charset() in DBFACTORY and Installer classes to set everything to UTF-8.
  - Replace space with underscore in File Uploads for Surveys.
  - Added logic to escape survey links properly, so that they are replaced properly later in the send process.
  - Moved Google Calendar login test button to correct tab in User Settings.
  - Additional fixes for user credit issues.
  - Fixed survey attachment filename handling.
  - Fix for memory limit issue
  - Remove empty subscriber data records, and prevent them from being created.
  - Removed reference to discounted prices with SMTP.com, since we do not appear to have discounted prices.
  - Changed SELECT query for statistics when sending to a segment to valid SQL.
  - Remove unused folders in temp folder
  - updated Installer.class.php for errors and system log addon
  - Fix upgrade error. Also fixed various upgrade issues.
  - Fix already defined error
  - Eemove deprecated user permission references in template file
  - Upgrading TinyMCE to 3.4.2
  - Fix monthly credit check timezone issue and datetime php error
  - Fixed an issue where non-admins couldn't delete triggers
  - Changed it so that users can not delete a list or subscriber while a campaign is sending to it
  - Fixed an issue where installer was giving an error regarding config.php before installation
  - Added in the import folder
  - Changed list delete process to open a new window to allow users to continue using the application while deleting a list
  - Fixed an issue where bounce processing gave imap error when bounce processing is disabled. Repaired IEM-332. Disabled the ability for users to delete list/subscribers when a campaign is sending to that list/subscriber.
  - Application checks stats_newsletters for campaign credits and user_credit for everything else.
  - Properly checks for future sends when calculating credit
  - Use the 'jobs' table instead of 'stats_users' in /record/Users.class.php when checking credit for future sends
  - Modify list delete
  - Fixed surveys throw DOM_INDEX_SIZE_ERR exception
  - Fixed when a URL matches the application URL link tracking is not applied.
  - Fixed an issue where multiple exports did not complete
  - Fixed an issue that caused the maintenance job to time out
  - Fixed an issue with exporting multiple lists
  - Fixed dynamic content tags can not be deleted.
  - Fixed an issue with searching for contacts by "opened a specific campaign" in postgresql.
  - Fixed a bug with deleting or emptying multiple lists
  - Working to resolve newsletter session issues
  - Added error handling for upgrade files that are not found/not readable
  - Added proper error handing for addsubscribertolist method.
  - Fixed the bug where users were unable to use some uploaded images.  Refactored the funtion that caused the users directory to be copied to each newsletter
  - Fixing issues and cleaning/removing deprecated code
  - Fixed pause permission missing from autoresponders page
  - Fixed get text content from editor does not work in Chrome or FireFox
  - Fixed exporting multiple contact lists with different custom fields causes export to hang indefinitely
  - Fixed 'remember me' option for log in
  - Fixed ability to delete dynamic content tags
  - Fixed XSS vulnerabilities in the 'Page' query string
  - Fixed XML API function parameters not passed to API functions properly
  - Fixed browse survey responses returns invalid survey id
  - Fixed assorted user permission issues
  - Fixed php notices when editing contacts
  - Fixed graphic representation of charts not showing when viewing print preview of email campaign statistics
  - Fixed Cyrillic characters break import popup window
  - Fixed blank page when viewing contacts
  - Fixed icons in dynamic content blocks get misaligned
  - Fixed function LoadSubscriberList does not take list id into account
  - Fixed special characters in chart labels are not labelled correctly in split test statistics
  - Fixed php notices when creating a date type custom field.
  - Fixed modify details forms do not correctly pull data for numbers only fields
  - Fixed survey file uploads do not work if field is required
  - Fixed exporting Contacts from two different user accounts within the same group or shared contact list produces a different result set
  - Fixed outdated documentation links
  - Fixed invalid emails cause permanent partial sends
  - Fix ie9 tinymce error
  - Fix tinymce background issue

Files Changed:
  confirm.php
  xml.php
  admin/import
  admin/cron/bounce.php
  admin/cron/triggeremails.php
  admin/cron/maintenance.php
  admin/temp/send/BLANK
  admin/temp/send
  admin/temp/autoresponder/BLANK
  admin/temp/autoresponder
  admin/includes/js/javascript.js
  admin/includes/js/tiny_mce/jquery.tinymce.js
  admin/includes/js/tiny_mce/plugins/lists
  admin/includes/js/tiny_mce/plugins/media/moxieplayer.swf
  admin/includes/js/tiny_mce/plugins/media/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/media/langs/en_dlg.js
  admin/includes/js/tiny_mce/plugins/media/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/media/media.htm
  admin/includes/js/tiny_mce/plugins/media/css/media.css
  admin/includes/js/tiny_mce/plugins/media/js/media.js
  admin/includes/js/tiny_mce/plugins/pagebreak/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/pagebreak/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/noneditable/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/noneditable/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/inlinepopups/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/inlinepopups/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/inlinepopups/skins/clearlooks2/window.css
  admin/includes/js/tiny_mce/plugins/autoresize/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/autoresize/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/emotions/emotions.htm
  admin/includes/js/tiny_mce/plugins/advhr/langs/en_dlg.js
  admin/includes/js/tiny_mce/plugins/advhr/rule.htm
  admin/includes/js/tiny_mce/plugins/tabfocus/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/tabfocus/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/advimage/langs/en_dlg.js
  admin/includes/js/tiny_mce/plugins/advimage/image.htm
  admin/includes/js/tiny_mce/plugins/advimage/js/image.js
  admin/includes/js/tiny_mce/plugins/preview/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/wordcount/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/wordcount/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/visualchars/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/visualchars/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/autosave/langs
  admin/includes/js/tiny_mce/plugins/autosave/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/autosave/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/table/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/table/langs/en_dlg.js
  admin/includes/js/tiny_mce/plugins/table/cell.htm
  admin/includes/js/tiny_mce/plugins/table/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/table/merge_cells.htm
  admin/includes/js/tiny_mce/plugins/table/js/row.js
  admin/includes/js/tiny_mce/plugins/table/js/table.js
  admin/includes/js/tiny_mce/plugins/table/js/cell.js
  admin/includes/js/tiny_mce/plugins/table/row.htm
  admin/includes/js/tiny_mce/plugins/table/table.htm
  admin/includes/js/tiny_mce/plugins/advlink/langs/en_dlg.js
  admin/includes/js/tiny_mce/plugins/advlink/link.htm
  admin/includes/js/tiny_mce/plugins/advlink/js/advlink.js
  admin/includes/js/tiny_mce/plugins/nonbreaking/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/nonbreaking/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/fullpage/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/fullpage/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/fullpage/fullpage.htm
  admin/includes/js/tiny_mce/plugins/fullpage/css/fullpage.css
  admin/includes/js/tiny_mce/plugins/fullpage/js/fullpage.js
  admin/includes/js/tiny_mce/plugins/style/langs/en_dlg.js
  admin/includes/js/tiny_mce/plugins/style/props.htm
  admin/includes/js/tiny_mce/plugins/style/js/props.js
  admin/includes/js/tiny_mce/plugins/searchreplace/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/searchreplace/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/searchreplace/searchreplace.htm
  admin/includes/js/tiny_mce/plugins/searchreplace/js/searchreplace.js
  admin/includes/js/tiny_mce/plugins/fullscreen/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/fullscreen/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/spellchecker/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/spellchecker/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/contextmenu/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/contextmenu/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/template/js/template.js
  admin/includes/js/tiny_mce/plugins/paste/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/paste/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/bbcode/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/bbcode/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/acronym.htm
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/ins.htm
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/cite.htm
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/del.htm
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/js/del.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/js/attributes.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/js/ins.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/js/element_common.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/abbr.htm
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/attributes.htm
  admin/includes/js/tiny_mce/tiny_mce.js
  admin/includes/js/tiny_mce/themes/advanced/skins/highcontrast
  admin/includes/js/tiny_mce/themes/advanced/skins/o2k7/ui_black.css
  admin/includes/js/tiny_mce/themes/advanced/skins/o2k7/content.css
  admin/includes/js/tiny_mce/themes/advanced/skins/o2k7/ui.css
  admin/includes/js/tiny_mce/themes/advanced/skins/o2k7/dialog.css
  admin/includes/js/tiny_mce/themes/advanced/skins/o2k7/ui_silver.css
  admin/includes/js/tiny_mce/tiny_mce_popup.js
  admin/includes/js/tiny_mce/tiny_mce_src.js
  admin/includes
  admin/addons/surveys/styles/survey_front.css
  admin/addons/surveys/surveys.php
  admin/addons/surveys/templates/survey.tpl
  admin/addons/systemlog/systemlog.php
  admin/addons/splittest/api/splittest_stats.php
  admin/addons/splittest/splittest_send.php
  admin/addons/dynamiccontenttags/dynamiccontenttags.php
  admin/addons/dynamiccontenttags/api/dynamiccontentblock.php
  admin/addons/dynamiccontenttags/templates/dynamiccontenttags_form.tpl
  admin/addons/dynamiccontenttags/templates/manage_display.tpl
  admin/addons/dynamiccontenttags/templates/dynamiccontentblocks_form.tpl
  admin/functions/send.php
  admin/functions/subscribers_edit.php
  admin/functions/upgradenx.php
  admin/functions/lists.php
  admin/functions/subscribers_manage.php
  admin/functions/settings.php
  admin/functions/customfields.php
  admin/functions/users.php
  admin/functions/subscribers_remove.php
  admin/functions/addons.php
  admin/functions/login.php
  admin/functions/logout.php
  admin/functions/imagemanager.php
  admin/functions/autoresponders.php
  admin/functions/newsletters.php
  admin/functions/subscribers_import.php
  admin/functions/lib/general/convertdate.php
  admin/functions/subscribers_export.php
  admin/functions/schedule.php
  admin/functions/subscribers_banned.php
  admin/functions/installer.php
  admin/functions/templates.php
  admin/functions/sendstudio_functions.php
  admin/functions/bounce.php
  admin/functions/amcharts/graphpite/Image/Graph/DataPreprocessor/Array.php
  admin/functions/amcharts/graphpite/Image/Graph/DataPreprocessor/Formatted.php
  admin/functions/amcharts/graphpite/Image/Graph/DataPreprocessor/Function.php
  admin/functions/amcharts/graphpite/Image/Graph/Grid/Lines.php
  admin/functions/amcharts/graphpite/Image/Graph/Fill/Gradient.php
  admin/functions/amcharts/graphpite/Image/Graph/Fill/Image.php
  admin/functions/amcharts/graphpite/Image/Graph/Line/Solid.php
  admin/functions/amcharts/graphpite/Image/Graph/Axis.php
  admin/functions/amcharts/graphpite/Image/Graph/Font.php
  admin/functions/amcharts/graphpite/Image/Graph/Plotarea.php
  admin/functions/amcharts/graphpite/Image/Graph/Font/TTF.php
  admin/functions/amcharts/graphpite/Image/Graph/Title.php
  admin/functions/amcharts/graphpite/Image/Graph/Text.php
  admin/functions/amcharts/graphpite/Image/Graph/Marker/Value.php
  admin/functions/amcharts/graphpite/Image/Graph/Marker/Pointing/Angular.php
  admin/functions/amcharts/graphpite/Image/Graph/Marker/Pointing.php
  admin/functions/amcharts/graphpite/Image/Graph/Dataset/Trivial.php
  admin/functions/amcharts/graphpite/Image/Graph/Logo.php
  admin/functions/amcharts/graphpite/Image/Graph/Layout.php
  admin/functions/amcharts/graphpite/Image/Graph/Color.php
  admin/functions/amcharts/graphpite/Image/Graph/Plot.php
  admin/functions/amcharts/graphpite/Image/Graph/Layout/Horizontal.php
  admin/functions/amcharts/graphpite/Image/Graph/Layout/Plotarea.php
  admin/functions/amcharts/graphpite/Image/Graph/Plot/MultipleData.php
  admin/functions/amcharts/graphpite/Image/Graph.php
  admin/functions/api/send.php
  admin/functions/api/ss_email.php
  admin/functions/api/lists.php
  admin/functions/api/settings.php
  admin/functions/api/customfields.php
  admin/functions/api/jobs_send.php
  admin/functions/api/jobs_triggeremails.php
  admin/functions/api/imagemanager.php
  admin/functions/api/forms.php
  admin/functions/api/subscribers.php
  admin/functions/api/upgrade.php
  admin/functions/api/jobs_autoresponders.php
  admin/functions/api/jobs.php
  admin/functions/api/triggeremails.php
  admin/functions/api/stats.php
  admin/functions/api/segment.php
  admin/functions/api/api.php
  admin/functions/api/bounce.php
  admin/functions/api/user.php
  admin/resources/form_designs/Definition List Plain Form
  admin/index.php
  admin/com/language/default/lists.php
  admin/com/language/default/autoresponders.php
  admin/com/language/default/forms.php
  admin/com/language/default/whitelabel.php
  admin/com/storage/BLANK
  admin/com/lib/IEM.class.php
  admin/com/lib/Interspire/HtmlCleaner.class.php
  admin/com/lib/API/USERS.class.php
  admin/com/lib/IEM/DBFACTORY.class.php
  admin/com/lib/IEM/Installer.class.php
  admin/com/lib/IEM/InterspireTemplate.class.php
  admin/com/lib/HelperUserDelete.class.php
  admin/com/lib/Maintenance.class.php
  admin/com/lib/record/Users.class.php
  admin/com/init.php
  admin/com/resources/country_list.res
  admin/com/upgrades/20101204
  admin/com/upgrades/20090420/add_settings_credit_warnings_table.php
  admin/com/upgrades/20090420
  admin/com/init-legacy.php
  admin/com/templates/segment_form.tpl
  admin/com/templates/autoresponder_form_step4.tpl
  admin/com/templates/lists_manage.tpl
  admin/com/templates/customfield_form_step2_checkbox_edit.tpl
  admin/com/templates/bouncestep1.tpl
  admin/com/templates/user_form.tpl
  admin/com/templates/progressreport_popup.tpl
  admin/com/templates/editor.tpl
  admin/com/templates/bouncestep2.tpl
  admin/com/templates/image_manage.tpl
  admin/com/templates/bounce_details.tpl
  admin/com/templates/customfield_form_step2_dropdown_edit.tpl
  admin/com/templates
  surveys_submit.php
  display.php
  upgrade.txt
  readme.txt
  changelog.txt
  version.txt

---
## Version: 6.1.0
Released: 23 August, 2010

Bugs Fixed:
  - Updated German language files.
  - Fixed an issue that prevented Content Tag addon installation in pgsql environments.
  - Fixed an issue that caused IonCube Loader errors.
  - Fixed an issue where members of a user group could not export contacts from contact lists created by a different user within the same user group.
  - Fixed an issue where the private labeling menu item was disabled by default.
  - Fixed an issue where the "Total Maximum Number of Emails" field on the 'Edit User Group' page is blank regardless of any value being set.
  - Fixed an issue that prevented Survey Widgets from being custom styled with CSS.
  - Fixed an issue where the application was stripping '+' characters from bounce usernames, thus preventing the application from connecting to the bounce email account.
  - Fixed an issue that prevented email campaigns, autoresponders, and triggers from correctly deducting credits.
  - Fixed an issue that prevented system administrators from viewing surveys created by non-admin users.
  - Fixed an issue that prevented Split Tests from honoring a user group's hourly rate limit.
  - Fixed an issue that prevented Split Tests from properly deducting email credits.
  - Fixed an issue that prevented the "Send an email to contacts who match my search criteria in the selected list(s) below"  option to autoload to the next page without being able to select matching contacts.
  - Fixed an issue where survey responses were failing to be recorded if a survey's fields contained single quotation marks.
  - Fixed an issue where deleting a user would also delete an associated user group's permissions.
  - Fixed an issue that caused the 'Insert Survey' button to insert an unsubscribe link within a text only email campaign.
  - Fixed an issue where the application tried to free a resource that didn't exist, causing a "Resource is not really a resource" error.
  - Fixed an issue where adding options to a 'Picklist' custom field would generate a JavaScript error.
  - Fixed an issue when searching contacts causing the application to redirect to the 'All Contacts' view.
  - Fixed an issue where upgrading the product to a new version prevented users from using the drop down actions on the "View Contact Lists" page.
  - Fixed an issue that caused the navigation menu to intermittently break.
  - Fixed an issue where deleting a split test campaign would also delete all that split test's statistics.
  - Fixed an issue where the application would fail to "Remember Details" on the user login page.
  - Fixed behavior of custom fields and default values.  The application will display data from subscribers_data table for custom fields or display nothing, rather than showing default values in View, Edit, and Export.  Brought behavior into consistency with database, and with filters/searches.
  - Fixed an issue that prevented the dynamic content tag edit form from displaying correctly.
  - Fixed an issue where importing an email campaign from an external URL when the WYSIWYG editor is disabled causes a JavaScript error.
  - Fixed an issue where a very large newsletters table causes the Trigger page to crash.
  - Fixed an issue that prevented the application from storing URLs longer than 255 characters long.
  - Fixed an issue where a Segment query fails to distinguish "Numbers Only" and "Text Field" type custom fields; assumes all are numbers.
  - Fixed an issue that caused links within Custom Fields not to be tracked in the statistics.
  - Fixed an issue that caused links within Dynamic Content Tags not to be tracked in the statistics.
  - Fixed an issue that prevented the application from displaying certain built-in templates.
  - Fixed an issue that prevented users from archiving email campaigns.
  - Fixed an issue that prevented the WYSIWYG editor's "Get text content from editor" button from copying over foreign characters into the Text Version of an email campaign.
  - Fixed an issue that caused the sending status of email campaigns to hang at "in progress".
  - Fixed an issue that prevented jobs marked as complete from deduct credits.
  - Fixed an issue where the Statistics Pages failed to remember the "Results per page:" setting.
  - Fixed an issue where the "Yes, force all campaigns and autoresponders to be spam checked before they can be sent" option failed to force email campaigns and autoresponders to check for spam.
  - Fixed an issue that prevented users from making their own custom email templates "Active".
  - Fixed algorithm errors in Contact List statistics table data.
  - Fixed contact list statistics graph display problem caused by sign error.
  - Fixed handling of minus sign in Segments and Search Contacts.
  - Fixed an issue where a Survey's introductory text or instructions would truncate all characters proceeding the use of an apostrophe.
  - Fixed an issue where exporting contacts to a CSV file resulted in a blank file or an empty file containing only the CSV headers.
  - Fixed an issue where the WYSIWYG editor inserted extraneous paragraphs when importing some HTML files using Internet Explorer.
  - Upgraded TinyMCE from version 3.2.7 to 3.3.8.
  - Fixed an issue where the WYSIWYG editor failed to properly encode characters.
  - Fixed an issue where whitespace or new line characters caused dynamic content blocks to generate a JavaScript error, preventing them from loading.
  - Fixed an issue that prevented WebKit and Opera browsers from saving dynamic content tags.
  - Fixed an issue where certain PHP environment configurations would attempt to autoload /admin/functions/sendstudio_functions.php.
  - Fixed an issue where %%todaysdate%% failed to interpolate in the web version of an email campaign.
  - Fixed an issue where the use of brackets or commas in campaign names would cause statistics charts to incorrectly offset the display of data.
  - Fixed an issue that prevented segments' "in between" date ranges from going past the year 2000 on the 2nd calendar control.
  - Fixed an issue that prevented the survey editor to copy a paragraph of text.
  - Fixed an issue where files uploaded from a Survey were generating 404 Not Found errors.
  - Fixed TinyMCE image upload so that user is notified when they attempt to upload duplicate files.
  - Changed upload directory do be user's image manager directory, to further avoid confusion around duplicate image names.
  - Fixed an issue that prevented multiple email campaigns, autoresponders, triggers, etc, from being edited simultaneously in separate browser tabs.  Doing so would cause one of the edited items to retain properties of the other.

Files Changed:
  confirm.php
  admin/temp
  admin/includes/js/javascript.js
  admin/includes/js/tiny_mce/utils/mctabs.js
  admin/includes/js/tiny_mce/utils/validate.js
  admin/includes/js/tiny_mce/utils/editable_selects.js
  admin/includes/js/tiny_mce/utils/form_utils.js
  admin/includes/js/tiny_mce/jquery.tinymce.js
  admin/includes/js/tiny_mce/plugins/media/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/media/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/media/media.htm
  admin/includes/js/tiny_mce/plugins/pagebreak/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/insertdatetime/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/noneditable/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/inlinepopups/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/autoresize/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/autoresize/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/example/dialog.htm
  admin/includes/js/tiny_mce/plugins/example/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/emotions/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/emotions/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/iespell/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/save/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/advhr/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/advhr/rule.htm
  admin/includes/js/tiny_mce/plugins/tabfocus/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/tabfocus/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/layer/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/advimage/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/advimage/image.htm
  admin/includes/js/tiny_mce/plugins/advimage/js/image.js
  admin/includes/js/tiny_mce/plugins/preview/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/directionality/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/wordcount/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/wordcount/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/visualchars/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/visualchars/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/autosave/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/autosave/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/table/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/table/cell.htm
  admin/includes/js/tiny_mce/plugins/table/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/table/merge_cells.htm
  admin/includes/js/tiny_mce/plugins/table/js/row.js
  admin/includes/js/tiny_mce/plugins/table/js/table.js
  admin/includes/js/tiny_mce/plugins/table/js/cell.js
  admin/includes/js/tiny_mce/plugins/table/js/merge_cells.js
  admin/includes/js/tiny_mce/plugins/table/row.htm
  admin/includes/js/tiny_mce/plugins/table/table.htm
  admin/includes/js/tiny_mce/plugins/advlink/link.htm
  admin/includes/js/tiny_mce/plugins/advlink/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/advlink/js/advlink.js
  admin/includes/js/tiny_mce/plugins/print/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/nonbreaking/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/nonbreaking/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/fullpage/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/fullpage/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/fullpage/fullpage.htm
  admin/includes/js/tiny_mce/plugins/fullpage/js/fullpage.js
  admin/includes/js/tiny_mce/plugins/style/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/style/props.htm
  admin/includes/js/tiny_mce/plugins/searchreplace/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/searchreplace/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/searchreplace/searchreplace.htm
  admin/includes/js/tiny_mce/plugins/searchreplace/js/searchreplace.js
  admin/includes/js/tiny_mce/plugins/fullscreen/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/fullscreen/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/fullscreen/fullscreen.htm
  admin/includes/js/tiny_mce/plugins/spellchecker/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/spellchecker/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/contextmenu/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/contextmenu/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/template/template.htm
  admin/includes/js/tiny_mce/plugins/template/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/paste/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/paste/pasteword.htm
  admin/includes/js/tiny_mce/plugins/paste/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/paste/pastetext.htm
  admin/includes/js/tiny_mce/plugins/bbcode/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/acronym.htm
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/editor_plugin.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/ins.htm
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/editor_plugin_src.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/cite.htm
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/del.htm
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/js/cite.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/js/del.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/js/abbr.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/js/attributes.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/js/acronym.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/js/ins.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/js/element_common.js
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/abbr.htm
  admin/includes/js/tiny_mce/plugins/xhtmlxtras/attributes.htm
  admin/includes/js/tiny_mce/tiny_mce.js
  admin/includes/js/tiny_mce/langs/en.js
  admin/includes/js/tiny_mce/themes/advanced/about.htm
  admin/includes/js/tiny_mce/themes/advanced/anchor.htm
  admin/includes/js/tiny_mce/themes/advanced/charmap.htm
  admin/includes/js/tiny_mce/themes/advanced/color_picker.htm
  admin/includes/js/tiny_mce/themes/advanced/editor_template_src.js
  admin/includes/js/tiny_mce/themes/advanced/link.htm
  admin/includes/js/tiny_mce/themes/advanced/skins/o2k7/content.css
  admin/includes/js/tiny_mce/themes/advanced/skins/o2k7/ui.css
  admin/includes/js/tiny_mce/themes/advanced/skins/o2k7/dialog.css
  admin/includes/js/tiny_mce/themes/advanced/skins/default/content.css
  admin/includes/js/tiny_mce/themes/advanced/skins/default/ui.css
  admin/includes/js/tiny_mce/themes/advanced/skins/default/dialog.css
  admin/includes/js/tiny_mce/themes/advanced/image.htm
  admin/includes/js/tiny_mce/themes/advanced/editor_template.js
  admin/includes/js/tiny_mce/themes/advanced/img/icons.gif
  admin/includes/js/tiny_mce/themes/advanced/js/anchor.js
  admin/includes/js/tiny_mce/themes/advanced/js/charmap.js
  admin/includes/js/tiny_mce/themes/advanced/js/image.js
  admin/includes/js/tiny_mce/themes/advanced/source_editor.htm
  admin/includes/js/tiny_mce/themes/simple/editor_template_src.js
  admin/includes/js/tiny_mce/tiny_mce_popup.js
  admin/includes/js/tiny_mce/tiny_mce_src.js
  admin/includes
  admin/addons/surveys/surveys.php
  admin/addons/surveys/api/responsesvalue.php
  admin/addons/surveys/api/surveys.php
  admin/addons/surveys/templates/widget.textarea.tpl
  admin/addons/surveys/templates/survey_form.tpl
  admin/addons/interspire_addons.php
  admin/addons/splittest/splittest_stats.php
  admin/addons/splittest/print_stats.php
  admin/addons/splittest/splittest.php
  admin/addons/splittest/api/splittest_stats.php
  admin/addons/splittest/api/splittest_send.php
  admin/addons/splittest/splittest_send.php
  admin/addons/dynamiccontenttags/dynamiccontenttags.php
  admin/addons/dynamiccontenttags/schema.pgsql.php
  admin/addons/dynamiccontenttags/templates/dynamiccontenttags_form.tpl
  admin/addons/dynamiccontenttags/templates/dynamiccontentblocks_form.tpl
  admin/functions/send.php
  admin/functions/subscribers_edit.php
  admin/functions/upgradenx.php
  admin/functions/folders.php
  admin/functions/lists.php
  admin/functions/subscribers_add.php
  admin/functions/subscribers_manage.php
  admin/functions/settings.php
  admin/functions/customfields.php
  admin/functions/users.php
  admin/functions/showcustomfields.php
  admin/functions/subscribers_remove.php
  admin/functions/addons.php
  admin/functions/login.php
  admin/functions/logout.php
  admin/functions/remote_stats.php
  admin/functions/imagemanager.php
  admin/functions/autoresponders.php
  admin/functions/newsletters.php
  admin/functions/subscribers_import.php
  admin/functions/subscribers.php
  admin/functions/forms.php
  admin/functions/subscribers_export.php
  admin/functions/remote.php
  admin/functions/schedule.php
  admin/functions/subscribers_banned.php
  admin/functions/stats.php
  admin/functions/templates.php
  admin/functions/triggeremails.php
  admin/functions/segment.php
  admin/functions/manageaccount.php
  admin/functions/index.php
  admin/functions/sendstudio_functions.php
  admin/functions/bounce.php
  admin/functions/stats_chart.php
  admin/functions/subscribers_view.php
  admin/functions/api/ss_email.php
  admin/functions/api/lists.php
  admin/functions/api/customfields_date.php
  admin/functions/api/customfields_textarea.php
  admin/functions/api/folders.php
  admin/functions/api/customfields.php
  admin/functions/api/jobs_send.php
  admin/functions/api/imagemanager.php
  admin/functions/api/newsletters.php
  admin/functions/api/forms.php
  admin/functions/api/subscribers.php
  admin/functions/api/upgrade.php
  admin/functions/api/jobs.php
  admin/functions/api/triggeremails.php
  admin/functions/api/templates.php
  admin/functions/api/stats.php
  admin/functions/api/segment.php
  admin/functions/api/customfields_text.php
  admin/functions/api/customfields_checkbox.php
  admin/functions/api/customfields_number.php
  admin/functions/api/api.php
  admin/functions/api/user.php
  admin/functions/api/jobs_bounce.php
  admin/functions/subscribers_event.php
  admin/resources/form_designs/Definition List Plain Form
  admin/resources/email_templates/Travel and Tourism 1
  admin/resources/email_templates/Travel and Tourism 2
  admin/resources/email_templates/Family and Friends 1
  admin/resources/email_templates/Family and Friends 2
  admin/resources/email_templates/Family and Friends/Floral/MainImg.jpg
  admin/resources/email_templates/Family and Friends/Floral/MainImg1.jpg
  admin/resources/email_templates/Family and Friends/Floral/RightTop.gif
  admin/resources/email_templates/Family and Friends/Floral/preview.gif
  admin/resources/email_templates/Family and Friends/Floral/RightBottom.gif
  admin/resources/email_templates/Family and Friends/Floral/c1.gif
  admin/resources/email_templates/Family and Friends/Floral/c2.gif
  admin/resources/email_templates/Family and Friends/Floral/c3.gif
  admin/resources/email_templates/Family and Friends/Floral/c4.gif
  admin/resources/email_templates/Family and Friends/Floral/index.html
  admin/resources/email_templates/Family and Friends/Floral/blank.gif
  admin/resources/email_templates/Family and Friends/Floral
  admin/resources/email_templates/Family and Friends/Crowds/MainImg.jpg
  admin/resources/email_templates/Family and Friends/Crowds/MainImg1.jpg
  admin/resources/email_templates/Family and Friends/Crowds/preview.gif
  admin/resources/email_templates/Family and Friends/Crowds/top1.gif
  admin/resources/email_templates/Family and Friends/Crowds/top2.gif
  admin/resources/email_templates/Family and Friends/Crowds/bottom1.gif
  admin/resources/email_templates/Family and Friends/Crowds/top3.gif
  admin/resources/email_templates/Family and Friends/Crowds/bottom2.gif
  admin/resources/email_templates/Family and Friends/Crowds/index.html
  admin/resources/email_templates/Family and Friends/Crowds/bottom3.gif
  admin/resources/email_templates/Family and Friends/Crowds
  admin/resources/email_templates/Family and Friends/Lounge Around/MainImg.jpg
  admin/resources/email_templates/Family and Friends/Lounge Around/MainImg1.jpg
  admin/resources/email_templates/Family and Friends/Lounge Around/preview.gif
  admin/resources/email_templates/Family and Friends/Lounge Around/top1.gif
  admin/resources/email_templates/Family and Friends/Lounge Around/top2.gif
  admin/resources/email_templates/Family and Friends/Lounge Around/bottom1.gif
  admin/resources/email_templates/Family and Friends/Lounge Around/top3.gif
  admin/resources/email_templates/Family and Friends/Lounge Around/bottom2.gif
  admin/resources/email_templates/Family and Friends/Lounge Around/index.html
  admin/resources/email_templates/Family and Friends/Lounge Around/bottom3.gif
  admin/resources/email_templates/Family and Friends/Lounge Around
  admin/resources/email_templates/Family and Friends/Community (1 Column)/more_ico.png
  admin/resources/email_templates/Family and Friends/Community (1 Column)/li_ico.png
  admin/resources/email_templates/Family and Friends/Community (1 Column)/bkg_header_left.jpg
  admin/resources/email_templates/Family and Friends/Community (1 Column)/preview.gif
  admin/resources/email_templates/Family and Friends/Community (1 Column)/bkg_header_right.jpg
  admin/resources/email_templates/Family and Friends/Community (1 Column)/index.html
  admin/resources/email_templates/Family and Friends/Community (1 Column)/bkg_header_top.jpg
  admin/resources/email_templates/Family and Friends/Community (1 Column)
  admin/resources/email_templates/Family and Friends/People (1 Column)/images/bg_header.gif
  admin/resources/email_templates/Family and Friends/People (1 Column)/images/bg_content_top.gif
  admin/resources/email_templates/Family and Friends/People (1 Column)/images/bg_body.gif
  admin/resources/email_templates/Family and Friends/People (1 Column)/images/bg_newsitem_top.gif
  admin/resources/email_templates/Family and Friends/People (1 Column)/images/bg_newsitem1_top.gif
  admin/resources/email_templates/Family and Friends/People (1 Column)/images/bg_newsitem_bottom.gif
  admin/resources/email_templates/Family and Friends/People (1 Column)/images/bg_newsitem1_bottom.gif
  admin/resources/email_templates/Family and Friends/People (1 Column)/images/header.gif
  admin/resources/email_templates/Family and Friends/People (1 Column)/images
  admin/resources/email_templates/Family and Friends/People (1 Column)/preview.gif
  admin/resources/email_templates/Family and Friends/People (1 Column)/index.html
  admin/resources/email_templates/Family and Friends/People (1 Column)
  admin/resources/email_templates/Family and Friends/Community (2 Columns)/more_ico.png
  admin/resources/email_templates/Family and Friends/Community (2 Columns)/li_ico.png
  admin/resources/email_templates/Family and Friends/Community (2 Columns)/bkg_header_left.jpg
  admin/resources/email_templates/Family and Friends/Community (2 Columns)/preview.gif
  admin/resources/email_templates/Family and Friends/Community (2 Columns)/bkg_header_right.jpg
  admin/resources/email_templates/Family and Friends/Community (2 Columns)/index.html
  admin/resources/email_templates/Family and Friends/Community (2 Columns)/bkg_header_top.jpg
  admin/resources/email_templates/Family and Friends/Community (2 Columns)
  admin/resources/email_templates/Family and Friends/Youth (1 Column)/MainImg.jpg
  admin/resources/email_templates/Family and Friends/Youth (1 Column)/preview.gif
  admin/resources/email_templates/Family and Friends/Youth (1 Column)/c1.gif
  admin/resources/email_templates/Family and Friends/Youth (1 Column)/c2.gif
  admin/resources/email_templates/Family and Friends/Youth (1 Column)/c3.gif
  admin/resources/email_templates/Family and Friends/Youth (1 Column)/c4.gif
  admin/resources/email_templates/Family and Friends/Youth (1 Column)/index.html
  admin/resources/email_templates/Family and Friends/Youth (1 Column)
  admin/resources/email_templates/Family and Friends/Gift/MainImg.jpg
  admin/resources/email_templates/Family and Friends/Gift/MainImg1.jpg
  admin/resources/email_templates/Family and Friends/Gift/preview.gif
  admin/resources/email_templates/Family and Friends/Gift/c1.gif
  admin/resources/email_templates/Family and Friends/Gift/c2.gif
  admin/resources/email_templates/Family and Friends/Gift/c3.gif
  admin/resources/email_templates/Family and Friends/Gift/c4.gif
  admin/resources/email_templates/Family and Friends/Gift/index.html
  admin/resources/email_templates/Family and Friends/Gift
  admin/resources/email_templates/Family and Friends/Family Fun/MainImg.jpg
  admin/resources/email_templates/Family and Friends/Family Fun/MainImg1.jpg
  admin/resources/email_templates/Family and Friends/Family Fun/preview.gif
  admin/resources/email_templates/Family and Friends/Family Fun/top1.gif
  admin/resources/email_templates/Family and Friends/Family Fun/top2.gif
  admin/resources/email_templates/Family and Friends/Family Fun/bottom1.gif
  admin/resources/email_templates/Family and Friends/Family Fun/top3.gif
  admin/resources/email_templates/Family and Friends/Family Fun/bottom2.gif
  admin/resources/email_templates/Family and Friends/Family Fun/index.html
  admin/resources/email_templates/Family and Friends/Family Fun/bottom3.gif
  admin/resources/email_templates/Family and Friends/Family Fun
  admin/resources/email_templates/Family and Friends/Friendship/MainImg.jpg
  admin/resources/email_templates/Family and Friends/Friendship/MainImg1.jpg
  admin/resources/email_templates/Family and Friends/Friendship/preview.gif
  admin/resources/email_templates/Family and Friends/Friendship/c1.gif
  admin/resources/email_templates/Family and Friends/Friendship/c2.gif
  admin/resources/email_templates/Family and Friends/Friendship/c3.gif
  admin/resources/email_templates/Family and Friends/Friendship/c4.gif
  admin/resources/email_templates/Family and Friends/Friendship/index.html
  admin/resources/email_templates/Family and Friends/Friendship
  admin/resources/email_templates/Family and Friends/Childs Play/MainImg.jpg
  admin/resources/email_templates/Family and Friends/Childs Play/MainImg1.jpg
  admin/resources/email_templates/Family and Friends/Childs Play/preview.gif
  admin/resources/email_templates/Family and Friends/Childs Play/top1.gif
  admin/resources/email_templates/Family and Friends/Childs Play/top2.gif
  admin/resources/email_templates/Family and Friends/Childs Play/bottom1.gif
  admin/resources/email_templates/Family and Friends/Childs Play/top3.gif
  admin/resources/email_templates/Family and Friends/Childs Play/bottom2.gif
  admin/resources/email_templates/Family and Friends/Childs Play/index.html
  admin/resources/email_templates/Family and Friends/Childs Play/bottom3.gif
  admin/resources/email_templates/Family and Friends/Childs Play
  admin/resources/email_templates/Family and Friends/Youth (2 Columns)/MainImg.jpg
  admin/resources/email_templates/Family and Friends/Youth (2 Columns)/preview.gif
  admin/resources/email_templates/Family and Friends/Youth (2 Columns)/c1.gif
  admin/resources/email_templates/Family and Friends/Youth (2 Columns)/c2.gif
  admin/resources/email_templates/Family and Friends/Youth (2 Columns)/c3.gif
  admin/resources/email_templates/Family and Friends/Youth (2 Columns)/c4.gif
  admin/resources/email_templates/Family and Friends/Youth (2 Columns)/index.html
  admin/resources/email_templates/Family and Friends/Youth (2 Columns)
  admin/resources/email_templates/Family and Friends
  admin/resources/email_templates/Travel & Tourism/Travel (2 Columns)/bkg_header_left.jpg
  admin/resources/email_templates/Travel & Tourism/Travel (2 Columns)/bkg_footer.gif
  admin/resources/email_templates/Travel & Tourism/Travel (2 Columns)/preview.gif
  admin/resources/email_templates/Travel & Tourism/Travel (2 Columns)/bkg_header_right.jpg
  admin/resources/email_templates/Travel & Tourism/Travel (2 Columns)/BkgRightTop.gif
  admin/resources/email_templates/Travel & Tourism/Travel (2 Columns)/credit.txt
  admin/resources/email_templates/Travel & Tourism/Travel (2 Columns)/BkgRightBottom.gif
  admin/resources/email_templates/Travel & Tourism/Travel (2 Columns)/index.html
  admin/resources/email_templates/Travel & Tourism/Travel (2 Columns)/bkg_header_top.jpg
  admin/resources/email_templates/Travel & Tourism/Travel (2 Columns)
  admin/resources/email_templates/Travel & Tourism/Country Escape/MainImg.jpg
  admin/resources/email_templates/Travel & Tourism/Country Escape/MainImg1.jpg
  admin/resources/email_templates/Travel & Tourism/Country Escape/BkgPage.gif
  admin/resources/email_templates/Travel & Tourism/Country Escape/preview.gif
  admin/resources/email_templates/Travel & Tourism/Country Escape/c1.gif
  admin/resources/email_templates/Travel & Tourism/Country Escape/c2.gif
  admin/resources/email_templates/Travel & Tourism/Country Escape/credit.txt
  admin/resources/email_templates/Travel & Tourism/Country Escape/c3.gif
  admin/resources/email_templates/Travel & Tourism/Country Escape/c4.gif
  admin/resources/email_templates/Travel & Tourism/Country Escape/index.html
  admin/resources/email_templates/Travel & Tourism/Country Escape
  admin/resources/email_templates/Travel & Tourism/Vacation (1 Column)/MainImg.jpg
  admin/resources/email_templates/Travel & Tourism/Vacation (1 Column)/preview.gif
  admin/resources/email_templates/Travel & Tourism/Vacation (1 Column)/c1.gif
  admin/resources/email_templates/Travel & Tourism/Vacation (1 Column)/c2.gif
  admin/resources/email_templates/Travel & Tourism/Vacation (1 Column)/credit.txt
  admin/resources/email_templates/Travel & Tourism/Vacation (1 Column)/c3.gif
  admin/resources/email_templates/Travel & Tourism/Vacation (1 Column)/c4.gif
  admin/resources/email_templates/Travel & Tourism/Vacation (1 Column)/index.html
  admin/resources/email_templates/Travel & Tourism/Vacation (1 Column)
  admin/resources/email_templates/Travel & Tourism/Winter Wonderland/MainImg.jpg
  admin/resources/email_templates/Travel & Tourism/Winter Wonderland/MainImg1.jpg
  admin/resources/email_templates/Travel & Tourism/Winter Wonderland/preview.gif
  admin/resources/email_templates/Travel & Tourism/Winter Wonderland/c1.gif
  admin/resources/email_templates/Travel & Tourism/Winter Wonderland/c2.gif
  admin/resources/email_templates/Travel & Tourism/Winter Wonderland/credit.txt
  admin/resources/email_templates/Travel & Tourism/Winter Wonderland/c3.gif
  admin/resources/email_templates/Travel & Tourism/Winter Wonderland/c4.gif
  admin/resources/email_templates/Travel & Tourism/Winter Wonderland/index.html
  admin/resources/email_templates/Travel & Tourism/Winter Wonderland
  admin/resources/email_templates/Travel & Tourism/Vacation (2 Columns)/MainImg.jpg
  admin/resources/email_templates/Travel & Tourism/Vacation (2 Columns)/preview.gif
  admin/resources/email_templates/Travel & Tourism/Vacation (2 Columns)/c1.gif
  admin/resources/email_templates/Travel & Tourism/Vacation (2 Columns)/c2.gif
  admin/resources/email_templates/Travel & Tourism/Vacation (2 Columns)/credit.txt
  admin/resources/email_templates/Travel & Tourism/Vacation (2 Columns)/c3.gif
  admin/resources/email_templates/Travel & Tourism/Vacation (2 Columns)/c4.gif
  admin/resources/email_templates/Travel & Tourism/Vacation (2 Columns)/index.html
  admin/resources/email_templates/Travel & Tourism/Vacation (2 Columns)
  admin/resources/email_templates/Travel & Tourism/Beach Paradise/MainImg.jpg
  admin/resources/email_templates/Travel & Tourism/Beach Paradise/MainImg1.jpg
  admin/resources/email_templates/Travel & Tourism/Beach Paradise/BkgPage.gif
  admin/resources/email_templates/Travel & Tourism/Beach Paradise/preview.gif
  admin/resources/email_templates/Travel & Tourism/Beach Paradise/c1.gif
  admin/resources/email_templates/Travel & Tourism/Beach Paradise/c2.gif
  admin/resources/email_templates/Travel & Tourism/Beach Paradise/credit.txt
  admin/resources/email_templates/Travel & Tourism/Beach Paradise/c3.gif
  admin/resources/email_templates/Travel & Tourism/Beach Paradise/c4.gif
  admin/resources/email_templates/Travel & Tourism/Beach Paradise/index.html
  admin/resources/email_templates/Travel & Tourism/Beach Paradise
  admin/resources/email_templates/Travel & Tourism/Travel (1 Column)/bkg_header_left.jpg
  admin/resources/email_templates/Travel & Tourism/Travel (1 Column)/bkg_footer.gif
  admin/resources/email_templates/Travel & Tourism/Travel (1 Column)/preview.gif
  admin/resources/email_templates/Travel & Tourism/Travel (1 Column)/bkg_header_right.jpg
  admin/resources/email_templates/Travel & Tourism/Travel (1 Column)/BkgRightTop.gif
  admin/resources/email_templates/Travel & Tourism/Travel (1 Column)/credit.txt
  admin/resources/email_templates/Travel & Tourism/Travel (1 Column)/BkgRightBottom.gif
  admin/resources/email_templates/Travel & Tourism/Travel (1 Column)/index.html
  admin/resources/email_templates/Travel & Tourism/Travel (1 Column)/bkg_header_top.jpg
  admin/resources/email_templates/Travel & Tourism/Travel (1 Column)
  admin/resources/email_templates/Travel & Tourism
  admin/resources/email_templates/Shopping Cart/Arts and Crafts
  admin/resources/email_templates/Shopping Cart/Art and Framing
  admin/resources/email_templates/Shopping Cart/Arts & Crafts/images/main_pic.gif
  admin/resources/email_templates/Shopping Cart/Arts & Crafts/images/shdw_left.gif
  admin/resources/email_templates/Shopping Cart/Arts & Crafts/images/shdw_right.gif
  admin/resources/email_templates/Shopping Cart/Arts & Crafts/images/bg_content_top.gif
  admin/resources/email_templates/Shopping Cart/Arts & Crafts/images/bg_top_left.gif
  admin/resources/email_templates/Shopping Cart/Arts & Crafts/images/bg_content_bottom.gif
  admin/resources/email_templates/Shopping Cart/Arts & Crafts/images/bg_top_right.gif
  admin/resources/email_templates/Shopping Cart/Arts & Crafts/images
  admin/resources/email_templates/Shopping Cart/Arts & Crafts/preview.gif
  admin/resources/email_templates/Shopping Cart/Arts & Crafts/index.html
  admin/resources/email_templates/Shopping Cart/Arts & Crafts
  admin/resources/email_templates/Shopping Cart/Art & Framing/images/bg_header.jpg
  admin/resources/email_templates/Shopping Cart/Art & Framing/images/bg_header_top.jpg
  admin/resources/email_templates/Shopping Cart/Art & Framing/images/shdw_left.gif
  admin/resources/email_templates/Shopping Cart/Art & Framing/images/shdw_right.gif
  admin/resources/email_templates/Shopping Cart/Art & Framing/images/divider.gif
  admin/resources/email_templates/Shopping Cart/Art & Framing/images/shdw_top.gif
  admin/resources/email_templates/Shopping Cart/Art & Framing/images
  admin/resources/email_templates/Shopping Cart/Art & Framing/preview.gif
  admin/resources/email_templates/Shopping Cart/Art & Framing/index.html
  admin/resources/email_templates/Shopping Cart/Art & Framing
  admin/resources/email_templates/Family & Friends/Floral/MainImg.jpg
  admin/resources/email_templates/Family & Friends/Floral/RightTop.gif
  admin/resources/email_templates/Family & Friends/Floral/preview.gif
  admin/resources/email_templates/Family & Friends/Floral/RightBottom.gif
  admin/resources/email_templates/Family & Friends/Floral/c1.gif
  admin/resources/email_templates/Family & Friends/Floral/c2.gif
  admin/resources/email_templates/Family & Friends/Floral/credit.txt
  admin/resources/email_templates/Family & Friends/Floral/c3.gif
  admin/resources/email_templates/Family & Friends/Floral/c4.gif
  admin/resources/email_templates/Family & Friends/Floral/index.html
  admin/resources/email_templates/Family & Friends/Floral/blank.gif
  admin/resources/email_templates/Family & Friends/Floral
  admin/resources/email_templates/Family & Friends/Lounge Around/MainImg.jpg
  admin/resources/email_templates/Family & Friends/Lounge Around/preview.gif
  admin/resources/email_templates/Family & Friends/Lounge Around/top1.gif
  admin/resources/email_templates/Family & Friends/Lounge Around/credit.txt
  admin/resources/email_templates/Family & Friends/Lounge Around/top2.gif
  admin/resources/email_templates/Family & Friends/Lounge Around/bottom1.gif
  admin/resources/email_templates/Family & Friends/Lounge Around/top3.gif
  admin/resources/email_templates/Family & Friends/Lounge Around/bottom2.gif
  admin/resources/email_templates/Family & Friends/Lounge Around/index.html
  admin/resources/email_templates/Family & Friends/Lounge Around/bottom3.gif
  admin/resources/email_templates/Family & Friends/Lounge Around
  admin/resources/email_templates/Family & Friends/People (1 Column)/images/bg_header.gif
  admin/resources/email_templates/Family & Friends/People (1 Column)/images/bg_content_top.gif
  admin/resources/email_templates/Family & Friends/People (1 Column)/images/bg_body.gif
  admin/resources/email_templates/Family & Friends/People (1 Column)/images/bg_newsitem_top.gif
  admin/resources/email_templates/Family & Friends/People (1 Column)/images/bg_newsitem1_top.gif
  admin/resources/email_templates/Family & Friends/People (1 Column)/images/bg_newsitem_bottom.gif
  admin/resources/email_templates/Family & Friends/People (1 Column)/images/bg_newsitem1_bottom.gif
  admin/resources/email_templates/Family & Friends/People (1 Column)/images/header.gif
  admin/resources/email_templates/Family & Friends/People (1 Column)/images
  admin/resources/email_templates/Family & Friends/People (1 Column)/preview.gif
  admin/resources/email_templates/Family & Friends/People (1 Column)/credit.txt
  admin/resources/email_templates/Family & Friends/People (1 Column)/index.html
  admin/resources/email_templates/Family & Friends/People (1 Column)
  admin/resources/email_templates/Family & Friends/Gift/MainImg.jpg
  admin/resources/email_templates/Family & Friends/Gift/preview.gif
  admin/resources/email_templates/Family & Friends/Gift/c1.gif
  admin/resources/email_templates/Family & Friends/Gift/c2.gif
  admin/resources/email_templates/Family & Friends/Gift/credit.txt
  admin/resources/email_templates/Family & Friends/Gift/c3.gif
  admin/resources/email_templates/Family & Friends/Gift/c4.gif
  admin/resources/email_templates/Family & Friends/Gift/index.html
  admin/resources/email_templates/Family & Friends/Gift
  admin/resources/email_templates/Family & Friends/Family Fun/MainImg.jpg
  admin/resources/email_templates/Family & Friends/Family Fun/preview.gif
  admin/resources/email_templates/Family & Friends/Family Fun/top1.gif
  admin/resources/email_templates/Family & Friends/Family Fun/credit.txt
  admin/resources/email_templates/Family & Friends/Family Fun/top2.gif
  admin/resources/email_templates/Family & Friends/Family Fun/bottom1.gif
  admin/resources/email_templates/Family & Friends/Family Fun/top3.gif
  admin/resources/email_templates/Family & Friends/Family Fun/bottom2.gif
  admin/resources/email_templates/Family & Friends/Family Fun/index.html
  admin/resources/email_templates/Family & Friends/Family Fun/bottom3.gif
  admin/resources/email_templates/Family & Friends/Family Fun
  admin/resources/email_templates/Family & Friends/Friendship/MainImg.jpg
  admin/resources/email_templates/Family & Friends/Friendship/preview.gif
  admin/resources/email_templates/Family & Friends/Friendship/c1.gif
  admin/resources/email_templates/Family & Friends/Friendship/c2.gif
  admin/resources/email_templates/Family & Friends/Friendship/credit.txt
  admin/resources/email_templates/Family & Friends/Friendship/c3.gif
  admin/resources/email_templates/Family & Friends/Friendship/c4.gif
  admin/resources/email_templates/Family & Friends/Friendship/index.html
  admin/resources/email_templates/Family & Friends/Friendship
  admin/resources/email_templates/Family & Friends/Childs Play/MainImg.jpg
  admin/resources/email_templates/Family & Friends/Childs Play/preview.gif
  admin/resources/email_templates/Family & Friends/Childs Play/top1.gif
  admin/resources/email_templates/Family & Friends/Childs Play/credit.txt
  admin/resources/email_templates/Family & Friends/Childs Play/top2.gif
  admin/resources/email_templates/Family & Friends/Childs Play/bottom1.gif
  admin/resources/email_templates/Family & Friends/Childs Play/top3.gif
  admin/resources/email_templates/Family & Friends/Childs Play/bottom2.gif
  admin/resources/email_templates/Family & Friends/Childs Play/index.html
  admin/resources/email_templates/Family & Friends/Childs Play/bottom3.gif
  admin/resources/email_templates/Family & Friends/Childs Play
  admin/resources/email_templates/Family & Friends
  admin/resources/email_templates/Travel and Tourism/Travel (2 Columns)/bkg_header_left.jpg
  admin/resources/email_templates/Travel and Tourism/Travel (2 Columns)/bkg_footer.gif
  admin/resources/email_templates/Travel and Tourism/Travel (2 Columns)/preview.gif
  admin/resources/email_templates/Travel and Tourism/Travel (2 Columns)/bkg_header_right.jpg
  admin/resources/email_templates/Travel and Tourism/Travel (2 Columns)/BkgRightTop.gif
  admin/resources/email_templates/Travel and Tourism/Travel (2 Columns)/BkgRightBottom.gif
  admin/resources/email_templates/Travel and Tourism/Travel (2 Columns)/index.html
  admin/resources/email_templates/Travel and Tourism/Travel (2 Columns)/bkg_header_top.jpg
  admin/resources/email_templates/Travel and Tourism/Travel (2 Columns)
  admin/resources/email_templates/Travel and Tourism/Country Escape/MainImg.jpg
  admin/resources/email_templates/Travel and Tourism/Country Escape/MainImg1.jpg
  admin/resources/email_templates/Travel and Tourism/Country Escape/BkgPage.gif
  admin/resources/email_templates/Travel and Tourism/Country Escape/preview.gif
  admin/resources/email_templates/Travel and Tourism/Country Escape/c1.gif
  admin/resources/email_templates/Travel and Tourism/Country Escape/c2.gif
  admin/resources/email_templates/Travel and Tourism/Country Escape/c3.gif
  admin/resources/email_templates/Travel and Tourism/Country Escape/c4.gif
  admin/resources/email_templates/Travel and Tourism/Country Escape/index.html
  admin/resources/email_templates/Travel and Tourism/Country Escape
  admin/resources/email_templates/Travel and Tourism/Vacation (1 Column)/MainImg.jpg
  admin/resources/email_templates/Travel and Tourism/Vacation (1 Column)/preview.gif
  admin/resources/email_templates/Travel and Tourism/Vacation (1 Column)/c1.gif
  admin/resources/email_templates/Travel and Tourism/Vacation (1 Column)/c2.gif
  admin/resources/email_templates/Travel and Tourism/Vacation (1 Column)/c3.gif
  admin/resources/email_templates/Travel and Tourism/Vacation (1 Column)/c4.gif
  admin/resources/email_templates/Travel and Tourism/Vacation (1 Column)/index.html
  admin/resources/email_templates/Travel and Tourism/Vacation (1 Column)
  admin/resources/email_templates/Travel and Tourism/Winter Wonderland/MainImg.jpg
  admin/resources/email_templates/Travel and Tourism/Winter Wonderland/MainImg1.jpg
  admin/resources/email_templates/Travel and Tourism/Winter Wonderland/preview.gif
  admin/resources/email_templates/Travel and Tourism/Winter Wonderland/c1.gif
  admin/resources/email_templates/Travel and Tourism/Winter Wonderland/c2.gif
  admin/resources/email_templates/Travel and Tourism/Winter Wonderland/c3.gif
  admin/resources/email_templates/Travel and Tourism/Winter Wonderland/c4.gif
  admin/resources/email_templates/Travel and Tourism/Winter Wonderland/index.html
  admin/resources/email_templates/Travel and Tourism/Winter Wonderland
  admin/resources/email_templates/Travel and Tourism/Vacation (2 Columns)/MainImg.jpg
  admin/resources/email_templates/Travel and Tourism/Vacation (2 Columns)/preview.gif
  admin/resources/email_templates/Travel and Tourism/Vacation (2 Columns)/c1.gif
  admin/resources/email_templates/Travel and Tourism/Vacation (2 Columns)/c2.gif
  admin/resources/email_templates/Travel and Tourism/Vacation (2 Columns)/c3.gif
  admin/resources/email_templates/Travel and Tourism/Vacation (2 Columns)/c4.gif
  admin/resources/email_templates/Travel and Tourism/Vacation (2 Columns)/index.html
  admin/resources/email_templates/Travel and Tourism/Vacation (2 Columns)
  admin/resources/email_templates/Travel and Tourism/Beach Paradise/MainImg.jpg
  admin/resources/email_templates/Travel and Tourism/Beach Paradise/MainImg1.jpg
  admin/resources/email_templates/Travel and Tourism/Beach Paradise/BkgPage.gif
  admin/resources/email_templates/Travel and Tourism/Beach Paradise/preview.gif
  admin/resources/email_templates/Travel and Tourism/Beach Paradise/c1.gif
  admin/resources/email_templates/Travel and Tourism/Beach Paradise/c2.gif
  admin/resources/email_templates/Travel and Tourism/Beach Paradise/c3.gif
  admin/resources/email_templates/Travel and Tourism/Beach Paradise/c4.gif
  admin/resources/email_templates/Travel and Tourism/Beach Paradise/index.html
  admin/resources/email_templates/Travel and Tourism/Beach Paradise
  admin/resources/email_templates/Travel and Tourism/Travel (1 Column)/bkg_header_left.jpg
  admin/resources/email_templates/Travel and Tourism/Travel (1 Column)/bkg_footer.gif
  admin/resources/email_templates/Travel and Tourism/Travel (1 Column)/preview.gif
  admin/resources/email_templates/Travel and Tourism/Travel (1 Column)/bkg_header_right.jpg
  admin/resources/email_templates/Travel and Tourism/Travel (1 Column)/BkgRightTop.gif
  admin/resources/email_templates/Travel and Tourism/Travel (1 Column)/BkgRightBottom.gif
  admin/resources/email_templates/Travel and Tourism/Travel (1 Column)/index.html
  admin/resources/email_templates/Travel and Tourism/Travel (1 Column)/bkg_header_top.jpg
  admin/resources/email_templates/Travel and Tourism/Travel (1 Column)
  admin/resources/email_templates/Travel and Tourism
  admin/com/language/default/customfields.php
  admin/com/language/default/whitelabel.php
  admin/com/storage
  admin/com/install/schema.indexes.php
  admin/com/lib/SendStudio
  admin/com/lib/IEM.class.php
  admin/com/lib/API/USERS.class.php
  admin/com/lib/IEM/Support.php
  admin/com/lib/HelperUserDelete.class.php
  admin/com/lib/record/Users.class.php
  admin/com/init.php
  admin/com/upgrades/20100731
  admin/com/upgrades/20090420/add_settings_credit_warnings_table.php
  admin/com/upgrades/20090420
  admin/com/init-legacy.php
  admin/com/templates/segment_form.tpl
  admin/com/templates/header.tpl
  admin/com/templates/customfield_form_step2_checkbox_edit.tpl
  admin/com/templates/customfield_form_step2_date.tpl
  admin/com/templates/customfield_form_step2_radiobutton_edit.tpl
  admin/com/templates/customfield_form_step2_textarea.tpl
  admin/com/templates/editor_text.tpl
  admin/com/templates/progressreport_popup.tpl
  admin/com/templates/usersgroups_form.tpl
  admin/com/templates/editor.tpl
  admin/com/templates/customfield_form_step2_number.tpl
  admin/com/templates/customfield_form_step2_text.tpl
  admin/com/templates/customfield_form_step2_dropdown_edit.tpl
  admin/com/templates
  admin/com
  surveys_submit.php
  form.php
  users/form.php
  send_friend.php
  unsubform.php
  updatedetails.php
  changelog.txt
  version.txt

---
## Version: 6.0.2
Released: 11th December, 2009

Bugs Fixed:
  - Add fix for notice in survey addon permissions.
  - Fix issue where hourly limits were not being throttled and were showing a notice saying the user has gone over their limit. Emails are not throttled to the specified hourly rate on the group.
  - Fix a potential issue in autoloading function when class is checked for existence. Since the default behavior of class_exists is to autoload, the second parameter needed to be set to false so that the class isn't attempted to be autoloaded.
  - Fix when exporting contacts where the filtering options weren't working properly and always took the user to the filter page.
  - Simplify UI on contact exporting page. Instead of 2 radio buttons, there is now a single checkbox that shows the option to either filter or not. Bey default, filtering is disabled.

Files Changed:
  admin/cron/send.php
  admin/addons/surveys/surveys.php
  admin/functions/subscribers_export.php
  admin/functions/stats.php
  admin/functions/usersgroups.php
  admin/functions/api/send.php
  admin/functions/api/jobs_send.php
  admin/functions/api/jobs.php
  admin/functions/api/stats.php
  admin/com/language/default/subscribers.php
  admin/com/language/default/usersgroups.php
  admin/com/language/default/language.php
  admin/com/lib/IEM.class.php
  admin/com/lib/API/USERS.class.php
  admin/com/lib/IEM/InterspireTemplate.class.php
  admin/com/lib/record/Users.class.php
  admin/com/init.php
  admin/com/templates/subscribers_export_step1.tpl
  admin/com/templates/usersgroups_form.tpl
  admin/com/templates/subscribers_export_step3.tpl
  version.txt
  changelog.txt
...



---
## Version: 6.0.1
Released: 1st December, 2009

Bugs Fixed:
  - Fix issue where user credit isn't being calculated correctly.
  - Fix issue where user credit isn't being displayed correctly.
  - Fix language variable names for contact list permissions when editing a user group.

Files Changed:
  admin/functions/usersgroups.php
  admin/com/language/default/usersgroups.php
  admin/com/lib/IEM.class.php
  admin/com/lib/IEM/InterspireTemplate.class.php
  admin/com/lib/record/Users.class.php
  admin/com/templates/usersgroups_form.tpl
  changelog.txt
  version.txt
...



---
## Version: 6.0.0
Released: 25th November, 2009

Bugs Fixed:
  - Content wasn't being properly encoded. Added a call to htmlentities() so that the content being pulled out of the database is properly encoded for a textarea (thus being correctly displayed in TinyMCE).
  - Fixes an issue where the Split Test Cron settings weren't appearing to save.
  - Remove old TinyMCE and replace with a jQuery build of TinyMCE (faster, smaller, etc.)
  - Add check for gd library when displaying the CAPTCHA option in website forms. If GD is present, the use of a CAPTRCHA is available, if not, then CAPTCHA's are disabled.
  - Add ability to specify an admin username during the installation process both in the installer and XML API installer.
  - Fix issues relating to user permission checking that was causing the admin user to not be saved. Also implemented a check to see if the user that is being edited is able to have their user group changed.
  - Adding security check to see if addon is enabled or not.
  - Fix issue with Checkbox Custom Field not being replaced correctly.
  - Fixed the custom field issue for triggers.
  - Fix issues related to user credit not being calculated/refunded correctly if a campaign is cancelled/deleted before sending.
  - Fix display issues with system logger addon configure settings page.
  - Fixed the issue with date input wasn't saved to database.
  - Update whitelabel to autodetect the version number in the footer copyright.
  - Update email templates with credits and new images.
  - Fix bug where email stats would be recorded before the campaign was actually sent.
  - Fixed the issue where custom fields wouldn't be replaced when sending auto-responders.

Core Features Added:
  - User Groups

Addons Added:
  - Dynamic Content
  - Surveys

Files Changed:
  Almost every single file was changed for this release. Please update all files EXCEPT admin/includes/config.php.
...



---
## Version: 5.7.4
Released: 16th September, 2009

Bugs Fixed:
  - Update template header images and previews.

Files Changed:
  admin/com/lib/IEM.class.php
  admin/resources/email_templates/Family and Friends/Community (1 Column)/preview.gif
  admin/resources/email_templates/Family and Friends/Community (1 Column)/bkg_header_right.jpg
  admin/resources/email_templates/Family and Friends/Community (2 Columns)/preview.gif
  admin/resources/email_templates/Family and Friends/Community (2 Columns)/bkg_header_right.jpg
  admin/resources/email_templates/Family and Friends/Crowds/preview.gif
  admin/resources/email_templates/Family and Friends/Crowds/MainImg.jpg
  admin/resources/email_templates/Family and Friends/Youth (1 Column)/preview.gif
  admin/resources/email_templates/Family and Friends/Youth (1 Column)/MainImg.jpg
  admin/resources/email_templates/Family and Friends/Youth (2 Columns)/preview.gif
  admin/resources/email_templates/Family and Friends/Youth (2 Columns)/MainImg.jpg
...



---
## Version: 5.7.3
Released: 25th August, 2009

Bugs Fixed:
  - Add the ability to choose unsubscribe method (the application is now defaulted back to "one-click" unsubscribe method).
  - Date custom field wasn't giving correct date option when adding new subscriber in.
  - Fixed a bug where triggers CRON schedule wasn't being set properly.
  - Reduce possible timeout when trying to send campaign with a lot of images.
  - In "Image manager" page, sorting were reversed for "Date Modified" column.
  - The instruction that prompts user to choose a date custom field to be used in a trigger was wrong.
  - Fixed an update script that causes the "addons" table to be created as a MyISAM table in MySQL.
  - Fixed PHP Warnings and Notices.

Files Changed:
  admin/addons/splittest/splittest.php
  admin/com/ext/interspire_email/email.php
  admin/com/language/default/forms.php
  admin/com/language/default/imagemanager.php
  admin/com/language/default/language.php
  admin/com/language/default/settings.php
  admin/com/lib/IEM.class.php
  admin/com/templates/form_form_thankspage.tpl
  admin/com/templates/settings.tpl
  admin/com/templates/subscribers_add_step2.tpl
  admin/com/templates/triggeremails_form.tpl
  admin/com/upgrades/20081215/create_addons.php
  admin/functions/api/api.php
  admin/functions/api/settings.php
  admin/functions/forms.php
  admin/functions/lib/general/general.php
  admin/functions/remote.php
  admin/functions/send.php
  admin/functions/settings.php
  admin/functions/users.php
  changelog.txt
  unsubscribe.php
  unsubscribe_common.php
  unsubscribe_confirmed.php
  version.txt
  xml.php
...



---
## Version: 5.7.2
Released: 17th August, 2009

Bugs Fixed:
  - Ability to control whether or not to show "Private Label" menu.
  - Bounce processing password wasn't working under FireFox.
  - Segment was not able to filter "Have opened any campaign".
  - Update email sending algorithm.
  - Update language variable.
  - Was not able to paginate User account "Quick Search" result.

Files Changed:
  admin/com/ext/interspire_event/interspireevent.php
  admin/com/init-legacy.php
  admin/com/init.php
  admin/com/language/default/users.php
  admin/com/language/default/whitelabel.php
  admin/com/pages/AdminTools.class.php
  admin/com/templates/bounce_details.tpl
  admin/com/templates/settings.tpl
  admin/com/templates/users.tpl
  admin/functions/api/settings.php
  admin/functions/api/ss_email.php
  admin/functions/api/subscribers.php
  admin/functions/process.php
  admin/functions/remote_installer.php
  admin/functions/sendstudio_functions.php
  admin/functions/settings.php
  admin/functions/users.php
  admin/resources/email_templates/*
...



---
## Version: 5.7.1
Released: 29th July, 2009

Features Added:
  - Add "quick search" function in manage user page.

Bugs Fixed
  - Application now check for required custom field is available before it allows you to proceed with the import.
  - HTML characterset was not being defined causing garbled characters in some cases.
  - Fixed chart "legend" that was overlaping with a label for one of the regions in the front page pie chart.
  - Fixed an issue where the application is reporting incorrect number of subscribers in a list when merging lists.
  - Fixed an issue where the application will not allow you to upload import files in some server configuration.
  - Custom fields with non-English characters were not being replaced when it is used in a newsletter.
  - Some style of HTML coding cannot be aligned using the WYSIWYG editor.
  - Unprivelaged user was shown the option to make a template global (Problem with User Interface).
  - Upgrading from SendStudio 2004 may see the statistics gone in some cases.
  - Move a couple of language variables used in "Segment" into language packs.
  - Fixed various notices and warnings that often shown in error log.

Files Changed
-------------
  admin/com/init-legacy.php
  admin/com/init.php
  admin/com/language/default/language.php
  admin/com/language/default/segment.php
  admin/com/language/default/subscribers.php
  admin/com/language/default/users.php
  admin/com/lib/IEM.class.php
  admin/com/lib/IEM/InterspireTemplate.class.php
  admin/com/templates/editor.tpl
  admin/com/templates/segment_form.tpl
  admin/com/templates/user_form.tpl
  admin/com/templates/users.tpl
  admin/functions/api/lists.php
  admin/functions/api/settings.php
  admin/functions/api/ss_email.php
  admin/functions/api/upgrade.php
  admin/functions/api/user.php
  admin/functions/index.php
  admin/functions/process.php
  admin/functions/sendstudio_functions.php
  admin/functions/subscribers_import.php
  admin/functions/templates.php
  admin/functions/upgrade.php
  admin/functions/upgradenx.php
  admin/functions/users.php
  admin/includes/js/javascript.js
  changelog.txt
  upgrade.txt
  version.txt
...



*******************************************************
*    Changelog for Interspire Email Marketer 5.7.0    *
*******************************************************
16th July, 2009

Features Added
--------------
Ability to notify administrator when certain number of contacts are being imported into the application.
Ability to notify administrator when certain number of emails are being sent.
Whitelabel options can be set from within the application.
Various improvement to usability.

Bugs Fixed
----------
Update WYSIWYG editor to use the latest TinyMCE (version 3.2.5)
Fix an issue with WYSIWYG editor where body background color was discarded when editing email contents.
Fix an issue with WYSIWYG editor where invalid HTML was inserted when editing email contents.
Fix a display bug in the WYSIWYG editor's "insert link" page (Applicable only in Micrososoft Internet Explorer).
Images that was uploaded VIA the application was not accessible in some server configuration.
Was not able to upload images in certain server environment.
Graphs were loading slowly in some server configuration.
Upgrading from a very old version failed when you have numerous autoresponders.
Trigger weren't resetting contacts's confirm/subscribe date when it was added into a new list.
Custom Fields containing Dollar sign ($) had a slash added in.

Files Changed
-------------
Due to the extensive changes to the application, almost all files have been modified in some way.

*******************************************************
*    Changelog for Interspire Email Marketer 5.6.7    *
*******************************************************
17th June, 2009

Bugs Fixed
----------
"Campaign start sending" and "Campaign finish sending" notification now uses each user SMTP settings.
Warn user when "Automatic bounce processing" is not able to detect IMAP.
Fix a JavaScript issue where Was not able to delete user account.
Fix an issue where the application will not allow you to import subscribers.
Fix an issue where user creation wasn't working properly when using PostgreSQL as the database backend.
Various minor code cleanup.

Files Changed
-------------
	admin/com/lib/IEM.class.php
	admin/com/templates/users.tpl
	admin/com/upgrades/20090420/add_column_users_credit_warnings.php
	admin/com/upgrades/20090420/add_settings_credit_warnings_table.php
	admin/com/upgrades/20090420/add_user_credit_summary_table.php
	admin/com/upgrades/20090420/add_user_credit_table.php
	admin/com/upgrades/20090420/add_user_forcedoubleoptin_column.php
	admin/com/upgrades/20090420/add_user_forcespamcheck_column.php
	admin/com/upgrades/20090420/check_cron_schedule_time.php
	admin/com/upgrades/20090420/install_addon_dbcheck.php
	admin/com/upgrades/20090420/update_db_version.php
	admin/com/upgrades/20090609/add_autoresponder_pause.php
	admin/com/upgrades/20090609/fix_user_stats_emails_perhour_oldtimestamp.php
	admin/com/upgrades/20090609/update_db_version.php
	admin/cron/bounce.php
	admin/functions/api/send.php
	admin/functions/api/user.php
	admin/functions/autoresponders.php
	admin/functions/customfields.php
	admin/functions/forms.php
	admin/functions/imagemanager.php
	admin/functions/lists.php
	admin/functions/preview.php
	admin/functions/schedule.php
	admin/functions/send.php
	admin/functions/sendstudio_functions.php
	admin/functions/settings.php
	admin/functions/stats.php
	admin/functions/subscribers.php
	admin/functions/subscribers_import.php
	admin/functions/templates.php
	changelog.txt
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.6.6    *
*******************************************************
12th June, 2009

NOTES
-----
Autoresponder now have a "paused" status which have the same behaviour as the old "inactive" status.
An autoresponder can be "Active" and "Paused" at the same time.

Inactive (ie. Not active): Subscribers data will NOT be captured and queued as a recipient.
As a result, contacts added/subscribed when autoresponder is inactive will NOT receive the autoresponder
when the autoresponder get reactivated.

Paused: Autoresponder will continue collecting subscribers data and queue them as a recipient.
As a result, when the autoresponder is resumed, contacts that were added during the
period when autoresponder is paused will still receive the autoresponder when the autoresponder is "resumed".


Features Added
-------------
Differentiate between "Active" and "Paused" autoresponder (see note above).
Add an ability to "preview" campaign that you compose when WYSIWYG editor is disabled.
Add a CRON schedule specifically for maintenance and housekeeping.


Bugs Fixed
----------
"Getting Started" video and "User Guide" can now be removed by changing a variable in the whitelabel file.
Modify language variables to clarify that "Email Campaign" and/or "Contact List" deletion will also delete associated "Statistics" with it.
Modify how attachment section is displayed (in the compose page) when the attachment are disabled from the settings page.
Warn users when they try to send a campaign that do not have an "archive" status enabled.
Company details can now be used as a custom field inside the "Send a friend" email.
Fixed an issue where bounce processing was not able to accept some characters as their bounce login detail.
Fixed an issue with Javascript error when saving campaign without WYSIWYG editor enabled.
Fixed an issue with TinyMCE uploading image without reseting permission for the image file.
Fixed various notices and warnings that often shown in error log.
Incorrect search result were returned in some cases when you are searching a particular contacts.
Sending schedule page wasn't showing splittest sending schedule.
The application will now cleanup failed/unused "export" queue automatically (Using "Maintenance" CRON schedule).
The application will now cleanup failed/unused "import" files automatically (Using "Maintenance" CRON schedule).
User was not able to export custom fields when more than one list was selected.
User was not able to upgrade the application in a restrictive server environment.
User's "sending statistics" were not being reported correctly.
Web-forms was not following W3C standard when you added certain custom fields to the form.
You can now add multiple CAPTCHA code on the same page.
Improve JavaScript performance in various places.
Upgraded TinyMCE to version 3.4.2.1.

Files Changed
-------------
	admin/addons/splittest/templates/manage_display.tpl
	admin/addons/splittest/templates/stats_display.tpl
	admin/com/init-legacy.php
	admin/com/init.php
	admin/com/install/schema.mysql.php
	admin/com/install/schema.pgsql.php
	admin/com/language/default/autoresponders.php
	admin/com/language/default/language.php
	admin/com/language/default/lists.php
	admin/com/language/default/newsletters.php
	admin/com/language/default/send.php
	admin/com/language/default/settings.php
	admin/com/language/default/whitelabel.php
	admin/com/lib/IEM.class.php
	admin/com/lib/IEM/InterspireTemplate.class.php
	admin/com/lib/Maintenance.class.php
	admin/com/templates/autoresponder_form_step4.tpl
	admin/com/templates/bounce_details.tpl
	admin/com/templates/bounce_test_window.tpl
	admin/com/templates/captcha_code.tpl
	admin/com/templates/editor_html_no_wysiwyg.tpl
	admin/com/templates/editor_multipart.tpl
	admin/com/templates/index.tpl
	admin/com/templates/newsletter_form_step2.tpl
	admin/com/templates/send_step4.tpl
	admin/com/templates/send_step4_cron.tpl
	admin/com/templates/users.tpl
	admin/com/upgrades/20090609
	admin/com/upgrades/20090609/add_autoresponder_pause.php
	admin/com/upgrades/20090609/fix_user_stats_emails_perhour_oldtimestamp.php
	admin/com/upgrades/20090609/update_db_version.php
	admin/cron/common.php
	admin/cron/cron.php
	admin/cron/maintenance.php
	admin/functions/api/autoresponders.php
	admin/functions/api/captcha.php
	admin/functions/api/customfields_date.php
	admin/functions/api/jobs.php
	admin/functions/api/jobs_autoresponders.php
	admin/functions/api/lists.php
	admin/functions/api/settings.php
	admin/functions/api/stats.php
	admin/functions/api/subscribers.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/autoresponders.php
	admin/functions/bounce.php
	admin/functions/forms.php
	admin/functions/imagemanager.php
	admin/functions/index.php
	admin/functions/newsletters.php
	admin/functions/send.php
	admin/functions/settings.php
	admin/functions/stats.php
	admin/functions/subscribers_export.php
	admin/functions/subscribers_import.php
	admin/functions/subscribers_manage.php
	admin/functions/subscribers_view.php
	admin/includes/js/javascript.js
	admin/includes/js/tiny_mce/*
	changelog.txt
	send_friend.php
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.6.5    *
*******************************************************
27th May, 2009

Bugs Fixed
----------
Added rule for bounce processing to catch reverse DNS lookup notice.
Add "insert table" icon in the WYSIWYG editor toolbar.
Fix an issue where the application wasn't able to accept some characters as the password.
Fixed an issue where shared contact lists causing user to be able to view each others send schedule.
Fixed a couple of alignment issue with Internet Explorer 7 in "Image Manager" page.
Fixed the issue where the WYSIWYG editor wasn't being displayed in "form creation" page when using Internet Explorer.
Fixed various notices/warnings.
Improve JavaScript algorithm in most "manage" page resulting in faster browser response.
Ratified help link in the bounce processing error result.
WYSIWYG editor was substituting element attribute with CSS style.
WYSIWYG editor was adding container div more than once.

Files Changed
-------------
	admin/com/init-legacy.php
	admin/com/ext/interspire_template/class.template.php
	admin/com/lib/IEM.class.php
	admin/com/lib/API/USERS.class.php
	admin/com/lib/IEM/InterspireTemplate.class.php
	admin/com/lib/IEM/baseAPI.class.php
	admin/com/lib/record/Users.class.php
	admin/com/templates/autoresponders_manage.tpl
	admin/com/templates/customfields_manage.tpl
	admin/com/templates/editor.tpl
	admin/com/templates/forms_manage.tpl
	admin/com/templates/header.tpl
	admin/com/templates/header_popup.tpl
	admin/com/templates/image_manage.tpl
	admin/com/templates/index.tpl
	admin/com/templates/lists_manage.tpl
	admin/com/templates/lists_manage_1.tpl
	admin/com/templates/newsletters_manage.tpl
	admin/com/templates/segment_manage.tpl
	admin/com/templates/stats_newsletter_manage.tpl
	admin/com/templates/stats_triggeremails_manage.tpl
	admin/com/templates/subscriber_event_table.tpl
	admin/com/templates/subscribers_banned_manage.tpl
	admin/com/templates/subscribers_manage.tpl
	admin/com/templates/subscribers_manage_anylist.tpl
	admin/com/templates/triggeremails_manage.tpl
	admin/com/templates/users.tpl
	admin/functions/api/jobs.php
	admin/functions/api/subscribers.php
	admin/functions/bounce.php
	admin/functions/schedule.php
	admin/functions/sendstudio_functions.php
	admin/includes/js/javascript.js
	admin/resources/bounce_rules.php
	changelog.txt
	confirm.php
	modifydetails.php
	unsubform.php
	version.txt
	updatedetails.php

*******************************************************
*    Changelog for Interspire Email Marketer 5.6.4    *
*******************************************************
20th May, 2009

Bugs Fixed
----------
Credit will no longer be deducted when autoresponder failed to send.
Add the ability to insert pre-defined link in TinyMCE.
Fixed an issue where the application was not able to delete user account along with their data in some cases.
Fixed an issue in the WYSIWYG editor where image name were not being displayed properly when using IE7.
Fixed an issue in the WYSIWYG editor with text alignment.
Fix user credit issue where user campaign is paused when they are nearing their credit limit.
Fix various warnings/notices.
Login screen and popup were not using HTML "standard mode".
Segment filtering failed for any single operator date filters.

Files Changed
-------------
	admin/com/lib/HelperUserDelete.class.php
	admin/com/lib/IEM.class.php
	admin/com/templates/editor.tpl
	admin/com/templates/header_popup.tpl
	admin/functions/api/bounce.php
	admin/functions/api/jobs_autoresponders.php
	admin/functions/api/jobs_triggeremails.php
	admin/functions/api/stats.php
	admin/functions/api/subscribers.php
	admin/functions/index.php
	admin/functions/newsletters.php
	admin/functions/sendstudio_functions.php
	admin/functions/stats_chart.php
	admin/includes/js/javascript.js
	admin/includes/js/tiny_mce/plugins/advlink/langs/en_dlg.js
	changelog.txt
	send_friend.php
	sendfriend.php
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.6.3    *
*******************************************************
13th May, 2009

Bugs Fixed
----------
Fixed an issue where date-based triggers were not being sent out in some cases.
Fixed an issue where the application was not able to delete user account along with their data in some cases.
Fixed an issue where the application were not sending to full segments in some cases.
Fixed various warnings and notices.
Fix broken image upload when trying to upload image from the WYSIWYG editor.
Fix bounce login passwords that contained some special characters were not working.
Fix manual bounce processor not allowing the deletion of non-bounce emails in some cases.
Fix 'Other' extra bounce settings not being filled in after detection.
Image link with images which contain spaces were not being properly inserted.
Improve email open tracking mechanism (still using web-beacon).
Unsubsribe link failed with an error when user has already unsubscribe to the list.

Files Changed
-------------
	admin/com/init-legacy.php
	admin/com/language/default/whitelabel.php
	admin/com/lib/IEM.class.php
	admin/com/lib/HelperUserDelete.class.php
	admin/com/templates/bounce_details.tpl
	admin/com/templates/bouncestep4.tpl
	admin/functions/api/jobs_autoresponders.php
	admin/functions/api/ss_email.php
	admin/functions/api/subscribers.php
	admin/functions/bounce.php
	admin/functions/users.php
	admin/includes/js/tiny_mce/plugins/advimage/js/image.js
	changelog.txt
	version.txt
	unsubscribe.php
	unsubscribe_confirmed.php
	xml.php

*******************************************************
*    Changelog for Interspire Email Marketer 5.6.2    *
*******************************************************
5th May, 2009

Bugs Fixed
----------
Catch more 'login failed' error messages for bounce processing.
Fix multiple occurrences of the editor on the same page causing problems.
Flash graphs do not reappear when clicking the same menu tab a second time.
The logic that checks user credit for sending was not working properly.

Files Changed
-------------
	admin/com/lib/IEM.class.php
	admin/com/templates/editor.tpl
	admin/functions/api/stats.php
	admin/functions/bounce.php
	admin/includes/js/javascript.js
	admin/includes/js/tiny_mce/plugins/advimage/js/image.js
	admin/includes/js/tiny_mce/tiny_mce.js
	admin/includes/js/tiny_mce/tiny_mce_src.js
	changelog.txt
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.6.1    *
*******************************************************
4th May, 2009

Bugs Fixed
----------
Fix an issue with "modify details" forms where the form will not display the correct date custom field.
Fix an issue with split test statistics not showing in some cases.
Fix incorrect unsubscribe URL being generated when using a different database table prefix from the default.
Fix saving links that have '&' symbols for link tracking redirects.
Fix error message displaying when trying to run the application on an insufficient version of PHP.
Fix going back from a connection error in the manual bounce processing wizard.
Fix saving custom field changes in web forms.
Prevent users from being able to schedule the same split test multiple times.
The 'number' custom field was not recognising empty values.

Files Changed
-------------
	admin/addons/splittest/api/splittest_stats.php
	admin/addons/splittest/language/language.php
	admin/addons/splittest/splittest.php
	admin/addons/splittest/splittest_send.php
	admin/addons/splittest/templates/splittest_form.tpl
	admin/com/ext/interspire_template/class.template.php
	admin/com/lib/IEM.class.php
	admin/functions/api/captcha.php
	admin/functions/api/customfields_number.php
	admin/functions/api/forms.php
	admin/functions/api/ss_email.php
	admin/functions/api/subscribers.php
	admin/functions/bounce.php
	admin/index.php
	changelog.txt
	form.php
	modifydetails.php
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.6.0    *
*******************************************************
28th April, 2009

NOTES
-----
The template directory has been moved to admin/com/templates. The older template location (admin/includes/templates) will not be used anymore.

Features Added
--------------
The WYSIWYG editor has been replaced with TinyMCE (http://tinymce.moxiecode.com/).
A new "image manager" to easily manage (edit/delete) and upload multiple images.
Redesign of manual bounce processing wizard.
A new dashboard with useful metrics and links.
Autoresponders and Trigger emails can now optionally deduct credits.
Ability to delete users along with all their associated data easily when you delete their account. (Can also be used by XML API.)
Unsubscribing contacts now need to confirm the unsubscription after clicking an unsubscribe link.
Better user management (added more useful information in various places).
A link on the manage user page to allow you to login as the user.
A "Database Diagnostic" tool that will run an integrity test on your database (indexes, tables, columns) for troubleshooting.
Ability to force a spam check on an email before it is saved.
Ability to force double opt-in when creating a website form.

Bugs Fixed
----------
Fix changing paging settings for Forwards stats.
Fixed RSS feed "pubdate" element to follow RFC822 standard (as per RSS specifications).
Google Analytics wasn't able to track campaign names.
Google analytics wasn't saving "utm_source" variable correctly.
The 'Number' custom field was not verifying negative values.

Files Changed
-------------
Due to the extensive changes to the application, almost all files have been modified in some way.
Please update ALL of your files.

*******************************************************
*    Changelog for Interspire Email Marketer 5.5.11   *
*******************************************************
20th April, 2009

Note
----
We have identified a problem with MySQL servers where some customers' connections to their database are using the 'latin1' character set by default.
As a result, data fails to be stored as UTF-8. Rather, it is stored as garbled characters in the database that can be interpreted correctly
when queried using a 'latin1' connection. Using a 'latin1' (also known as 'ISO-8859-1') character set has a number of drawbacks and should be avoided.

At present we do not have a solution for detecting corrupted data automatically (which is why we are unable to create an automatic upgrade for it).
If you find you have problems with garbled contents when using special/non-standard characters, there will be a script in the customer-to-customer forum that will allow you to fix it:
http://www.interspire.com/forum/forumdisplay.php?f=197

Bugs Fixed
----------
Fix clients using IPv6 being unable to login.
Fix display of checkbox data for unsubscribe emails sent to list owners.
Fix performance degredation caused by multiple entries in the user_access table.
Fix pop-up window header used when adding folders to be language-packed.
Fix using wildcards to match the start or end of an email address in a segment rule.
Fixed incorrect splittest scheduling.
Fixed permission issue where user was not able to view/edit/delete their own contacts in some cases.
Fixed the undefined variables on contact list statistics.
Fixed MySQL connection character set for new installs (see note above).
PostgreSQL users were not able to specify their own custom port.
Upgrading from SendStudio 2004 was failing on one of the upgrades.

Files Changed
-------------
	admin/addons/checkpermissions/checkpermissions.php
	admin/addons/emaileventlog/emaileventlog.php
	admin/addons/splittest/api/splittest_send.php
	admin/addons/splittest/description.xml
	admin/addons/splittest/splittest.php
	admin/addons/splittest/splittest_send.php
	admin/addons/splittest/splittest_stats.php
	admin/addons/systemlog/systemlog.php
	admin/addons/updatecheck/updatecheck.php
	admin/com/init-legacy.php
	admin/com/ext/database/pgsql.php
	admin/com/install/schema.indexes.php
	admin/com/lib/IEM.class.php
	admin/com/lib/IEM/Installer.class.php
	admin/com/upgrades/20090310/enable_or_reactivate_systemlog_addon.php
	admin/com/upgrades/20090415
	admin/com/upgrades/20090415/add_user_access_userid_area_id_idx.php
	admin/com/upgrades/20090415/remove_duplicate_user_access.php
	admin/com/upgrades/20090415/update_db_version.php
	admin/functions/api/api.php
	admin/functions/api/autoresponders.php
	admin/functions/api/bounce.php
	admin/functions/api/forms.php
	admin/functions/api/jobs_autoresponders.php
	admin/functions/api/jobs_triggeremails.php
	admin/functions/api/lists.php
	admin/functions/api/newsletters.php
	admin/functions/api/segment.php
	admin/functions/api/send.php
	admin/functions/api/settings.php
	admin/functions/api/stats.php
	admin/functions/api/subscribers.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/sendstudio_functions.php
	admin/functions/stats_chart.php
	admin/functions/upgrade.php
	admin/includes/templates/folder_viewpicker.tpl
	admin/includes/templates/triggeremails_form.tpl
	admin/modules/tracker/module_tracker.php
	changelog.txt
	version.txt
	unsubscribe.php
	xml.php

*******************************************************
*    Changelog for Interspire Email Marketer 5.5.10   *
*******************************************************
1st April, 2009

Bugs Fixed
----------
Fix an issue with "Radio Button" custom field validation.
Fix detection of Safe Mode for the installer on some misconfigured servers.
Fix email credit (not monthly credit) not being refunded when a user cancels a scheduled send.
Fix Javascript error when viewing contacts.
Fix permission problems with Image Manager not able to create folders.
Prevent MySQL from using the incorrect character set when using UTF-8, which can cause garbled characters to be saved.
Remove references to a non-existent background image in two email templates.
Triggers weren't being processed for new installations (bug introduced in 5.5.8).


Files Changed
-------------
	admin/addons/splittest/splittest.php
	admin/com/init-legacy.php
	admin/com/lib/IEM.class.php
	admin/com/lib/IEM/Installer.class.php
	admin/com/upgrades/20090331
	admin/com/upgrades/20090331/delete_cron_triggeremails_p_settings.php
	admin/com/upgrades/20090331/update_db_version.php
	admin/de/remote.php
	admin/de/dialog/upload_file.php
	admin/de/dialog/upload_image.php
	admin/functions/api/bounce.php
	admin/functions/api/captcha.php
	admin/functions/api/settings.php
	admin/functions/api/stats.php
	admin/functions/api/upgrade.php
	admin/functions/schedule.php
	admin/includes/js/javascript.js
	admin/includes/templates/google_calendar_form.tpl
	admin/resources/email_templates/Business/Generic 1 (1 Column)/index.html
	admin/resources/email_templates/Business/Generic 1 (2 Columns)/index.html
	admin/resources/form_designs/Definition List Plain Form
	admin/resources/form_designs/Definition List Plain Form/modifydetails.html
	admin/resources/form_designs/Definition List Plain Form/modifydetails_options.html
	admin/resources/form_designs/Definition List Plain Form/notrequired.html
	admin/resources/form_designs/Definition List Plain Form/required.html
	admin/resources/form_designs/Definition List Plain Form/sendtofriend.html
	admin/resources/form_designs/Definition List Plain Form/subscribe.html
	admin/resources/form_designs/Definition List Plain Form/subscribe_options.html
	admin/resources/form_designs/Definition List Plain Form/unsubscribe.html
	admin/resources/form_designs/Definition List Plain Form/unsubscribe_options.html
	changelog.txt
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.5.9    *
*******************************************************
25th March, 2009

Bugs Fixed
----------
Event log description for autoresponder was incorrectly logged with "Sent an Email Campaign" as the event subject.
Fixed invalid links generated by Splittests when there were no custom fields added into the campaign and sending to more than 500 contacts.
Fixed various warnings notices that were generated by PHP.
Fix an issue with new installations that didn't have "login" tables defined (added security measure).
Fix multiple logins with the same username leading to inconsistencies when creating contact lists or templates.
Fix problems with the WYSIWYG editor not being able to upload images on Microsoft Windows and IIS servers.
Fix timezone being detected incorrectly after a DST change in some cases.
Fix an issue where the "Incomplete Send" flag always displayed for newsletters that were sent as a Splittest.
Increase the XHTML compatibility of generated forms.
JavaScript generated for subscription form contained a JavaScript error.
Limit the number of email previews that can be sent at once.
Missing language variables will no longer terminate the application.
Remove superfluous question mark from the link tracking option when sending a campaign.
Statistics for "Last Month" was not returning the correct result.
Triggeremails CRON "Daily Process" wasn't working for PostgreSQL in some cases.
When using manual sending, credits weren't refunded if the user cancelled at the last step.

Files Changed
-------------
	admin/addons/emaileventlog/emaileventlog.php
	admin/addons/emaileventlog/language/language.php
	admin/com/init-legacy.php
	admin/com/init.php
	admin/com/ext/db.php
	admin/com/ext/mysql.php
	admin/com/ext/pgsql.php
	admin/com/install/schema.mysql.php
	admin/com/install/schema.pgsql.php
	admin/com/language/default/language.php
	admin/com/lib/IEM.class.php
	admin/com/upgrades/20090323
	admin/com/upgrades/20090323/create_login_attempt_2.php
	admin/com/upgrades/20090323/create_login_banned_ip_2.php
	admin/com/upgrades/20090323/update_db_version.php
	admin/de/remote.php
	admin/de/dialog/upload_file.php
	admin/de/dialog/upload_image.php
	admin/functions/api/bounce.php
	admin/functions/api/captcha.php
	admin/functions/api/forms.php
	admin/functions/api/jobs_triggeremails.php
	admin/functions/api/lists.php
	admin/functions/api/newsletters.php
	admin/functions/api/ss_email.php
	admin/functions/api/stats.php
	admin/functions/api/subscribers.php
	admin/functions/api/upgrade.php
	admin/functions/installer.php
	admin/functions/lists.php
	admin/functions/newsletters.php
	admin/functions/sendstudio_functions.php
	admin/functions/stats.php
	admin/functions/templates.php
	admin/includes/templates/send_step3.tpl
	admin/resources/form_designs/Classic White (Default)/modifydetails.html
	admin/resources/form_designs/Classic White (Default)/sendtofriend.html
	admin/resources/form_designs/Classic White (Default)/subscribe.html
	admin/resources/form_designs/Classic White (Default)/unsubscribe.html
	admin/resources/form_designs/Georgia Dark/modifydetails.html
	admin/resources/form_designs/Georgia Dark/sendtofriend.html
	admin/resources/form_designs/Georgia Dark/subscribe.html
	admin/resources/form_designs/Georgia Dark/unsubscribe.html
	admin/resources/form_designs/Georgia Orange/modifydetails.html
	admin/resources/form_designs/Georgia Orange/sendtofriend.html
	admin/resources/form_designs/Georgia Orange/subscribe.html
	admin/resources/form_designs/Georgia Orange/unsubscribe.html
	admin/resources/form_designs/Georgia Yellow/modifydetails.html
	admin/resources/form_designs/Georgia Yellow/sendtofriend.html
	admin/resources/form_designs/Georgia Yellow/subscribe.html
	admin/resources/form_designs/Georgia Yellow/unsubscribe.html
	admin/resources/form_designs/HTML Only (No design)/modifydetails.html
	admin/resources/form_designs/HTML Only (No design)/sendtofriend.html
	admin/resources/form_designs/HTML Only (No design)/subscribe.html
	admin/resources/form_designs/HTML Only (No design)/unsubscribe.html
	admin/resources/form_designs/Printable Form/modifydetails.html
	admin/resources/form_designs/Printable Form/sendtofriend.html
	admin/resources/form_designs/Printable Form/subscribe.html
	admin/resources/form_designs/Printable Form/unsubscribe.html
	admin/resources/form_designs/Simple Blue/modifydetails.html
	admin/resources/form_designs/Simple Blue/sendtofriend.html
	admin/resources/form_designs/Simple Blue/subscribe.html
	admin/resources/form_designs/Simple Blue/unsubscribe.html
	admin/resources/form_designs/blue/modifydetails.html
	admin/resources/form_designs/blue/sendtofriend.html
	admin/resources/form_designs/blue/subscribe.html
	admin/resources/form_designs/blue/unsubscribe.html
	changelog.txt
	confirm.php
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.5.8    *
*******************************************************
11th March, 2009

NOTE
----
For larger installations that have a high number of records in their <TABLEPREFIX>queues_unsent table, you will need to add the following indexes manually.
Optionally, you can also truncate the contents of the table if it is no longer relevant to you.

CREATE INDEX <TABLEPREFIX>queues_unsent_queueid_idx ON <TABLEPREFIX>queues_unsent (queueid);
CREATE INDEX <TABLEPREFIX>queues_unsent_recipient_idx ON <TABLEPREFIX>queues_unsent (recipient);

Bugs Fixed
----------
Custom fields were not being replaced properly in confirmation emails.
Fix a possible case where Split Tests would never be marked as complete.
Fix a potential problem with removing subscribers which might cause an some issue with "Resend Queue".
Fix a problem with "User Account Statistics" where data older than 12 months wasn't being displayed.
Fix a rare case where blank emails can be sent for long campaigns when custom field tokens are unterminated.
Fix harmless error logs entries that may show up when installing or upgrading.
Fix listing Split Tests for some versions of PostgreSQL.
Fix list merging in PostgreSQL and in some MySQL configurations.
Fix Split Tests listing on the stats page after sending one to a list with no contacts.
Fix the 'Learn More' link on the spam words checker.
Fix the System Log addon to now limit the log to the configured amount of entries.
Fix warnings when running the cron job with CGI PHP instead of CLI PHP.
Give the appropriate error message when trying to create a form without any lists on the system.
Stash file will now be restored automatically.
Improve the SQL query that is used to get the list of campaigns.
Improve subscription form client-side email validation.
Improve the error description message when viewing emails that failed sending.
Logging out produces CGI error on some server.
Remove unnecessary HTML base tag in some templates.
Simplify CRON schedule for Triggers.
"Trigger Process" is now scheduled to run at the start of the day (according to the server's timezone).
"Test Mode" warning was not being shown in some cases.
The word "Contact Summary" in "Contact List Statistics" page is now language packed.
Users were unable to edit/delete their own custom templates.
Patch the WYSIWYG editor with the latest security updates.
General code clean-up.

Files Changed
-------------
	admin/addons/checkpermissions/checkpermissions.php
	admin/addons/interspire_addons.php
	admin/addons/splittest/api/splittest.php
	admin/addons/splittest/api/splittest_send.php
	admin/addons/splittest/api/splittest_stats.php
	admin/addons/splittest/cron.php
	admin/addons/splittest/splittest.php
	admin/addons/splittest/splittest_send.php
	admin/addons/systemlog/systemlog.php
	admin/com/init-legacy.php
	admin/com/init.php
	admin/com/ext/database/db.php
	admin/com/ext/database/mysql.php
	admin/com/ext/database/pgsql.php
	admin/com/install/schema.indexes.php
	admin/com/language/default/send.php
	admin/com/language/default/settings.php
	admin/com/language/default/stats.php
	admin/com/lib/IEM.class.php
	admin/com/lib/IEM/Installer.class.php
	admin/com/lib/IEM/InterspireStash.class.php
	admin/com/lib/IEM/InterspireTemplate.class.php
	admin/com/upgrades/20090310
	admin/com/upgrades/20090310/create_index_for_queues_unsent_queueid_idx.php
	admin/com/upgrades/20090310/create_index_for_queues_unsent_recipient_idx.php
	admin/com/upgrades/20090310/enable_or_reactivate_systemlog_addon.php
	admin/com/upgrades/20090310/update_db_version.php
	admin/cron/addons.php
	admin/cron/common.php
	admin/cron/triggeremails.php
	admin/de/*
	admin/functions/api/bounce.php
	admin/functions/api/forms.php
	admin/functions/api/jobs_send.php
	admin/functions/api/lists.php
	admin/functions/api/newsletters.php
	admin/functions/api/send.php
	admin/functions/api/settings.php
	admin/functions/api/ss_email.php
	admin/functions/api/subscribers.php
	admin/functions/api/templates.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/forms.php
	admin/functions/installer.php
	admin/functions/lib/session/session.php
	admin/functions/lists.php
	admin/functions/login.php
	admin/functions/logout.php
	admin/functions/newsletters.php
	admin/functions/schedule.php
	admin/functions/send.php
	admin/functions/sendstudio_functions.php
	admin/functions/settings.php
	admin/functions/stats.php
	admin/functions/templates.php
	admin/includes/js/javascript.js
	admin/includes/styles/stylesheet.css
	admin/includes/templates/header.tpl
	admin/includes/templates/stats_list_step3.tpl
	admin/resources/email_templates/Business/Generic 2 (2 Columns)/index.html
	admin/resources/email_templates/Seasonal Events/Holiday (2 Columns)/index.html
	admin/resources/email_templates/Trade/Generic (1 Column)/index.html
	admin/resources/email_templates/Travel and Tourism/Travel (2 Columns)/index.html
	users/form.php
	users/link.php
	users/send_autos.php
	users/send_emails.php
	changelog.txt
	confirm.php
	display.php
	link.php
	open.php
	rss.php
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.5.7    *
*******************************************************
23rd February, 2009

Bugs Fixed
----------
Add HTML escaping for the error log viewer.
Add more validation when creating/editing triggers.
"Autoresponder Summary Chart" in statistics page is now language packed.
Display "intrinsic value" of a few custom fields to clarify its value.
Fix an issue where templates created by some users were defaulting to being global by default.
Fix a problem uploading files in the editor on some IIS servers.
Fix changing per-page settings when viewing suppression lists.
Fix triggers that use custom fields not evaluating for PostgreSQL in some cases.
Fix a possibility of duplicate emails sending out using PostreSQL.
Fix problems some were experiencing with changing SMTP settings.
Fix rare cases where invalid mail settings would be used to connect to a bounce server.
Fix upgrading from SendStudio 2004.
Fix "View Schedule" page where duplicate entries of the same schedule may be shown.
Fix an issue with the XML API not saving "Checkboxes" custom field value properly in some cases.
GMT+13:00 is now selectable as a user's timezone.
Identical emails with differences in case can no longer be added to the same list in PostgreSQL.
Improve sending performance by optimizing duplication-removal code.
Normal users were not able to delete trigger emails statistics.
"Quick Links" found in the home page is now language packed.
Replace a query in a statistics function which will not work in MySQL 4.1.1.
RFC 5.5.0 bounce statuses will now use regular expression matching to determine the hard/soft bounce result.
Searching contact emails will now be case-insensitive on PostgreSQL too.
Speed up the loading time of some of the 'Contacts' pages.
The installer will no longer try to proceed if Safe Mode is on.
The 'rename' and 'delete' links for folders are now language-packed.
When creating a new user the "Recent Activity Log" option would not be enabled even if selected.

Files Changed
-------------
	admin/addons/splittest/splittest.php
	admin/addons/systemlog/systemlog.php
	admin/com/init.php
	admin/com/language/default/customfields.php
	admin/com/language/default/folders.php
	admin/com/language/default/index.php
	admin/com/language/default/stats.php
	admin/com/language/default/timezones.php
	admin/com/language/default/triggeremails.php
	admin/com/lib/IEM/Installer.class.php
	admin/com/lib/IEM.class.php
	admin/functions/api/api.php
	admin/functions/api/bounce.php
	admin/functions/api/jobs.php
	admin/functions/api/jobs_send.php
	admin/functions/api/jobs_triggeremails.php
	admin/functions/api/settings.php
	admin/functions/api/stats.php
	admin/functions/api/subscribers.php
	admin/functions/api/triggeremails.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/installer.php
	admin/functions/remote_installer.php
	admin/functions/stats.php
	admin/functions/subscribers.php
	admin/functions/subscribers_banned.php
	admin/functions/templates.php
	admin/functions/upgrade.php
	admin/includes/templates/customfield_form_step2_checkbox_edit.tpl
	admin/includes/templates/customfield_form_step2_checkbox_list_edit.tpl
	admin/includes/templates/customfield_form_step2_dropdown_edit.tpl
	admin/includes/templates/customfield_form_step2_dropdown_list_edit.tpl
	admin/includes/templates/customfield_form_step2_radiobutton_edit.tpl
	admin/includes/templates/customfield_form_step2_radiobutton_list_edit.tpl
	admin/includes/templates/folder.tpl
	admin/includes/templates/index.tpl
	admin/includes/templates/settings.tpl
	admin/includes/templates/stats_autoresponders_step3.tpl
	admin/includes/templates/template_form_step2.tpl
	admin/includes/templates/triggeremails_form.tpl
	changelog.txt
	version.txt
	xml.php

*******************************************************
*    Changelog for Interspire Email Marketer 5.5.6    *
*******************************************************
9th February, 2009

Bugs Fixed
----------
Fix split test segment sends going out to all contacts in the lists of the segments when using cron.
Fix the update check not working on some strict servers.
Improve the obscure error message when the admin/com/storage directory is not writeable.
Provide an error message when the session directory is unwriteable.
Remove some unnecessary 'cancel' buttons.
Remove warnings about 'REQUEST_URI' or 'argv' for IIS servers.
The 'Check Permissions' add-on will no longer flag non-existent files/directories as 'not OK' and now has a slightly improved interface.
The cron command will now display the PHP binary even if it can't find it.

Files Changed
-------------
	admin/addons/checkpermissions/checkpermissions.php
	admin/addons/checkpermissions/language/language.php
	admin/addons/checkpermissions/templates/final_report.tpl
	admin/addons/emaileventlog/emaileventlog.php
	admin/addons/splittest/splittest_send.php
	admin/addons/splittest/templates/create_button.tpl
	admin/addons/updatecheck/templates/check.tpl
	admin/com/init.php
	admin/com/language/default/triggeremails.php
	admin/com/lib/IEM.class.php
	admin/functions/api/bounce.php
	admin/functions/api/triggeremails.php
	admin/functions/lib/general/convertdate.php
	admin/functions/lib/session/session.php
	admin/functions/sendstudio_functions.php
	admin/functions/settings.php
	admin/functions/triggeremails.php
	admin/includes/templates/bounce_step1.tpl
	admin/includes/templates/subscribers_import_step1.tpl
	admin/includes/templates/triggeremails_form.tpl
	changelog.txt
	version.txt
	xml.php

*******************************************************
*    Changelog for Interspire Email Marketer 5.5.5    *
*******************************************************
28th January, 2009

Bugs Fixed
----------
Added some indexes to improve triggers and events speed.
Address various warning messages.
Admin account was not able to view all triggers statistics.
Application was not able to be installed in PostgreSQL due to an incompatibility in an SQL statement.
Email credits were not being calculated properly for some users.
Extraneous whitespace is now removed when doing a simple contacts search.
Fix charts displaying in the wrong time zone (always GMT) when using PostgreSQL.
Fix choosing a template on the autoresponder creation page in Chrome/Safari.
Fix creating folders with special characters using ISO-8859-1 encoding.
Fix export files not being deleted.
Fix formatting problems with the Technology templates.
Fix notice when deleting a split test.
Fix problems upgrading from some old versions of SendStudio NX.
Fix searching for contacts on a custom date field between two dates.
Fix unsubscribe stats for contact lists not showing on the chart.
Fix update check in Chrome/Safari.
Fix updating SMTP details on the Settings page in Chrome/Safari.
Fixed open chart not displaying statistics in graph for months older than year 2009.
Fixed problems with segments on PostgreSQL.
Importing URL contents wasn't always working properly when running on a Windows server.
Improve the application responsiveness on the sending page.
Incorrect results are returned from segments when sending emails to multiple segments.
PostgreSQL users weren't able to upgrade to 5.5.4.
The 'Predefined Date' trigger type name wasn't being printed out in the statistics list page.
The 'Insert a Custom Field' thickbox header is now language-packed.
The 'Rename Folder' pop-up heading is now language packed.
The system message will now display on the home page again if set.
Unprivileged users were not able to view triggers statistics.
Users weren't able to edit/view subscribers when they are not the list owner (and not admin) regardless of access permissions.

Files Changed
-------------
	admin/addons/splittest/splittest.php
	admin/addons/updatecheck/templates/check.tpl
	admin/addons/updatecheck/templates/default.tpl
	admin/com/ext/interspire_template/class.template.php
	admin/com/ext/interspire_email/email.php
	admin/com/init-legacy.php
	admin/com/init.php
	admin/com/install/schema.indexes.php
	admin/com/install/schema.mysql.php
	admin/com/language/default/folders.php
	admin/com/language/default/send.php
	admin/com/lib/IEM.class.php
	admin/com/upgrades/20081215/modify_user_table_type.php
	admin/com/upgrades/20090112/fix_3784_index_user_permissions.php
	admin/com/upgrades/20090126
	admin/com/upgrades/20090126/create_list_subscriber_events_subscriberid_index.php
	admin/com/upgrades/20090126/create_triggeremails_actions_data_idx.php
	admin/com/upgrades/20090126/create_triggeremails_data_idx.php
	admin/com/upgrades/20090126/create_triggeremails_log_idx.php
	admin/com/upgrades/20090126/update_db_version.php
	admin/functions/api/api.php
	admin/functions/api/design_rules_check.php
	admin/functions/api/stats.php
	admin/functions/api/subscribers.php
	admin/functions/api/triggeremails.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/folders.php
	admin/functions/index.php
	admin/functions/remote.php
	admin/functions/send.php
	admin/functions/sendstudio_functions.php
	admin/functions/stats.php
	admin/functions/stats_chart.php
	admin/functions/subscribers_manage.php
	admin/includes/js/javascript.js
	admin/includes/styles/stylesheet.css
	admin/includes/styles/useractivitylog.css
	admin/includes/templates/autoresponder_form_step3.tpl
	admin/includes/templates/folder.tpl
	admin/includes/templates/index.tpl
	admin/includes/templates/index_system_message.tpl
	admin/includes/templates/settings.tpl
	admin/includes/templates/settings2.tpl
	admin/includes/templates/stats_triggeremails_manage.tpl
	admin/resources/email_templates/Business/Technology (1 Column)/blank.gif
	admin/resources/email_templates/Business/Technology (1 Column)/index.html
	admin/resources/email_templates/Business/Technology (2 Columns)/blank.gif
	admin/resources/email_templates/Business/Technology (2 Columns)/index.html
	changelog.txt
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.5.4    *
*******************************************************
13th January, 2009

Bugs Fixed
----------
The CRON schedule was not being recorded properly.
Improve autoresponder process to boost CRON performance.
Prevent redundant records from being inserted into the user permissions table.
Segment filter for "between" two dates was not working correctly.
The error message for installing IEM 5.5 on a PHP4 system no longer refers to an 'upgrade'.
The words 'days' and 'hours' in the Split Test form are now properly language-packed.
Triggers weren't being triggered for "Email Open" and "Link Clicked".

Files Changed
-------------
        admin/addons/checkpermissions/checkpermissions.php
        admin/addons/emaileventlog/emaileventlog.php
        admin/addons/interspire_addons.php
        admin/addons/splittest/splittest.php
        admin/addons/splittest/templates/splittest_form.tpl
        admin/addons/systemlog/systemlog.php
        admin/addons/updatecheck/updatecheck.php
        admin/com/ext/interspire_event/interspireevent.php
        admin/com/init-legacy.php
        admin/com/init.php
        admin/com/install/listeners.php
        admin/com/install/schema.indexes.php
        admin/com/lib/CustomConfiguration.class.php
        admin/com/lib/IEM.class.php
        admin/com/upgrades/20090107/fix_3744_fix_absolute_path.php
        admin/com/upgrades/20090112/fix_3780_fix_some_event_not_triggered.php
        admin/com/upgrades/20090112/fix_3784_index_user_permissions.php
        admin/com/upgrades/20090112/reregister_listeners.php
        admin/com/upgrades/20090112/update_db_version.php
        admin/functions/api/jobs_autoresponders.php
        admin/functions/api/settings.php
        admin/functions/api/subscribers.php
        admin/functions/api/upgrade.php
        admin/functions/index.php
        admin/functions/sendstudio_functions.php
        admin/index.php
        changelog.txt
        version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.5.3    *
*******************************************************
7th January, 2009

Bugs Fixed
----------
After editing a contact their Request and Confirm IPs were lost.
Email Credits weren't being displayed.
Fix various warning messages.
Fix issues where installation folder cannot be relocated.
Importing "bad data" did not show the list of "bad emails".
Improved installation error message.
Notification emails now use SMTP settings if specified from the global settings.
Non-admin users with permission to access "All lists" were unable to save contact details.
Removed variable that identifies individual subscribers from Google Analytics (see Google Analytics TOS).

Files Changed
-------------
        admin/addons/checkpermissions/checkpermissions.php
        admin/addons/emaileventlog/emaileventlog.php
        admin/addons/splittest/splittest.php
        admin/addons/systemlog/systemlog.php
        admin/addons/updatecheck/updatecheck.php
        admin/com/custom/init-path.example.php
        admin/com/ext/database/db.php
        admin/com/ext/interspire_event/interspireevent.php
        admin/com/init-legacy.php
        admin/com/init.php
        admin/com/install/listeners.php
        admin/com/language/default/language.php
        admin/com/lib/IEM.class.php
        admin/com/lib/IEM/InterspireTemplate.class.php
        admin/com/upgrades/20090107
        admin/com/upgrades/20090107/fix_3744_fix_absolute_path.php
        admin/com/upgrades/20090107/update_db_version.php
        admin/functions/amcharts/common.php
        admin/functions/api/jobs_autoresponders.php
        admin/functions/api/send.php
        admin/functions/api/subscribers.php
        admin/functions/api/upgrade.php
        admin/functions/index.php
        admin/functions/remote_stats.php
        admin/functions/stats_chart.php
        admin/functions/subscribers_edit.php
        admin/functions/subscribers_import.php
        admin/includes/templates/header.tpl
        admin/includes/templates/user_form.tpl
        admin/index.php
        admin/modules/tracker/google/module_google_tracker.php
        changelog.txt
        version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.5.2    *
*******************************************************
18th December, 2008

Bugs Fixed
----------
Certain user types were not able to view contacts in some of their contact lists.
Contacts that were obtained from segment results were incorrectly returning record information.
Fix permissions where a user is unable to view/edit/delete contacts obtained from a segment.
Fix the SMTP details not showing up on the Settings page in Chrome/Safari.
Fix upgrading for MySQL versions < 5.
Remove non-existent image references from some templates.
Suppress a PHP warning when installing if admin/com/storage is unwriteable.

Files Changed
-------------
	admin/com/lib/IEM.php
	admin/com/init-legacy.php
	admin/com/upgrades/20081215/modify_user_table_type.php
	admin/functions/api/subscribers.php
	admin/functions/init.php
	admin/functions/subscribers_edit.php
	admin/functions/subscribers_event.php
	admin/functions/subscribers_manage.php
	admin/functions/subscribers_view.php
	admin/includes/templates/settings.tpl
	admin/includes/templates/settings2.tpl
	admin/includes/templates/subscribers_manage.tpl
	admin/includes/templates/subscribers_manage_anylist.tpl
	admin/resources/email_templates/Family and Friends/Gift/index.html
	admin/resources/email_templates/Hobbiest/Photo Crazy/index.html
	admin/resources/email_templates/Music/Brass Drums/index.html
	changelog.txt
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.5.1    *
*******************************************************
17th December, 2008

Bugs Fixed
----------
Failed upgrading to 5.5 when you have an old database scheme (where user table is still defined as MyISAM).
Timezone issue for servers that have GMT+12 and daylight savings defined.

Files Changed
-------------
        admin/com/language/default/timezones.php
        admin/com/language/default/whitelabel.php
        admin/com/lib/IEM.php
        admin/com/upgrades/20081215/modify_user_table_type.php
        admin/com/init-legacy.php
        admin/functions/api/upgrade.php
        admin/functions/api/useractivitylog.php
        admin/resources/form_designs/Classic White (Default)/modifydetails.html
        admin/resources/form_designs/Classic White (Default)/sendtofriend.html
        admin/resources/form_designs/Classic White (Default)/subscribe.html
        admin/resources/form_designs/Classic White (Default)/unsubscribe.html
        admin/resources/form_designs/Georgia Dark/modifydetails.html
        admin/resources/form_designs/Georgia Dark/sendtofriend.html
        admin/resources/form_designs/Georgia Dark/subscribe.html
        admin/resources/form_designs/Georgia Dark/unsubscribe.html
        admin/resources/form_designs/Georgia Orange/modifydetails.html
        admin/resources/form_designs/Georgia Orange/sendtofriend.html
        admin/resources/form_designs/Georgia Orange/subscribe.html
        admin/resources/form_designs/Georgia Orange/unsubscribe.html
        admin/resources/form_designs/Georgia Yellow/modifydetails.html
        admin/resources/form_designs/Georgia Yellow/sendtofriend.html
        admin/resources/form_designs/Georgia Yellow/subscribe.html
        admin/resources/form_designs/Georgia Yellow/unsubscribe.html
        admin/resources/form_designs/HTML Only (No design)/modifydetails.html
        admin/resources/form_designs/HTML Only (No design)/sendtofriend.html
        admin/resources/form_designs/HTML Only (No design)/subscribe.html
        admin/resources/form_designs/HTML Only (No design)/unsubscribe.html
        admin/resources/form_designs/Printable Form/modifydetails.html
        admin/resources/form_designs/Printable Form/sendtofriend.html
        admin/resources/form_designs/Printable Form/subscribe.html
        admin/resources/form_designs/Printable Form/unsubscribe.html
        admin/resources/form_designs/Simple Blue/modifydetails.html
        admin/resources/form_designs/Simple Blue/sendtofriend.html
        admin/resources/form_designs/Simple Blue/subscribe.html
        admin/resources/form_designs/Simple Blue/unsubscribe.html
        admin/resources/form_designs/blue/modifydetails.html
        admin/resources/form_designs/blue/sendtofriend.html
        admin/resources/form_designs/blue/subscribe.html
        admin/resources/form_designs/blue/unsubscribe.html
        changelog.txt
        version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.5.0    *
*******************************************************
15th December, 2008

NOTES
-----
Starting from 5.5.0, IEM now requires PHP >= 5.1.3 and MySQL >= 4.1.1 or PostgreSQL >= 8.2.
A new directory (admin/com/storage/) is used for storing certain types of data. This directory will need to be writeable by the web server just like admin/temp/.

Features Added
--------------
Email triggers.
Split testing.
Event logging.
New built-in email templates.
An activity log displayed on-screen displaying links to recent pages you have been at.
The ability to organise contact lists into folders.
An option to delete all emails from a bounce account even if they are not bounce emails.
Tools to check the internal error log and your file system permissions.
Security settings to add delays or even IP bans after a certain number of failed logins.
Home page redesign.

Bugs Fixed
----------
Changing the per-page setting on the Forms page as a non-admin user will no longer result in a "permission denied" error.
Fix an issue where segment criteria exceeds database column size limitation.
Fix deleting contact lists in PostgreSQL.
Fix PostgreSQL incompatibility when viewing segments.
Fix sending a preview email with the WYSIWYG editor enabled on Safari/Chrome.
Fix y-axis wrapping on graphs.
Remove broken access check when pausing a send as a non-admin user.
Segment names and criteria are now escaped and un-escaped properly.


Files Changed
-------------
Due to the extensive changes to the application, almost all files have been modified in some way.

*******************************************************
*    Changelog for Interspire Email Marketer 5.0.14   *
*******************************************************
3rd December, 2008

NOTE
----
For larger installations that have a high number of statistics, please create the following indexes manually *before* applying the upgrade (if they do not already exist).
These indexes will improve query performance for statistics-related queries.

CREATE INDEX <TABLEPREFIX>stats_emailopens_statid_opentime_idx ON <TABLEPREFIX>stats_emailopens(statid, opentime);
CREATE INDEX <TABLEPREFIX>stats_linkclicks_statid_clicktime_idx ON <TABLEPREFIX>stats_linkclicks(statid, clicktime);
CREATE INDEX <TABLEPREFIX>links_url_idx ON <TABLEPREFIX>links(url);

Bugs Fixed
----------
Add indexes to improve statistics-related queries.
Add more interval choices for "autoresponder" CRON options.
Change "Scheduled Email Queue" icon.
Change "Statistics" toolbar button.
Change "User statistics" icon.
Change bounce processing precedence (changed to: soft, hard, delete).
Fix SQL query issues with PostgreSQL server.
Fix an issue whereby multiple Send-to-Friend and Modify Details custom fields were not being replaced properly when viewing a web version of a campaign.
Fix bounce statistics chart in the contact list stats counting subscribers from other lists.
Fix importing and uploading of email campaigns with JavaScript interfering with the process.
Fix print statistics not using the correct character set.
Fix searching contacts with certain custom fields types that have values containing apostrophes.
Fix switching back from full screen in the WYSIWYG editor.
General bounce processing improvements.
Server time was not taking daylight saving into account when calculating server time.
Time zones with offsets < 10 were sometimes not being set correctly.
Use a better method to compare the likeness of the HTML and Text versions of an email in the Spam Check tool.
User was unable to distinguish links (truncated) longer than 80 characters when creating a segment.

Files Changed
-------------
	admin/de/editor_gecko.js
	admin/de/editor_ie.js
	admin/de/editor_safari.js
	admin/functions/api/api.php
	admin/functions/api/bounce.php
	admin/functions/api/email.php
	admin/functions/api/lists.php
	admin/functions/api/settings.php
	admin/functions/api/stats.php
	admin/functions/api/upgrade.php
	admin/functions/init.php
	admin/functions/installer.php
	admin/functions/lib/general/general.php
	admin/functions/remote.php
	admin/functions/remote_installer.php
	admin/functions/remote_stats.php
	admin/functions/segment.php
	admin/functions/sendstudio_functions.php
	admin/functions/stats.php
	admin/functions/stats_chart.php
	admin/images/m_newsletters_queue.gif
	admin/images/newsletters_queue.gif
	admin/images/statistics_button.gif
	admin/images/statistics_button_selected.gif
	admin/includes/templates/schedule_manage_row.tpl
	admin/includes/templates/segment_form.tpl
	admin/includes/templates/subscribers_edit_step2.tpl
	admin/index.php
	admin/language/schema.indexes.php
	admin/language/upgrades/20080802
	admin/language/upgrades/20080802/index_links_url.php
	admin/language/upgrades/20080802/index_stats_emailopens_statid_opentime.php
	admin/language/upgrades/20080802/index_stats_linkclicks_statid_clicktime.php
	admin/language/upgrades/20080802/update_db_version.php
	admin/resources/bounce_rules.php
	changelog.txt
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.0.13   *
*******************************************************
4th November, 2008

Bugs Fixed
----------
Fix passwords being incorrectly handled after login.
Fix some typos in the info tips.

Files Changed
-------------
	admin/functions/api/user.php
	admin/functions/init.php
	admin/language/infotips.php
	changelog.txt
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.0.12   *
*******************************************************
3rd November, 2008

Features Added
--------------
Ability to add user via XML API
Ability to edit user via XML API

Bugs Fixed
----------
Fix autoresponder CRON taking too long to process it's job.
Fix input box wasn't being selected and highlighted after failing validation on some pages.
Fix JavaScript validation on the user creation page.
Fix 'permission denied' errors when trying to print autoresponder stats.
Fix SMTP test sending not producing the correct result when you have special characters in the server details
Usernames and passwords must now be at least 3 characters long.

Files Changed
-------------
        admin/functions/api/jobs_autoresponders.php
        admin/functions/api/user.php
        admin/functions/init.php
        admin/functions/remote_stats.php
        admin/functions/sendstudio_functions.php
        admin/includes/templates/jquery.form.js
        admin/includes/templates/user_form.tpl
        admin/language/users.php
        changelog.txt
        xml.php
        version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.0.11   *
*******************************************************
28th October, 2008

Bugs Fixed
----------
Fix an issue in newsletter statistics where the list wasn't being displayed when sorted by list name.
Fix chart data not loading when using PostgreSQL.
Fix contacts in lists not appearing when sorting defaults to a non-existent custom field.
Fix contacts sometimes not appearing in Open Stats.
Fix custom field values always being displayed as UTF-8 in Segment Rules.
Fix not being able to sort contact lists by List Owner.
Fix statistics tables always being encoded as UTF-8.
Fix yesterday, last 30 days and last 7 days chart date ranges not being calculated properly.
Improve bounce processing.
Update to the latest version of the SMTP engine.

Files Changed
-------------
	admin/functions/api/authentication.php
	admin/functions/api/bounce.php
	admin/functions/api/email.php
	admin/functions/api/lists.php
	admin/functions/api/stats.php
	admin/functions/init.php
	admin/functions/lib/server_stats/server_stats.php
	admin/functions/remote_stats.php
	admin/functions/segment.php
	admin/functions/stats.php
	admin/functions/subscribers_manage.php
	admin/language/schema.mysql.php
	admin/language/schema.pgsql.php
	changelog.txt
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.0.10   *
*******************************************************
20th October, 2008

Bugs Fixed
----------
Added more bounce rules.
Fix a warning when viewing autoresponder stats.
Fix an issue where in some cases users were not able to edit/delete/view contacts that were obtained from a segment.
Fix cases where the jobs and jobs_lists tables aren't being properly cleaned up when a CRON terminates unexpectedly.
Fix check for spam keywords feature not working on autoresponders.
Fix monthly and last30days date ranges for charts not matching user timezone.
Fix potential caching problem with statistics charts.
Fix statistics charts and tables not loading when accessing the application through HTTPS.
Implement a security measure to detect "brute force" login attempts.
Imporve RFC bounce processing to decrease the time it takes to match RFC bounce messages.
In some cases, contacts/subscribers was returning an empty page (besides header/footer).
Increase password storage strength.
Increase the size of the message body being parsed in by the bounce processor.
The heading in the Help window can now be white-labelled.

Files Changed
-------------
	admin/cron/autoresponders.php
	admin/functions/amcharts/amcharts.php
	admin/functions/api/api.php
	admin/functions/api/authentication.php
	admin/functions/api/bounce.php
	admin/functions/api/captcha.php
	admin/functions/api/jobs_autoresponders.php
	admin/functions/api/newsletters.php
	admin/functions/api/segment.php
	admin/functions/api/subscribers.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/lib/database/db.php
	admin/functions/lib/database/mssql.php
	admin/functions/lib/database/mysql.php
	admin/functions/lib/database/pgsql.php
	admin/functions/lib/server_stats/server_stats.php
	admin/functions/index.php
	admin/functions/init.php
	admin/functions/installer.php
	admin/functions/login.php
	admin/functions/process.php
	admin/functions/remote_installer.php
	admin/functions/remote_stats.php
	admin/functions/stats.php
	admin/functions/subscribers_import.php
	admin/includes/templates/autoresponder_form_step4.tpl
	admin/includes/templates/header.tpl
	admin/includes/templates/javascript.js
	admin/index.php
	admin/language/login.php
	admin/language/settings.php
	admin/language/upgrades/20080801/add_user_unique_token.php
	admin/language/upgrades/20080801/create_login_attempt.php
	admin/language/upgrades/20080801/create_login_banned_ip.php
	admin/language/upgrades/20080801/populate_user_unique_token.php
	admin/language/upgrades/20080801/update_db_version.php
	admin/resources/bounce_rules.php
	changelog.txt
	version.txt
	xml.php

*******************************************************
*    Changelog for Interspire Email Marketer 5.0.9    *
*******************************************************
29th September, 2008

Bugs Fixed
----------
Add stricter permission checks to suppression list.
Admin user was unable to add entries to the suppression list.
Default bounce details weren't being populated properly when creating a new list.
Fix invalid 'permission denied' message when creating a template by clicking 'Save' instead of 'Save and Exit'.
Fix modify details links printing a form for contacts who no longer exist.
Fix previewing templates in the compatibility viewer for non-admin users.
Fix the global sending rate being exceeded when cron jobs overlap.
Minor behavioural change whereby when you copy a list, you will now be taken to the edit page.
Modify the "Unsubscribe Header" so that it is only included when necessary.
Regular users were not able to print their statistics.
Regular users were unable to send to segments.

Files Changed
-------------
	admin/cron/autoresponders.php
	admin/cron/bounce.php
	admin/cron/send.php
	admin/functions/api/jobs.php
	admin/functions/api/jobs_bounce.php
	admin/functions/api/ss_email.php
	admin/functions/api/user.php
	admin/functions/init.php
	admin/functions/installer.php
	admin/functions/lists.php
	admin/functions/process.php
	admin/functions/remote_stats.php
	admin/functions/send.php
	admin/functions/subscribers_banned.php
	admin/functions/templates.php
	modifydetails.php
	changelog.txt
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.0.8    *
*******************************************************
18th September, 2008

Bugs Fixed
----------
Fix a typo in the code that prevents regular users from editing/viewing/deleting subscribers.
Fix logical error in the authentication system to re-allow masquerading.
Fix parse errors in installer and authentication system when using PHP 4.
Fix Stats_API::GetNewsletterStats not filtering by newsletterid.
Fix the Today/Yesterday chart date ranges not matching the user timezone.
In some cases, the application wasn't able to fetch custom field values when sending newsletters.
Remove a debugging alert windows when doing a spam check.
The system wasn't deleting autoresponder job entries.
Removed a template which was having compatibility problems in some email clients.
Fix Most Opens and Unique Click counts on contact list stats counting subscribers from other lists.

Files Changed
-------------
	admin/functions/api/authentication.php
	admin/functions/api/jobs_autoresponders.php
	admin/functions/api/subscribers.php
	admin/functions/api/stats.php
	admin/functions/init.php
	admin/functions/installer.php
	admin/functions/stats.php
	admin/includes/templates/newsletter_form_step2.tpl
	admin/resources/email_templates/Business/Generic 1 Newsletter/test1.jpg
	admin/resources/email_templates/Business/Generic 1 Newsletter/test2.jpg
	admin/resources/email_templates/Business/Generic 1 Promotion/test1.jpg
	admin/resources/email_templates/Business/Generic 1 Promotion/test2.jpg
	admin/resources/email_templates/Trade/Generic Newsletter/test1.jpg
	admin/resources/email_templates/Trade/Generic Promotion/test1.jpg
	admin/resources/email_templates/Travel and Tourism/Travel Newsletter 2 Column/test_img_1.jpg
	admin/resources/email_templates/Travel and Tourism/Travel Newsletter/test_img_1.jpg
	admin/resources/email_templates/Travel and Tourism/Travel Promotion 2 Column/test_img_1.jpg
	admin/resources/email_templates/Travel and Tourism/Travel Promotion/test_img_1.jpg
	changelog.txt
	version.txt

*******************************************************
*    Changelog for Interspire Email Marketer 5.0.7    *
*******************************************************
17th September, 2008

Bugs Fixed
----------
Fix editing contacts.
Fix upgrades failing from versions earlier than NX 1.4.0.

Files Changed
-------------
	admin/functions/api/authentication.php
	admin/functions/installer.php
	admin/functions/subscribers_edit.php

*******************************************************
*    Changelog for Interspire Email Marketer 5.0.6    *
*******************************************************
16th September, 2008

Features Added
--------------
Add a feature where admin users can masquerade as another user.

Bugs Fixed
----------
Add a default footer to be used in new user creation.
Add a spam rule for NOT having similar contents between the text and html parts.
Add a spam rule for NOT having a text part in an email.
Add stricter permission checks to many parts of the application.
Add the "List-Unsubscribe" header.
List owners will no longer be notified of faulty bounce account details if they do not have permission to edit bounce details.
Fix blank error message when adding duplicate address to the suppression list.
Fix bounce details being visible to some unprivileged users.
Fix broken HTML in templates.
Fix campaigns being recorded multiple times when resending them.
Fix contact list statistics displaying subscribers from other lists when there were campaigns sent to multiple lists.
Fix contacts search results being reset after viewing a different page of results.
Fix custom field filtering for autoresponders.
Fix data appearing on wrong month for the All Time chart.
Fix extra mail settings sometimes being set to an invalid value.
Fix images being broken with some imported websites.
Fix problems with Segments when the given page number exceeds the maximum number of pages.
Fix paging on the Forward Stats page.
Fix potential MySQL column truncation vulnerabilities.
Fix saving campaigns and autoresponders in Safari or Chrome with the editor enabled.
Fix stats charts loading on some servers running IIS with FastCGI.
Fix the rules for the "View Compatibility" view.
Fix timestamps used in statistics charts to be in the user's timezone.
Fix warnings being thrown by PHP when doing a sending.
Prevent redundant queries being executed on the stats pages when the user has no contact lists.
Remove duplicate language variables in the Users section.
The default "Send an email to all contacts in the selected list(s) below" option will no longer include unconfirmed contacts.

Files Changed
-------------
	admin/functions/api/authentication.php
	admin/functions/api/autoresponders.php
	admin/functions/api/jobs.php
	admin/functions/api/jobs_bounce.php
	admin/functions/api/lists.php
	admin/functions/api/segment.php
	admin/functions/api/ss_email.php
	admin/functions/api/stats.php
	admin/functions/api/subscribers.php
	admin/functions/api/user.php
	admin/functions/autoresponders.php
	admin/functions/customfields.php
	admin/functions/forms.php
	admin/functions/init.php
	admin/functions/installer.php
	admin/functions/lib/general/general.php
	admin/functions/lists.php
	admin/functions/login.php
	admin/functions/newsletters.php
	admin/functions/remote.php
	admin/functions/remote_stats.php
	admin/functions/schedule.php
	admin/functions/segment.php
	admin/functions/send.php
	admin/functions/sendstudio_functions.php
	admin/functions/stats.php
	admin/functions/stats_chart.php
	admin/functions/subscribers_add.php
	admin/functions/subscribers_banned.php
	admin/functions/subscribers_edit.php
	admin/functions/subscribers_import.php
	admin/functions/subscribers_manage.php
	admin/functions/subscribers_remove.php
	admin/functions/subscribers_view.php
	admin/functions/templates.php
	admin/functions/upgradenx.php
	admin/functions/users.php
	admin/images/poweredby.gif
	admin/includes/templates/autoresponder_form_step4.tpl
	admin/includes/templates/javascript.js
	admin/includes/templates/lists_form.tpl
	admin/includes/templates/newsletter_form_step2.tpl
	admin/includes/templates/subscribers_manage.tpl
	admin/includes/templates/subscribers_manage_anylist.tpl
	admin/includes/templates/subscribers_manage_deletelink.tpl
	admin/includes/templates/subscribers_manage_editlink.tpl
	admin/includes/templates/subscribers_manage_viewlink.tpl
	admin/includes/templates/subscribers_view_button_delete.tpl
	admin/includes/templates/subscribers_view_button_edit.tpl
	admin/includes/templates/user_edit_own.tpl
	admin/includes/templates/user_form.tpl
	admin/includes/templates/userok_form.tpl
	admin/index.php
	admin/language/language.php
	admin/language/users.php
	admin/language/whitelabel.php
	admin/resources/design_rules/aol.php
	admin/resources/design_rules/gmail.php
	admin/resources/design_rules/hotmail.php
	admin/resources/design_rules/outlook2003.php
	admin/resources/design_rules/outlook2007.php
	admin/resources/design_rules/yahoo.php
	admin/resources/email_templates/Business/Generic 1 Promotion/index.html
	changelog.txt
	readme.txt
	version.txt

****************************************************
*    Changelog for Interspire Email Marketer 5.0.5 *
****************************************************
27th August, 2008

Bugs Fixed
----------
Fix the order of table/chart labels when viewing charts using the All Time date range.
"User Accounts" menu link was not being shown to "User Admin" user.
Automatic bounce processing cron jobs could overlap when processing large mailbox.
Automatic bounce processing will now delete emails after processing every hundred.
Fix "Newsletter Statistic" page where it can print out the wrong page count.
Add a delay for failed login feedback.
Custom fields were not being replaced if "Send To First Name" or "Send To Last Name" is selected when doing a sending.
When "Max image width" and "Max image height" settings were set to blank, the editor wasn't able to upload images that needed resizing.


Files Changed
-------------
	admin/cron/bounce.php
	admin/functions/init.php
	admin/functions/sendstudio_functions.php
	admin/functions/settings.php
	admin/functions/stats.php
	admin/functions/stats_chart.php
	admin/functions/api/authentication.php
	admin/functions/api/bounce.php
	admin/functions/api/jobs_bounce.php
	admin/functions/api/subscribers.php

****************************************************
*    Changelog for Interspire Email Marketer 5.0.4 *
****************************************************
20th August, 2008

Bugs Fixed
----------
Added "help tooltips" in the user permissions and settings area.
Forwards statistics on subscriber summary graph were displaying the wrong data.
Improve how the application handles email sending in the event of database crash.
A custom field's default value will now be used when the application detects that the value hasn't yet been specified.
Send-to-friend will now be filtered against the "suppression list" database.
When creating a "send-to-friend" form, it should not give you the HTML code at the end.
Fix "click-through" rate on statistics pages where it was not being calculated correctly.
Improve how the application fetches images that are being used in a newsletter to take account of HTTP redirection.
Non-admin users incorrectly got an error message when updating their account.
Autoresponder "filtering options" cannot be reset back once you have put in any filtering values to the filter fields.
Users weren't able to filter records based on a "textarea" type custom field.
Hyperlink containing "custom field" could be incorrecly misinterpreted and wouldn't be evaluated.
Update the way the application saves unsent records.
Update some code to remove PHP 5 E_STRICT warnings.
Some bounce emails may mistakenly being missed, and were not being processed correctly.

Files Changed
-------------
	link.php
	send_friend.php
	admin/index.php
	admin/cron/autoresponders.php
	admin/cron/bounce.php
	admin/cron/send.php
	admin/functions/autoresponders.php
	admin/functions/forms.php
	admin/functions/init.php
	admin/functions/manageaccount.php
	admin/functions/remote_stats.php
	admin/functions/stats_chart.php
	admin/functions/api/api.php
	admin/functions/api/bounce.php
	admin/functions/api/email.php
	admin/functions/api/send.php
	admin/functions/api/subscribers.php
	admin/functions/api/user.php
	admin/includes/templates/list_form.tpl
	admin/includes/templates/segment_form.tpl
	admin/includes/templates/user_form.tpl
	admin/language/frontend.php
	admin/language/language.php
	admin/language/users.php

****************************************************
*    Changelog for Interspire Email Marketer 5.0.3 *
****************************************************
05th August, 2008

Bugs Fixed
----------
Fix segment "rule values" being trimmed where it will cause an issue if you have a deliberate whitespace(s) in your values
Fix inserting "Custom Fields" when creating a campaign for users using Internet Explorer 6
Fix validating contacts data when editing/adding contacts and clicking "Save"
Fix re-ordering custom fields on a "Modify Details" Form
Fix custom field data not being saved when editing/adding contacts
Fix a user permission issue where users can edit their own SMTP settings regardless of the permission settings
Fix an issue where "Forgot Your Password" requests always printed the administrator's email instead of the email of the user who initiated the password change
Change the default text of the "Unsubscribe link" to something a little more descriptive
Fix some templates that were prone to the "green-dotted-outline" problem
When merging contact lists, the default bounce details will now be pre-filled
Autoresponder preview emails now include attachments
Fix users not being able to upload and delete a file with the same name at the same time
Fix users not being able to insert modify details form
Fix a case where defining SERVERTIMEZONE can throw an error
Fix the "listname" field not being replaced in the "Thank You" page of web forms
Fix the custom field dialog not appearing when IEM is running inside a frame
Fixed per page settings not being remembered for the autoresponder statatistics page
Change WYSIWYG editor to the latest stable

Files Changed
-------------
	admin/de/*
	admin/functions/api/lists.php
	admin/functions/api/subscribers.php
	admin/functions/autoresponders.php
	admin/functions/init.php
	admin/functions/login.php
	admin/functions/manageaccount.php
	admin/functions/newsletters.php
	admin/functions/showcustomfields.php
	admin/functions/stats.php
	admin/functions/subscribers_add.php
	admin/functions/subscribers_edit.php
	admin/includes/templates/form_form_step1.tpl
	admin/includes/templates/javascript.js
	admin/includes/templates/preview_emailwindow.tpl
	admin/includes/templates/segment_form.tpl
	admin/includes/templates/subscribers_add_step2.tpl
	admin/includes/templates/subscribers_edit_step2.tpl
	admin/includes/templates/user_display_own.tpl
	admin/includes/templates/user_edit_own.tpl
	admin/language/login.php
	admin/resources/email_templates/Business/Scientific/index.html
	admin/resources/email_templates/Family and Friends/Crowds/index.html
	admin/resources/email_templates/Family and Friends/Friendship/index.html
	admin/resources/email_templates/Family and Friends/Friendship/index.html
	admin/resources/email_templates/Family and Friends/Youth/index.html
	admin/resources/email_templates/Food/Coffee Break/index.html
	admin/resources/email_templates/Gaming/Black and White/index.html
	admin/resources/email_templates/General/Centered/index.html
	admin/resources/email_templates/General/Elegant/index.html
	admin/resources/email_templates/Seasonal Events/Spring Break/index.html
	admin/resources/email_templates/Travel and Tourism/Beach Paradise/index.html
	admin/resources/email_templates/Travel and Tourism/Country Escape/index.html
	unsubform.php

****************************************************
*    Changelog for Interspire Email Marketer 5.0.2 *
****************************************************
15th July, 2008

NOTE
----
For installation which have more then 100,000 contacts, you need to add/remove
the following
index manually:

CREATE INDEX <TABLEPREFIX>list_subscribers_listid_idx ON <TABLEPREFIX>list_subscribers(listid)
DROP INDEX <TABLEPREFIX>list_subscribers_list_domain ON <TABLEPREFIX>list_subscribers

Features Added
--------------
Added 2 more operators for segmentation which allows you to search for EMPTY/BLANK data

Bugs Fixed
----------
Segment did not take account empty/blank record when doing an "Is Not" and "Does Not Contains" operation
Remove a duplicate language variable which affects "Forms" page
"Preview This Design" did not work in the "Create a Website Form" page
Subscriber custom field data wasn't being cleanup properly
Improved bounce handling
Getting started list is not working properly
In Internet Explorer (6 and 7), menu tab "jumps around" when clicked
Cannot insert bulit-in custom field when user defined custom fields with the same name exists
XML API was not able to save multiple "Checkbox" custom field value
Disable "autocomplete" feature for password input boxes (except for the login box)
Merging mailing list did not propagate bounce details to the new list
Available custom fields list may not be correct when you edit a list
A link that have a whitespace can be displayed incorrectly by email clients
Remove "Interspire Logo" alternative text in the image logo (in the login page)
Some variables wasn't properly escaped which may potentially leave IEM exposed to exploits
Making sure that SENDSTUDIO_SERVERTIMEZONE constat is defined
A usability bug in the segment list page where the "Bulk Action" can be disabled

Files Changed
-------------
	admin/functions/api/autoresponders.php
	admin/functions/api/bounce.php
	admin/functions/api/customfields.php
	admin/functions/api/lists.php
	admin/functions/api/newsletters.php
	admin/functions/api/segment.php
	admin/functions/api/subscribers.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/lib/database/mysql.php
	admin/functions/lib/database/pgsql.php
	admin/functions/forms.php
	admin/functions/index.php
	admin/functions/init.php
	admin/functions/lists.php
	admin/functions/segment.php
	admin/functions/sendstudio_functions.php
	admin/functions/showcustomfields.php
	admin/functions/users.php
	admin/includes/templates/bounce_step2.tpl
	admin/includes/templates/forgotpassword_step2.tpl
	admin/includes/templates/form_form_step1.tpl
	admin/includes/templates/header.tpl
	admin/includes/templates/javascript.js
	admin/includes/templates/lists_form.tpl
	admin/includes/templates/login.tpl
	admin/includes/templates/segment_form.tpl
	admin/includes/templates/segment_manage.tpl
	admin/includes/templates/settings.tpl
	admin/includes/templates/settings2.tpl
	admin/includes/templates/showcustomfields_list_customfields.tpl
	admin/includes/templates/showcustomfields_list_end.tpl
	admin/includes/templates/user_edit_own.tpl
	admin/includes/templates/user_form.tpl
	admin/includes/templates/userok_edit_own.tpl
	admin/includes/templates/userok_form.tpl
	admin/language/upgrades/20080710/*
	admin/language/forms.php
	admin/language/segment.php
	admin/language/whitelabel.php
	xml.php

****************************************************
*    Changelog for Interspire Email Marketer 5.0.1 *
****************************************************
19th June, 2008

Bugs Fixed
----------
Fix problem with IE6 users not being able to choose items in a list
When no lists are available, show an appropriate message when you try to create a website form
Allow using a wildcard type search in a segment
Remove 'License Violation' comments in html code - you are allowed to change the code and images
Fix an admin user not being able to add their own custom fields to a non-admin's list
Fix the "has [not] clicked" option when creating a segment
Fix menu not behaving correctly in Safari
Fix user permissions disappearing in rare cases
Fix editing a picklist or radio button field and not being able to add/remove items
Fix unconfirmed subscribers not showing correctly in stats
Fix copying contact lists and custom fields
Fix sending preview emails and subjects being incorrectly encoded
More bounce rules

Files Changed
-------------
	admin/functions/api/lists.php
	admin/functions/api/segment.php
	admin/functions/api/stats.php
	admin/functions/api/subscribers.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/customfields.php
	admin/functions/forms.php
	admin/functions/index.php
	admin/functions/init.php
	admin/functions/lists.php
	admin/functions/process.php
	admin/functions/remote_stats.php
	admin/functions/segment.php
	admin/functions/sendstudio_functions.php
	admin/includes/templates/customfield_form_edit.tpl
	admin/includes/templates/customfield_form_step2_dropdown_edit.tpl
	admin/includes/templates/customfield_form_step2_dropdown_list_edit.tpl
	admin/includes/templates/forgotpassword_sendpass.tpl
	admin/includes/templates/forgotpassword_step2.tpl
	admin/includes/templates/forgotpassword.tpl
	admin/includes/templates/javascript.js
	admin/includes/templates/login.tpl
	admin/includes/templates/segment_form.tpl
	admin/language/forms.php
	admin/language/segment.php
	admin/language/upgrades/20080610/*
	admin/language/whitelabel.php
	admin/resources/bounce_rules.php

***************************************************
*    Changelog for Interspire Email Marketer 5.0  *
***************************************************
02nd June, 2008

Features Added
--------------
Choose which custom fields to display when you view contacts
Contact list segmenting based on multiple AND/OR filters
Addition of 20 new email campaign templates
Choose which fields show for each contact on the "View Contacts" grid
Re-arrange fields on a website form using drag and drop
Sort contacts based on custom fields and remember the sort preference
Added vertical rule at 65 character limit in editor for text campaigns
Added options to view or add contacts on the contact lists page
Custom fields can be linked to a contact list when adding/editing
Add bounce rules and improved bounce detection of certain bounced types
Performance improvements when sending lots of custom field based content
XML-API allows you to set a new contact to "confirmed" and change their format
Permissions to view just a particular segment (and not the whole mailing list)
Added a date-picker for date type custom fields when creating/editing a contact
Use the "View Contact" option (and permission) to see ready-only contact details
Each area in the application now has its own settings for paging
Granular user permissions instead of just choosing a role
The owner of a contact list is displayed when viewing the list
The "View Contacts" page shows all contacts by default
New "views" dropdown on contacts page to easily switch lists/segments
Search box on contacts page to search based on email address
Improved usability when adding/editing custom fields
New Interspire control panel design and product name
New home page dashboard with chart, getting started guide and help articles
Integrated private label help system and infotips
Changed popup windows to use inline "web 2.0" thickbox look
Custom fields are divided into 2 columns when viewing a contact


Bugs Fixed
----------
If emails haven't been sent (there was a problem with either the subscriber or mail server), you couldn't delete those subscribers
When sending utf-8 emails, only encode the subject if non-ascii characters are found
XML-API behaviour change - when passing through custom field data that is invalid, it now returns an error message rather than a blank "OK" status
XML-API now requires php 5.1 or higher (due to bugs in php5.0.x and SimpleXML)
Problem with exporting of bounced subscribers and bounce rules not being saved properly
Could save a mailing list with invalid email addresses
Send-to-friend not setting the right character-set
A non-admin user editing their details caused smtp details to show up
Fix upgrading from previous versions from breaking if the upgrade process failed to complete
When a website form is marked as a "contact form", email notifications were being sent to the list owner regardless of the list's notification setting
Disabling the wysiwyg editor caused javascript errors when trying to insert a custom field
Fix references to image sources when importing from a url
When importing subscribers, the count was off
Fix a problem with taking a long time to edit content and it eventually timing out
Fix a problem with pressing "save" button before editor contents have been fully loaded (When composing: Newsletter, Autoresponder, Template)


Files Changed
-------------

Due to the redesign of the interface, almost all files have been modified in some way.

All files will need updating in the following folders:
- /sendstudio/admin/functions/* (AND ALL SUBFOLDERS).
- /sendstudio/*.php
- /sendstudio/admin/includes/templates/*
- /sendstudio/admin/includes/styles/*
- /sendstudio/admin/language/*.php

- /sendstudio/admin/resources/bounce_rules.php
- /sendstudio/admin/language/upgrades/20080325/*.php


*****************************************
*    Changelog for SendStudio NX 1.4.4  *
*****************************************
16th April, 2008

Bugfixes
--------
Add more bounce rules
Fix javascript error on front page
Confirm and unsubscribe links not replaced in some circumstances
Performance improvements when searching across a lot of custom fields (helps searching & sending)
Filter by date results incorrect if you have multiple date fields
Listname not being replaced on thank you pages
Thanks/confirm/error urls not being set correctly when editing a website form
Valid email checking not handling double dots in an address
Template permissions not showing correctly
Fix problem with some special characters and smtp authentication
XML-API not working in some circumstances
Searching "between" custom field date types not correct
Checkbox fields not displayed correctly on thanks/confirmation pages
Fix filtering with radio-button custom fields
Mailing list open statistics not working
New WYSIWYG editor
Bump version

Files Changed
-------------
	admin/de
	admin/functions/api/subscribers.php
	admin/functions/api/ss_email.php
	admin/functions/api/forms.php
	admin/functions/users.php
	admin/functions/stats.php
	admin/functions/sendstudio_functions.php
	admin/functions/index.php
	admin/functions/init.php
	admin/functions/forms.php
	admin/includes/templates/form_form_step3.tpl
	admin/includes/templates/form_form_thankspagehtml.tpl
	admin/includes/templates/form_form_confirmpage.tpl
	admin/resources/bounce_rules.php
	confirm.php
	xml.php


*****************************************
*    Changelog for SendStudio NX 1.4.3  *
*****************************************
31st March, 2008

Bugfixes
--------
Company details not being replaced when viewing an archived newsletter
Filtering multiple custom fields performance improvement
Display XML username with other details for ease of use
Viewing statistics performance and memory improvements
Banned email checking not working correctly in some circumstances
Merging lists not working correctly
Google analytics tracking issues
Pie charts labels overlapping
SMTP authentication not working correctly with some usernames
Sorting by email/subscribe date not working
Importing email campaigns not converting background links
Bounce processing details incorrectly shown in some cases
More bounce rules

Files Changes
-------------
	admin/functions/amcharts/amcharts.php
	admin/functions/amcharts/ampie/ampie.swf
	admin/functions/api/api.php
	admin/functions/api/email.php
	admin/functions/api/lists.php
	admin/functions/api/subscribers.php
	admin/functions/init.php
	admin/functions/lists.php
	admin/functions/remote.php
	admin/functions/stats.php
	admin/includes/templates/autoresponder_form_step4.tpl
	admin/includes/templates/newsletter_form_step2.tpl
	admin/includes/templates/user_form.tpl
	admin/language/users.php
	admin/modules/tracker/google/language/common.php
	admin/modules/tracker/google/module_google_tracker.php
	admin/modules/tracker/google/templates/options.tpl
	admin/resources/bounce_rules.php
	display.php

*****************************************
*    Changelog for SendStudio NX 1.4.2  *
*****************************************
18th March, 2008

Bugfixes
--------
New WYSIWYG editor
Bump version number

Files Changed
-------------
	admin/de
	admin/functions/init.php

*****************************************
*    Changelog for SendStudio NX 1.4.1  *
*****************************************
17th March, 2008

Bugfixes
--------
Sending a preview email if not an admin user
Searching for subscribers who have or have not opened a particular email campaign
Issues with banned emails
Attachments not reporting correctly if unable to upload
Reporting after using "remove subscribers" is incorrect
Custom fields not being replaced in link tracking in some circumstances
PHP 5.1 or higher causing E_STRICT messages
Searching for dropdown custom fields
PHP not having sessions available causes errors
Importing subscriber ip's not working correctly
Update "bad login details" email for automatic bounce processing
Add message to the "popup" send method to tell people to keep the window open
Checking spam keywords against html only email campaigns causes errors
Sending a preview email using the same "to" and "from" email address
Better checking for "ini_set" being a disabled function
Bounce processing not picking up some bounced subjects properly
Log system not detecting debug functions correctly

Features Added
--------------
If sending with embedded images, fetch images from local filesystem instead of through URL if possible

Files changed
-------------
	admin/functions/amcharts/amcharts.php
	admin/functions/api/bounce.php
	admin/functions/api/email.php
	admin/functions/api/jobs_bounce.php
	admin/functions/api/ss_email.php
	admin/functions/api/subscribers.php
	admin/functions/api/upgrade.php
	admin/functions/init.php
	admin/functions/newsletters.php
	admin/functions/remote_stats.php
	admin/functions/send.php
	admin/functions/sendstudio_functions.php
	admin/functions/settings.php
	admin/functions/stats.php
	admin/functions/subscribers_remove.php
	admin/includes/templates/autoresponder_form_step2.tpl
	admin/includes/templates/autoresponder_form_step4.tpl
	admin/includes/templates/newsletter_form_step2.tpl
	admin/includes/templates/send_step2.tpl
	admin/includes/templates/send_step3.tpl
	admin/includes/templates/send_step4.tpl
	admin/includes/templates/send_step5.tpl
	admin/includes/templates/settings.tpl
	admin/includes/templates/stats_newsletters_step3.tpl
	admin/includes/templates/stats_step3_links.tpl
	admin/includes/templates/stats_step3_opens.tpl
	admin/includes/templates/subscriber_manage_step2.tpl
	admin/includes/templates/subscribers_remove_step1.tpl
	admin/includes/templates/subscribers_remove_step2.tpl
	admin/includes/templates/user_edit_own.tpl
	admin/includes/templates/user_form.tpl
	admin/language/autoresponders.php
	admin/language/bounce.php
	admin/language/language.php
	admin/language/lists.php
	admin/language/newsletters.php
	admin/language/send.php
	admin/language/settings.php
	admin/language/stats.php
	admin/language/subscribers.php
	admin/resources/bounce_rules.php
	admin/resources/tutorials/bounce_processing.html

Files added
-------------
	admin/resources/tutorials: filter_subscribers.html
	admin/language/upgrades/20080312*

*****************************************
*    Changelog for SendStudio NX 1.4.0  *
*****************************************
5th March, 2008

Bugfixes
--------
Hide 'global template' options when creating/editing a template if the user doesn't have access to make templates global
Importing templates or website urls could prefix some urls with http:// - eg %%unsubscribelink%%. Only affects IE6.
Send-to-friend emails containing extra "%" around some custom field placeholders
Not hitting 'cancel' on last step of sending an email campaign causing statistics to be recorded and unable to delete these statistics
Using 'insert custom field' when wysiwyg editor is completely disabled
Date issue when displaying rss feeds
Embedded images not being sent correctly
When importing a csv file and choosing to update subscribers information, update their subscribe date and format options
Substitution of custom fields not working for some links when link tracking is enabled
Viewing a website form could cause an issue with some non-English characters
Clicking the unsubscribe link could cause an issue with some non-English characters
Confirmlink not working in some website forms
Granting "administrator" permissions plus other permissions not working
Some smtp usernames weren't handled correctly
Broken rules not showing properly when translated
Emulate contact form not working properly if send-notifications disabled (per mailing list)
Sending through smtp and by chance a '.' appeared on a line by itself caused an email to send incorrectly
Removing subscribers in bulk showed incorrect report
Missing language variable on the 'add suppressed emails' page
Deleting custom fields caused an invalid error to be displayed

Features Added
--------------
Add "test mode" to settings page
Add favicon.ico
Added warning about bounce processing deleting emails from accounts
Better management of extra mail settings for bounce processing
Better checking for cron support working properly
Campaign tracking through google analytics
Export subscribers to an XML file
Improve 'show email campaign' when looking at outlook 2007 and aol email clients
Improve performance of sending through an external smtp server
Improve performance of sending an email campaign with a lot of links
Show clickthrough rate for email campaigns
Show open rates for email campaigns
Search for subscribers in more than one specific mailing list
More efficient searching for large lists and large amounts of custom fields
Move forgot password link to make it easier to find on the login screen
Printing & exporting of statistics
Removed 'record separator' option from importing from a csv file
Re-send email campaign to those who didn't receive it the first time
Show who you are logged in as at the top of the page
Sorting to some areas of statistics
Search for "none of the following" for checkbox/dropdown/radio button custom fields
Updated graph software
View autoresponder recipients (who was emailed and if someone was not emailed, show why not)
XML API
Change interfaces for:
	bounce processing,
	importing,
	exporting,
	sending test emails,
	testing bounce account details,
	testing smtp server details,
	spam keyword checking

Files changed
-------------
	confirm.php
	display.php
	form.php
	link.php
	rss.php
	send_friend.php
	unsubscribe.php
	updatedetails.php
	admin/remote.php
	admin/cron/bounce.php
	admin/functions/autoresponders.php
	admin/functions/bounce.php
	admin/functions/customfields.php
	admin/functions/forms.php
	admin/functions/index.php
	admin/functions/init.php
	admin/functions/installer.php
	admin/functions/lists.php
	admin/functions/manageaccount.php
	admin/functions/newsletters.php
	admin/functions/preview.php
	admin/functions/process.php
	admin/functions/remote.php
	admin/functions/schedule.php
	admin/functions/send.php
	admin/functions/sendstudio_functions.php
	admin/functions/settings.php
	admin/functions/stats.php
	admin/functions/stats_chart.php
	admin/functions/subscribers.php
	admin/functions/subscribers_export.php
	admin/functions/subscribers_import.php
	admin/functions/subscribers_manage.php
	admin/functions/subscribers_remove.php
	admin/functions/templates.php
	admin/functions/upgrade.php
	admin/functions/users.php
	admin/functions/api/api.php
	admin/functions/api/authentication.php
	admin/functions/api/autoresponders.php
	admin/functions/api/bounce.php
	admin/functions/api/captcha.php
	admin/functions/api/email.php
	admin/functions/api/forms.php
	admin/functions/api/jobs.php
	admin/functions/api/jobs_autoresponders.php
	admin/functions/api/jobs_send.php
	admin/functions/api/lists.php
	admin/functions/api/newsletters.php
	admin/functions/api/send.php
	admin/functions/api/settings.php
	admin/functions/api/ss_email.php
	admin/functions/api/stats.php
	admin/functions/api/subscribers.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/lib/database/db.php
	admin/functions/lib/database/mysql.php
	admin/functions/lib/database/pgsql.php
	admin/functions/lib/session/session.php
	admin/includes/styles/ie.css
	admin/includes/styles/stylesheet.css
	admin/includes/templates/autoresponder_form_step3.tpl
	admin/includes/templates/autoresponder_form_step4.tpl
	admin/includes/templates/bounce_step2.tpl
	admin/includes/templates/bounce_step3.tpl
	admin/includes/templates/bounce_test_window.tpl
	admin/includes/templates/customfield_search_checkbox.tpl
	admin/includes/templates/customfield_search_checkbox_filtertype.tpl
	admin/includes/templates/header.tpl
	admin/includes/templates/header_popup.tpl
	admin/includes/templates/index.tpl
	admin/includes/templates/javascript.js
	admin/includes/templates/jquery.js
	admin/includes/templates/lists_form.tpl
	admin/includes/templates/login.tpl
	admin/includes/templates/newsletter_form_step2.tpl
	admin/includes/templates/newsletters_manage_row.tpl
	admin/includes/templates/newsletters_send_tip.tpl
	admin/includes/templates/preview_emailwindow.tpl
	admin/includes/templates/preview_emailwindow_settings.tpl
	admin/includes/templates/schedule_manage.tpl
	admin/includes/templates/schedule_manage_row.tpl
	admin/includes/templates/send_step2.tpl
	admin/includes/templates/send_step3.tpl
	admin/includes/templates/send_step5_finished.tpl
	admin/includes/templates/settings.tpl
	admin/includes/templates/spam_check_header.tpl
	admin/includes/templates/spam_check_footer.tpl
	admin/includes/templates/spam_check_row.tpl
	admin/includes/templates/spam_check_row_empty.tpl
	admin/includes/templates/spam_check_row_not_broken.tpl
	admin/includes/templates/spam_check_subfooter.tpl
	admin/includes/templates/spam_check_subheader.tpl
	admin/includes/templates/stats_autoresponders_manage.tpl
	admin/includes/templates/stats_autoresponders_manage_row.tpl
	admin/includes/templates/stats_autoresponders_step3.tpl
	admin/includes/templates/stats_list_step3.tpl
	admin/includes/templates/stats_list_step3_domains.tpl
	admin/includes/templates/stats_newsletter_manage.tpl
	admin/includes/templates/stats_newsletters_step3.tpl
	admin/includes/templates/stats_step3_bounces.tpl
	admin/includes/templates/stats_step3_bounces_empty.tpl
	admin/includes/templates/stats_step3_forwards.tpl
	admin/includes/templates/stats_step3_forwards_empty.tpl
	admin/includes/templates/stats_step3_links.tpl
	admin/includes/templates/stats_step3_links_empty.tpl
	admin/includes/templates/stats_step3_links_list.tpl
	admin/includes/templates/stats_step3_opens.tpl
	admin/includes/templates/stats_step3_opens_empty.tpl
	admin/includes/templates/stats_step3_unsubscribes.tpl
	admin/includes/templates/stats_step3_unsubscribes_empty.tpl
	admin/includes/templates/stats_users_sendsummary_step3.tpl
	admin/includes/templates/stats_users_step3.tpl
	admin/includes/templates/subscriber_manage_step1.tpl
	admin/includes/templates/subscriber_manage_step2.tpl
	admin/includes/templates/subscriber_search_step2.tpl
	admin/includes/templates/subscribers_export_step1.tpl
	admin/includes/templates/subscribers_export_step3.tpl
	admin/includes/templates/subscribers_export_step4.tpl
	admin/includes/templates/subscribers_import_step2.tpl
	admin/includes/templates/subscribers_import_step4.tpl
	admin/includes/templates/subscribers_manage_anylist.tpl
	admin/includes/templates/template_form_step1.tpl
	admin/includes/templates/template_form_step2.tpl
	admin/includes/templates/user_edit_own.tpl
	admin/includes/templates/user_form.tpl
	admin/includes/templates/user_permission_option_option.tpl
	admin/includes/templates/users.tpl
	admin/language/autoresponders.php
	admin/language/bounce.php
	admin/language/customfields.php
	admin/language/forms.php
	admin/language/frontend.php
	admin/language/index.php
	admin/language/infotips.php
	admin/language/language.php
	admin/language/schedule.php
	admin/language/schema.indexes.php
	admin/language/schema.mysql.php
	admin/language/schema.pgsql.php
	admin/language/send.php
	admin/language/settings.php
	admin/language/stats.php
	admin/language/subscribers.php
	admin/language/templates.php
	admin/language/users.php
	admin/resources/bounce_rules.php
	admin/resources/design_rules/outlook2007.php
	admin/resources/design_rules/yahoo.php
	admin/resources/email_templates/Business/Scientific/index.html
	admin/resources/spam_rules/interspire.php
	admin/resources/tutorials/cron_intro.html
	admin/resources/tutorials/images/cron_7.gif

Files added
-------------
	xml.php
	admin/remote_stats.php
	admin/stats_chart.php
	admin/functions/remote_stats.php
	admin/functions/amcharts/*
	admin/functions/api/module_factory.php
	admin/functions/api/module_trackerfactory.php
	admin/functions/lib/interspire_log/interspire_log.php
	admin/functions/lib/server_stats/server_stats.php
	admin/images/favicon.ico
	admin/images/loadingAnimation.gif
	admin/images/m_newsletters_flag.gif
	admin/images/macFFBgHack.png
	admin/images/progressbar.gif
	admin/images/searching.gif
	admin/images/smtp_com_logo.gif
	admin/images/smtp_com_logo_bg.gif
	admin/includes/styles/print.css
	admin/includes/styles/tabs.css
	admin/includes/styles/thickbox.css
	admin/includes/templates/header_test_mode_warning.tpl
	admin/includes/templates/index_versioncheck.tpl
	admin/includes/templates/index_versioncheck_current.tpl
	admin/includes/templates/jquery-ui.js
	admin/includes/templates/jquery.form.js
	admin/includes/templates/loading_indicator.tpl
	admin/includes/templates/newsletters_send_resend_tip.tpl
	admin/includes/templates/progresreport_popup.tpl
	admin/includes/templates/prototype.js
	admin/includes/templates/send_resend.tpl
	admin/includes/templates/send_resend_cron.tpl
	admin/includes/templates/send_resend_maximum.tpl
	admin/includes/templates/sendproblem_report_results_view.tpl
	admin/includes/templates/sendreport_failure_reason.tpl
	admin/includes/templates/spam_check_display.tpl
	admin/includes/templates/stats_list_step3_domains_table.tpl
	admin/includes/templates/stats_print_footer.tpl
	admin/includes/templates/stats_print_header.tpl
	admin/includes/templates/stats_print_step1.tpl
	admin/includes/templates/stats_remote_paging.tpl
	admin/includes/templates/stats_step3_bounces_table.tpl
	admin/includes/templates/stats_step3_forwards_table.tpl
	admin/includes/templates/stats_step3_links_table.tpl
	admin/includes/templates/stats_step3_opens_table.tpl
	admin/includes/templates/stats_step3_recipientlist.tpl
	admin/includes/templates/stats_step3_recipientlist_empty.tpl
	admin/includes/templates/stats_step3_recipientlist_row.tpl
	admin/includes/templates/stats_step3_recipientlist_table.tpl
	admin/includes/templates/stats_step3_unsubscribes_table.tpl
	admin/includes/templates/stats_summary_autoresponder.tpl
	admin/includes/templates/stats_summary_list.tpl
	admin/includes/templates/stats_summary_newsletter.tpl
	admin/includes/templates/stats_summary_newsletter_bounces.tpl
	admin/includes/templates/stats_summary_newsletter_forwards.tpl
	admin/includes/templates/stats_summary_newsletter_links.tpl
	admin/includes/templates/stats_summary_newsletter_opens.tpl
	admin/includes/templates/stats_summary_newsletter_unsubscribes.tpl
	admin/includes/templates/stats_summary_perdomain.tpl
	admin/includes/templates/thickbox.js
	admin/includes/templates/ui.tabs.js
	admin/language/upgrades/20080201/*
	admin/modules/*
	admin/resources/tutorials/autoresponder_not_sent.html
	admin/resources/tutorials/bounce_processing.html
	admin/resources/tutorials/template_creation_guide.html
	admin/resources/tutorials/images/autoresponder_not_sent_1.jpg
	admin/resources/tutorials/images/autoresponder_not_sent_2.jpg
	admin/resources/tutorials/images/clientchecker.gif
	admin/resources/tutorials/images/themechanger.gif

*****************************************
*    Changelog for SendStudio NX 1.3.3  *
*****************************************
6th December, 2007
-------------------

Bugfixes
--------
When sending notifications to list owners, set the bounce address properly
Fix a potential problem if there is a database error with statistics
Fix using the checkboxes next to mailing list names when you 'Send' an email campaign
Fix problem with send-to-friend forms putting '%' around email addresses
Fix potential problem with removing duplicate subscribers from mailing list sends and autoresponders
Improve custom field date searching
Fix problem with checking your email content in various clients not loading properly
Add some missing database indexes to improve searching for subscribers who have NOT clicked on a link or opened an email
Fix issue with importing newsletter content and unsubscribe placeholders
Fix problem with viewing archived newsletters and including a send-to-friend form
Fix incorrect paging on the 'Manage Scheduling' page if you have any sends going to multiple lists.
Fix up ordering of mailing lists and templates when you create or edit a users permissions (they are now alphabetical)
Fix potential problem when using the 'popup' method of sending and seeing an error message
Fix problem when editing a website form, the error url radio button wasn't being pre-selected
Fix javascript error when importing subscribers
Update version number

Files changed
-------------
	version.txt
	confirm.php
	display.php
	form.php
	send_friend.php
	unsubscribe.php
	updatedetails.php
	admin/functions/init.php
	admin/functions/preview.php
	admin/functions/remote.php
	admin/functions/settings.php
	admin/functions/users.php
	admin/functions/api/api.php
	admin/functions/api/autoresponders.php
	admin/functions/api/jobs.php
	admin/functions/api/send.php
	admin/functions/api/stats.php
	admin/functions/api/subscribers.php
	admin/functions/api/upgrade.php
	admin/language/language.php
	admin/language/upgrades/20071205/*
	admin/images/loading.gif
	admin/includes/templates/design_rules_broken.tpl
	admin/includes/templates/form_form_step3.tpl
	admin/includes/templates/jquery.js
	admin/includes/templates/javascript.js
	admin/includes/templates/preview_window_topframe.tpl
	admin/includes/templates/subscribers_import_step3.tpl


*****************************************
*    Changelog for SendStudio NX 1.3.2  *
*****************************************
28th November, 2007
-------------------

Bugfixes
--------
Rename 'top 10 domain name subscribers' in statistics to make it clearer
Rename 'Users accounts' to 'user accounts'
Fix issue with long email subjects and utf-8 characters
Fix possible problem if the phpinfo() function has been disabled on the server
Fix issue of being able to save empty settings
Fix issue with trying to send a test email from the settings page
Web archive and rss links don't work in forwarded newsletters
Fix problem with viewing old newsletters if the mailing list it was sent to was deleted
Change the way the design rules are loaded when you preview in different email programs so it doesn't time out.
Reduce the space between a text-description and helptip in some cases
Fix problem in user api (GetLists function is not returning the 'unsubscribecount' field properly).
Fix problem of subscriber confirm date not being updated in some cases
Improve performance of scheduled sending
Improve performance of banned email checking
Update version number

Files changed
-------------
	version.txt
	display.php
	admin/functions/init.php
	admin/functions/sendstudio_functions.php
	admin/functions/settings.php
	admin/functions/api/api.php
	admin/functions/api/email.php
	admin/functions/api/jobs_send.php
	admin/functions/api/subscribers.php
	admin/functions/api/user.php
	admin/language/forms.php
	admin/language/language.php
	admin/language/stats.php

*****************************************
*    Changelog for SendStudio NX 1.3.1  *
*****************************************
13th November, 2007
-------------------

Bugfixes
--------
Fix issue with sending a preview from the settings page
Fix a problem with bounce processing not capturing all email addresses properly
Fix a performance issue with searching for subscribers and it returning a lot of results
Fix a couple of issues with charts & date rangs in statistics
Allow 0 as a value in a custom field
Update description in subscriber importing
Update version number

Files changed
-------------
	version.txt
	admin/functions/init.php
	admin/functions/stats.php
	admin/functions/stats_chart.php
	admin/functions/api/bounce.php
	admin/functions/api/customfields.php
	admin/functions/api/subscribers.php
	admin/includes/templates/settings.tpl
	admin/includes/templates/subscribers_import_step3.tpl
	admin/language/language.php
	admin/language/subscribers.php


***************************************
*    Changelog for SendStudio NX 1.3  *
***************************************
7th November, 2007
-------------------

Bugfixes
--------
*** Changed the Lists_API::Find method so it doesn't return a multi-dimensional array. It now returns a single item instead.

Check for subjects when saving an autoresponder or email campaign
Fix issue with IE and sendstudio over SSL
Fix permission issue with email campaign administrators
Fix problem with logging in to sendstudio when running on a non-standard port
Ignore .svn folders for built in templates
New form design called "Printable Form"
Fix some issues with date calculations for yesterday, today and tomorrow
Fix issue with changing the form type when you create a website form
Show a "cancel" button in when you are not sending via cron
Fix possible issue with sessions and cookies
Design and Usability changes
Update archives examples based on other changes
Always show the mailing list name when you add or manage subscribers
Before saving email addresses, trim leading & trailing spaces off them
Fix issue with custom fields not being replaced in rare cases
Fix issue with quickstats rollovers
Fix issue with unsubscribe forms and captcha
Hide option to add to autoresponders when importing if the user doesn't have any autoresponders
More efficient checking of autoresponder queues
When copying an autoresponder, template or newsletter, make sure to copy any image libraries as well
Fix possible issue with images not uploading for an autoresponder correctly
If you have an unsusbcribe link in your user footer or the global footer, don't show a warning message about it not being there
Update some of the built in tutorials
Stop an error from showing up if you had a comma in a mailing list name
Change built-in template design
Fix problem with error urls having query strings
Fix problem with being over per-month sending limits
Fix problem where admin user would not see all forms in the custom-fields popup window
Fix "exact" searching based on subscriber dates
Fix a scheduled count-down issue
Fix utf-8 characters in email subjects not coming through correctly
Fix a backwards compatibility issue for old forms
Fix an issue with deleting subscribers
Fix an issue with importing dates
Fix sorting by "hours after subscription" in statistics
If you send to more than one mailing list, break up the list names to be a max of 4 per line
Better check for a user not having sent a newsletter
Fix issue where you couldn't change the date range in statistics
Fix bug - not setting the email character set for forms
Fix a bug with user permissions and creating user-admins
Fix a bug with smtp sending and the number of connections it created
Fix bug where creating a text-only autoresponder removed the option to track links
Fix filtering by email or domain name issues in autoresponders
Fix forgot password issues
Fix for invalid utf-8 characters causing timeout issues
Fix a quickstats issue
Performance improvements for searching subscribers
Performance improvements for statistics
Performance improvements for banned email checking
Fix template access bug
Automatic bounce processing improvements
Fix bug retrieving a list of files to attach to an email campaign
Fix language changing bug (changing month variables didn't do anything)
Fix a bug where duplicate subscribers would be exported if a subscriber would open a single email multiple times
Fix top 10 domains not showing bounce / unsubscribe / forwarding information correctly
Fix issue with incorrectly tracking %%webversion%% and other types of built in links
Fix issue with spaces in custom field names and link tracking

Features Added
--------------
Separate the user editing page out in to tabs
Show the number of autoresponders per list when you create or manage autoresponders
Show a helptip next to each wysiwyg editor area in forms
When viewing mailing list stats, separate out confirmed/unconfirmed subscribers
Add 'view email in different email programs' functionality
Allow tracking of custom field placeholders in links
Link to the 'subject' tutorial when creating or editing an autoresponder or newsletter
If a subscriber doesn't click "Display images" record an open if a link is clicked
In statistics, record the type of link or open a subscriber uses (html/text)
Show better help information when looking at importing, exporting and managing subscribers
Add an option to search for or export people who have or have not clicked a link or opened a newsletter
Add option to enable or disable the wysiwyg editor per sendstudio user
Add basic spam checking into sendstudio
Allow spaces, dots or commas in number custom fields
FTP a file up to the sendstudio admin/import folder and have sendstudio pick it up directly from the server
Add an option for a "system message" on the front page. You can set this from the settings page (this turns in to a "did you know" box if the user has info tips enabled and there is no system message).
Add option to import subscriber ip from a csv file. If they are confirmed, it will be their confirmation ip, otherwise it will be their request ip
Add company name/address/phone to mailing lists and make sure they work in an email as a custom field replacement
Add a "view" link on the manage schedule page so you can quickly preview the newsletter you are sending
In subscriber notifications, if a field is empty, put in "[ this information was not entered ]" (fixes a problem with email notifications)
When doing an import, try to automatically select the fields to match up
Fix problem with uploading non-ascii characters in a html file
Add option to be able to search/filter/send/export by multiple checkboxes with the choice of whether to include all or any of the options chosen
You can now search or send to multiple dropdown options at the same time
Automatically create hidden links for modify-details or send-to-friend forms
Allow sending multiple previews at once
Make the subscriber import reporting more visible
Add "Get Text version from HTML content" in forms and email campaigns, templates and autorespondders
Display the newsletter subject before the campaign is sent (ie on the last step)
Cron jobs can have different run frequencies. This allows you to run bounce processing once every 2 hours but scheduled sending every 2-3 minutes
Allow using the subscriber ip address in email campaigns/autoresponders
Export bounce info if you export 'bounced' subscribers
Export subscriber ip address if ip tracking is enabled
Show email size when saving an email campaign or autoresponder
Show email size before sending a newsletter
Add "test bounce info" to the mailing list edit screen and also on the settings page
Add "Test smtp details" to the settings page and also per sendstudio user
Option to allow or disallow embedded images (or turn them off by default)
Option to disable attachments
Put tabs on the settings page and add more information (version numbers etc)
Add a preview tab to the editor
Add page properties to the editor
Turn table guidelines on by default
Usability & design changes
Add option to import file from the server instead of having to upload it

Files changed
-------------
	archives.php
	confirm.php
	form.php
	link.php
	open.php
	send_friend.php
	unsubform.php
	unsubscribe.php
	updatedetails.php
	users/form.php
	admin/cron/*.php
	admin/functions/api/api.php
	admin/functions/api/autoresponders.php
	admin/functions/api/bounce.php
	admin/functions/api/customfields_date.php
	admin/functions/api/customfields_number.php
	admin/functions/api/email.php
	admin/functions/api/jobs.php
	admin/functions/api/jobs_autoresponders.php
	admin/functions/api/jobs_send.php
	admin/functions/api/lists.php
	admin/functions/api/newsletters.php
	admin/functions/api/send.php
	admin/functions/api/settings.php
	admin/functions/api/spam_check.php
	admin/functions/api/ss_email.php
	admin/functions/api/stats.php
	admin/functions/api/subscribers.php
	admin/functions/api/upgrade.php
	admin/functions/api/user.php
	admin/functions/autoresponders.php
	admin/functions/charts/charts.php
	admin/functions/forms.php
	admin/functions/index.php
	admin/functions/init.php
	admin/functions/lib/general/convertdate.php
	admin/functions/lib/general/general.php
	admin/functions/lib/general/utf8.php
	admin/functions/lib/session/session.php
	admin/functions/lists.php
	admin/functions/login.php
	admin/functions/manageaccount.php
	admin/functions/newsletters.php
	admin/functions/preview.php
	admin/functions/remote.php
	admin/functions/schedule.php
	admin/functions/send.php
	admin/functions/sendstudio_functions.php
	admin/functions/settings.php
	admin/functions/showcustomfields.php
	admin/functions/stats.php
	admin/functions/stats_chart.php
	admin/functions/subscribers.php
	admin/functions/subscribers_banned.php
	admin/functions/subscribers_export.php
	admin/functions/subscribers_import.php
	admin/functions/subscribers_manage.php
	admin/functions/templates.php
	admin/functions/users.php
	admin/images/help2.gif
	admin/images/image_toolbaricon.gif
	admin/includes/styles/ie.css
	admin/includes/styles/stylesheet.css
	admin/includes/styles/tabmenu.css
	admin/includes/templates/autoresponder_form_step2.tpl
	admin/includes/templates/autoresponder_form_step3.tpl
	admin/includes/templates/autoresponder_form_step4.tpl
	admin/includes/templates/autoresponders_create_step1.tpl
	admin/includes/templates/autoresponders_manage_empty.tpl
	admin/includes/templates/autoresponders_no_lists.tpl
	admin/includes/templates/autoresponders_step1.tpl
	admin/includes/templates/bounce_test_window.tpl
	admin/includes/templates/clicked_link.tpl
	admin/includes/templates/clicked_link_advanced.tpl
	admin/includes/templates/customfield_form_edit.tpl
	admin/includes/templates/customfield_form_step1.tpl
	admin/includes/templates/customfield_form_step2.tpl
	admin/includes/templates/customfield_form_step2_checkbox.tpl
	admin/includes/templates/customfield_form_step2_checkbox_list.tpl
	admin/includes/templates/customfield_form_step2_dropdown.tpl
	admin/includes/templates/customfield_form_step2_dropdown_list.tpl
	admin/includes/templates/customfield_form_step2_radiobutton.tpl
	admin/includes/templates/customfield_form_step2_radiobutton_list.tpl
	admin/includes/templates/customfield_search_checkbox.tpl
	admin/includes/templates/customfield_search_checkbox_filtertype.tpl
	admin/includes/templates/customfield_search_dropdown.tpl
	admin/includes/templates/customfields_manage_empty.tpl
	admin/includes/templates/design_rules_broken_footer.tpl
	admin/includes/templates/design_rules_broken_frame.tpl
	admin/includes/templates/design_rules_broken_header.tpl
	admin/includes/templates/design_rules_broken_row.tpl
	admin/includes/templates/editor_html_no_wysiwyg.tpl
	admin/includes/templates/editor_multipart.tpl
	admin/includes/templates/form_editor_html.tpl
	admin/includes/templates/form_editor_text.tpl
	admin/includes/templates/form_form_confirmpage.tpl
	admin/includes/templates/form_form_sendfriendpage.tpl
	admin/includes/templates/form_form_step1.tpl
	admin/includes/templates/form_form_step2.tpl
	admin/includes/templates/form_form_thankspage.tpl
	admin/includes/templates/forms_manage_empty.tpl
	admin/includes/templates/header.tpl
	admin/includes/templates/header_popup.tpl
	admin/includes/templates/index.tpl
	admin/includes/templates/index_didyouknow.tpl
	admin/includes/templates/index_system_message.tpl
	admin/includes/templates/javascript.js
	admin/includes/templates/lists_form.tpl
	admin/includes/templates/lists_manage.tpl
	admin/includes/templates/lists_manage_empty.tpl
	admin/includes/templates/newsletter_create_button.tpl
	admin/includes/templates/newsletter_form_step2.tpl
	admin/includes/templates/newsletter_send_button.tpl
	admin/includes/templates/newsletters_manage.tpl
	admin/includes/templates/newsletters_manage_empty.tpl
	admin/includes/templates/opened_newsletter.tpl
	admin/includes/templates/opened_newsletter_advanced.tpl
	admin/includes/templates/preview_window_frameset.tpl
	admin/includes/templates/preview_window_topframe.tpl
	admin/includes/templates/quickstats.tpl
	admin/includes/templates/send_step1.tpl
	admin/includes/templates/send_step2.tpl
	admin/includes/templates/send_step3.tpl
	admin/includes/templates/send_step4.tpl
	admin/includes/templates/send_step4_cron.tpl
	admin/includes/templates/settings.tpl
	admin/includes/templates/settings_autoresponders_disabled_report.tpl
	admin/includes/templates/settings_cron_option.tpl
	admin/includes/templates/settings_disabled_report.tpl
	admin/includes/templates/spam_check_empty.tpl
	admin/includes/templates/spam_check_footer.tpl
	admin/includes/templates/spam_check_header.tpl
	admin/includes/templates/spam_check_row.tpl
	admin/includes/templates/spam_check_row_empty.tpl
	admin/includes/templates/spam_check_row_not_broken.tpl
	admin/includes/templates/spam_check_subfooter.tpl
	admin/includes/templates/spam_check_subheader.tpl
	admin/includes/templates/stats_autoresponders_empty.tpl
	admin/includes/templates/stats_autoresponders_manage.tpl
	admin/includes/templates/stats_list_empty.tpl
	admin/includes/templates/stats_list_step3.tpl
	admin/includes/templates/stats_list_step3_domains.tpl
	admin/includes/templates/stats_list_step3_row.tpl
	admin/includes/templates/stats_manage_empty.tpl
	admin/includes/templates/stats_newsletter_manage_row.tpl
	admin/includes/templates/stats_newsletters_step3.tpl
	admin/includes/templates/stats_step3_opens.tpl
	admin/includes/templates/stats_step3_opens_row.tpl
	admin/includes/templates/stats_users_sendsummary_step3_empty.tpl
	admin/includes/templates/subscriber_manage_step1.tpl
	admin/includes/templates/subscriber_manage_step2.tpl
	admin/includes/templates/subscriber_search_step2.tpl
	admin/includes/templates/subscribers_add_step2.tpl
	admin/includes/templates/subscribers_banned_add.tpl
	admin/includes/templates/subscribers_export_step1.tpl
	admin/includes/templates/subscribers_import_step2.tpl
	admin/includes/templates/subscribers_no_lists.tpl
	admin/includes/templates/template_create_button.tpl
	admin/includes/templates/templates_builtin_manage.tpl
	admin/includes/templates/templates_manage.tpl
	admin/includes/templates/templates_manage_empty.tpl
	admin/includes/templates/user_edit_own.tpl
	admin/includes/templates/user_form.tpl
	admin/index.php
	admin/language/autoresponders.php
	admin/language/bounce.php
	admin/language/forms.php
	admin/language/frontend.php
	admin/language/index.php
	admin/language/infotips.php
	admin/language/language.php
	admin/language/lists.php
	admin/language/newsletters.php
	admin/language/schedule.php
	admin/language/send.php
	admin/language/settings.php
	admin/language/showcustomfields.php
	admin/language/stats.php
	admin/language/subscribers.php
	admin/language/upgrades/20070701/*.php
	admin/language/users.php
	admin/resources/bounce_rules.php
	admin/resources/design_rules/*.*
	admin/resources/form_designs/Printable Form
	admin/resources/spam_check_other.php
	admin/resources/spam_check_spamassassin.php
	admin/resources/tutorials/

*****************************************
*    Changelog for SendStudio NX 1.1.4  *
*****************************************

29th June, 2007
---------------
Bump version numbers
	admin/functions/init.php
	version.txt

Update wysiwyg editor
	admin/de

*****************************************
*    Changelog for SendStudio NX 1.1.3  *
*****************************************

22nd June, 2007
---------------
Bump version numbers
	admin/functions/init.php
	version.txt

Better handling of errors when sending a preview or test email
	admin/functions/sendstudio_functions.php
	admin/functions/settings.php
	admin/language/language.php
	admin/language/settings.php

Update wysiwyg editor
	admin/de

Add new feature on the settings page to allow us to do database upgrades in between versions.
When there is a database upgrade that needs to be done a message will be displayed on the settings page.
	admin/functions/init.php
	admin/functions/settings.php
	admin/functions/api/settings.php
	admin/functions/api/upgrade.php
	admin/language/settings.php
	admin/includes/templates/settings.tpl

Fix an issue with backwards compatible forms
	users/form.php

More bounce rules
	admin/resources/bounce_rules.php

Re-organise the quickstats queries to increase performance
	admin/functions/index.php
	admin/functions/api/stats.php
	admin/functions/api/subscribers.php

Fix issue with lists api
	admin/functions/api/lists.php

Fix issue with displaying custom field names when creating/editing forms
	admin/functions/forms.php

Fix issue with manage schedule count down where it could show "0 days" in some cases
	admin/includes/templates/schedule_manage.tpl

Rename "total subscribers" to "total active subscribers" on the quickstats sidebar
	admin/language/index.php

Fix issue with notifications an unsubscribe forms
	unsubform.php

Fix issue with checkboxes & changing format preference on modify details forms
	modifydetails.php
	updatedetails.php

Missing language variable
	admin/language/stats.php

Fix issue for graphs when the language files have been translated
	admin/functions/stats_chart.php

Fix an smtp authentication issue
	admin/functions/api/email.php

Fix error messages being displayed when processing bounced emails
	admin/functions/api/bounce.php

Replace custom field information in tracked links
	link.php

Add undo/redo in by default for wysiwyg editor
	admin/functions/sendstudio_functions.php

*****************************************
*    Changelog for SendStudio NX 1.1.2  *
*****************************************

13th June, 2007
---------------
Bump version numbers
	admin/functions/init.php
	version.txt

Make forms backwards compatible (NEW FILE)
	users/form.php

Fix problem with unsubscribing from multiple lists
	unsubscribe.php
	admin/functions/api/subscribers.php

Fix issue with timezones & "today/tomorrow/yesterday" calculations
	admin/functions/sendstudio_functions.php

Fix subscribing to multiple lists - it now ignores any lists you are already subscribed to (only if you are not subscribed to all)
	form.php

Fix issue with "form contents have been modified" message showing up when it shouldn't
	admin/functions/forms.php

Fix up design issue for modify-details forms (they were missing end of table tags)
	admin/resources/form_designs/*/modifydetails.html

Fix up design issue for send-to-friend forms (body tag was in the wrong place)
	admin/resources/form_designs/*/sendtofriend.html

Fix issue when sending a modify-details form to multiple lists
	modifydetails.php

Fill in textarea fields for modify-details forms
	admin/functions/api/forms.php

Fix an issue with multipart emails
	admin/functions/api/send.php
	admin/functions/api/ss_email.php
	admin/functions/api/email.php

Fix some issues with bounce processing
	admin/functions/api/bounce.php

Fix issue with previewing a text-only newsletter
	admin/functions/preview.php

Re-order the bounce rules so soft-bounces are handled before hard-bounces
	admin/resources/bounce_rules.php

Put the mailing list name(s) in the notification subjects
	confirm.php
	form.php
	unsubscribe.php
	admin/language/frontend.php

Fix issue with unsubscribe notifications
	unsubform.php

Macs dont have the "tahoma" font, so have arial as a fall back in the stylesheet
	admin/includes/styles/stylesheet.css

Fix issue with deleting bounced subscribers
	admin/functions/api/subscribers.php

*****************************************
*    Changelog for SendStudio NX 1.1.1  *
*****************************************

30th May, 2007
--------------

Updated the wysiwyg editor
	admin/de folder

Fix issue with Internet Explorer not doing the cron-count down properly when sending to multiple lists.
	admin/functions/schedule.php
	admin/includes/templates/schedule_manage.tpl
	admin/includes/templates/schedule_manage_row.tpl

Re-order the user html & text footers so they are consistent through-out the application
	admin/includes/templates/user_edit_own.tpl
	admin/includes/templates/user_form.tpl

Change the "send search step 2" message to make things a little clearer about how you send to all subscribers
	admin/language/send.php

When you copy an autoresponder, template or newsletter, it will show an error if images or attachments were not copied successfully.
	admin/functions/autoresponders.php
	admin/functions/newsletters.php
	admin/functions/templates.php
	admin/functions/api/autoresponders.php
	admin/functions/api/newsletters.php
	admin/functions/api/templates.php
	admin/language/autoresponders.php
	admin/language/newsletters.php
	admin/language/templates.php

If the config file is missing but we have a backup, use the backup to restore the missing config file.
	admin/functions/init.php
	admin/functions/api/settings.php

If a user doesn't have access to bounce information, hide it when you create or edit a form, autoresponder, or send a newsletter
	admin/functions/autoresponders.php
	admin/functions/forms.php
	admin/functions/lists.php
	admin/functions/send.php
	admin/includes/templates/autoresponder_form_step3.tpl
	admin/includes/templates/form_emailoptions.tpl
	admin/includes/templates/send_step3.tpl

Fix per-month email credits display counter to count down properly
	admin/functions/sendstudio_functions.php
	admin/functions/api/user.php

Character set fix for when you upload a file into the wysiwyg editor
	admin/includes/templates/editor_fileupload.tpl

Character set fix for when you preview a newsletter, template or autoresponder
	admin/functions/preview.php

Fix handling of the global html footer
	admin/functions/api/send.php
	admin/functions/api/jobs_send.php
	admin/functions/api/jobs_autoresponders.php
	admin/functions/settings.php
	admin/functions/sendstudio_functions.php

Memory & performance improvements when sending large amounts of email
Fix an issue when sending through an smtp server
	admin/functions/api/email.php
	admin/functions/api/ss_email.php
	admin/functions/api/send.php

More bounce rules
	admin/resources/bounce_rules.php

Fix an error in a langauge variable
	admin/language/lists.php

Fix an error when viewing send-to-friend / modify-details forms inside sendstudio
	admin/functions/forms.php

Fix displaying multiline customfield code in a form
	admin/functions/api/customfields_textarea.php

Fix a permission issue when doing a mass-action for autoresponders
	admin/functions/autoresponders.php

Fix a safe-mode issue when trying to get content from a url.
	admin/functions/sendstudio_functions.php

Bump version number.
	admin/functions/init.php
	version.txt

*****************************************
*    Changelog for SendStudio NX 1.1.0  *
*****************************************

17th May, 2007
--------------
***************************************************
******************* PLEASE READ *******************
***************************************************
* Unfortunately due to the way character sets were previously handled, all files in SendStudio NX have been changed.
* This fixes non-English character sets (eg Chinese, Japanese, Arabic).
*
* The default character set will be changed to "UTF-8" if it is not currently set to "Western Alphabet (ISO-8859-1)".
*
* Before you start, remove the sendstudio/admin/resources/email_templates folder.
* The templates have been re-organised into subfolders, so if you don't clean them out first you will end up with duplicates.
* If you have purchased a template pack, you will need to re-upload your other templates.
***************************************************

All files will need updating in the following folders:

- /sendstudio/admin/functions/* (AND ALL SUBFOLDERS).
- /sendstudio/admin/cron/*
- /sendstudio/admin/resources (EXCEPT the admin/resources/user_bounce_rules.php file)
- /sendstudio/*.php

Specific Language File Changes
------------------------------
/sendstudio/admin/language/language.php
/sendstudio/admin/language/templates.php
/sendstudio/admin/language/timezones.php
/sendstudio/admin/language/settings.php
/sendstudio/admin/language/charactersets.php
/sendstudio/admin/language/newsletters.php
/sendstudio/admin/language/users.php
/sendstudio/admin/language/forms.php
/sendstudio/admin/language/stats.php
/sendstudio/admin/language/bounce.php

Specific Template File Changes
------------------------------
/sendstudio/admin/includes/templates/settings.tpl
/sendstudio/admin/includes/templates/send_step3.tpl
/sendstudio/admin/includes/templates/autoresponder_form_step3.tpl
/sendstudio/admin/includes/templates/form_form_step1.tpl
/sendstudio/admin/includes/templates/user_form.tpl
/sendstudio/admin/includes/templates/user_edit_own.tpl
/sendstudio/admin/includes/templates/newsletter_form_step1.tpl
/sendstudio/admin/includes/templates/lists_form.tpl
/sendstudio/admin/includes/templates/user_form.tpl
/sendstudio/admin/includes/templates/header.tpl
/sendstudio/admin/includes/templates/form_form_step1.tpl
/sendstudio/admin/includes/templates/form_edit_html.tpl
/sendstudio/admin/includes/templates/templates_builtin_manage.tpl
/sendstudio/admin/includes/templates/templates_builtin_manage_row.tpl

** new file **
/sendstudio/admin/includes/templates/templates_builtin_manage_cell.tpl


Stylesheet Changes
------------------
admin/includes/styles/stylesheet.css

Added Features
--------------
- Can set default bounce information on the Settings page for when you create a new mailing list

- Reorganise settings page to make it easier to follow

- 3 new user permissions
-- Allow or disallow a user to be able to see smtp information in their "My Account" settings
-- Allow or disallow a user to see "Built In Templates"
-- Allow or disallow a user to see "Bounce Information" when they create or edit a mailing list


These are all *OFF* by default (the user does *NOT* have access to these features).
To allow access, edit their user account and tick the appropriate permissions.


- Show email credits left for a user if applicable under the time information on the top right corner.

Other Fixes
-----------
-- Modify details forms were not pre-filling some custom field options.

If you have a modify details form with:
- date boxes
- captcha
- checkboxes

you will need to regenerate the html.

To do this, edit the appropriate form, untick an option and retick it.
You will get a warning about the contents being changed, hit "YES" and edit the new html.

-- More bounce rules
/sendstudio/admin/resources/bounce_rules.php


*****************************************
*    Changelog for Sendstudio NX 1.0.6  *
*****************************************
3rd May, 2007
-------------
Fix a javascript error in IE
	admin/includes/templates/stats_step3_bounces_empty.tpl
	admin/includes/templates/stats_step3_bounces.tpl

Permission checks were too restrictive
	admin/functions/api/user.php

Always include a maxlength for text customfields.
	admin/functions/api/customfields_text.php

Bounce processing updated
	admin/functions/api/bounce.php
	admin/functions/bounce.php
	admin/functions/api/jobs_bounce.php
	admin/cron/bounce.php

Month language variables weren't referenced properly.
Fix up an issue with "tomorrow" being shown incorrectly.
	admin/functions/sendstudio_functions.php

Add %%subscribedate%%" into the show custom fields window.
	admin/functions/showcustomfields.php
	admin/language/showcustomfields.php

Fix an issue with embedded images and weird 'url' tags in stylesheets.
	admin/functions/api/email.php

Added new tutorial instead of it referencing the interspire website.
	admin/resources/tutorials/increase_your_email_open_rate.html
	admin/resources/tutorials/index.html
	admin/resources/tutorials/most_popular_headlines.html

Fix an issue with displaying stats if a user has been deleted.
	admin/functions/api/stats.php

Bump version number
	admin/functions/init.php
	version.txt

*****************************************
*    Changelog for Sendstudio NX 1.0.5  *
*****************************************
30th April, 2007
-------------------
*** Will need to regenerate HTML Forms again to make this work ***
Another fix for captcha not working (especially in IE & on a remote site)
	admin/functions/forms.php
	admin/functions/api/forms.php
	admin/functions/api/captcha.php

Put the p3p header (for IE browsers) before the expiry etc of the captcha images
	admin/functions/api/captcha.php

Add option to set maximum width & height of image uploads on the settings page
	admin/functions/init.php
	admin/functions/settings.php
	admin/functions/api/settings.php
	admin/language/settings.php
	admin/includes/templates/settings.tpl
	admin/functions/sendstudio_functions.php

Fix a template reading issue for forms
	admin/functions/api/forms.php

When you click "view" next to a send-to-friend form or modify details form,
display the user-modified html.
	admin/functions/forms.php

A send-to-friend form should use the user-modified html content
	sendfriend.php

Fix importing checkbox custom fields. You can use either the 'value' or the description.
	admin/functions/api/customfields_checkbox.php

Add another language variable specifically for the datetime picker when you send a newsletter
	admin/language/language.php
	admin/functions/sendstudio_functions.php

If rows or columns are specified, include them in the html output by this custom field.
	admin/functions/api/customfields_textarea.php

Another method to try and stop errors from being displayed by imap functions.
	admin/functions/api/bounce.php

Importing fixes (speed, the bad data counter wasn't being updated correctly)
	admin/functions/subscribers_import.php
	admin/language/subscribers.php
	admin/functions/api/customfields.php

Fix an issue with custom fields & signing up to multiple lists.
	form.php

Set the smtp password correctly when doing a test from the settings page.
	admin/functions/settings.php

Add some more debug lines for smtp sending
	admin/functions/api/email.php

A fix for sending through an smtp server when it is specified on the settings page.
	admin/functions/api/jobs_autoresponders.php
	admin/functions/api/send.php
	confirm.php
	form.php
	send_friend.php
	unsubform.php
	unsubscribe.php
	updatedetails.php
	admin/functions/sendstudio_functions.php

Stop duplicate bounces from being recorded if a bounce process gets interrupted
	admin/functions/api/bounce.php
	admin/functions/api/subscribers.php

Fix up some permission checking
	admin/functions/templates.php
	admin/functions/autoresponders.php
	admin/functions/lists.php

Add more information into the cron emails about bounce processing not working
	admin/functions/api/jobs_bounce.php
	admin/language/bounce.php

Can use a different port to connect to the bounced-email server
	admin/functions/api/bounce.php
	admin/language/bounce.php

Add "%%unsubscribe%%" as a valid placeholder
	admin/functions/api/ss_email.php

Redirect to the full sendstudio url if its set up
	admin/index.php
	index.php

Fix for displaying really long urls in statistics.
	admin/includes/templates/stats_step3_links_row.tpl

Fix a problem with exporting custom field data
	admin/functions/subscribers_export.php

Fix a problem with displaying the cron path on windows.
	admin/functions/settings.php

Step 3 of the autoresponder now hides the html-specific details when the user chooses to send text e-mails.
	admin/functions/autoresponders.php
	admin/language/autoresponders.php
	admin/includes/templates/autoresponder_form_step3.tpl

Fix an issue when using the API for granting access to a whole area (eg 'forms').
	admin/functions/api/user.php

change the notice about changing the bounce rules
	admin/language/bounce.php

Bounce handling improvements
	admin/functions/api/bounce.php

Added some more bounce rules
	admin/resources/bounce_rules.php

Added a new file for users to specify their bounce rules in.
This allows us to keep updating our rules and not have it interfere with any user-specified rules.
	admin/resources/user_bounce_rules.php

Fix a problem with creating 'jobs' (sending jobs etc).
	admin/functions/api/jobs.php

Added new option to save bounce information when processing bounces.
	admin/includes/templates/bounce_step3.tpl
	admin/includes/templates/bounce_step2.tpl
	admin/functions/bounce.php
	admin/language/bounce.php

Change capitalization of 'Use Extra Mail Settings'
	admin/language/lists.php

Change default sortorder of email addresses from descending to ascending
	admin/functions/subscribers_manage.php
	admin/functions/api/subscribers.php

Check for session.auto_start before starting a sendstudio session
	admin/functions/init.php

Fix some spelling mistakes
	admin/resources/tutorials/import_tutorial.html

Fix for '%%webversion%%' in autoresponders
	display.php
	admin/functions/api/autoresponders.php

Add confirmlink to the list of custom fields to show in the popup window
	admin/functions/showcustomfields.php
	admin/language/showcustomfields.php

Change "let me choose" to be more descriptive for the lists & templates dropdowns when creating/editing a user.
	admin/language/users.php

Fix 'delete' subscriber permissions
	admin/functions/sendstudio_functions.php
	admin/functions/subscribers.php
	admin/functions/subscribers_remove.php

Fix for valid email checking
	admin/functions/api/subscribers.php

Fix checking for imap support in cron
	admin/cron/bounce.php

Add new 'blockedcontent' bounce type
	admin/language/stats.php
	admin/resources/bounce_rules.php

Hardcode the session save path (the editor uses the same path).
	admin/functions/lib/session/session.php

*****************************************
*    Changelog for Sendstudio NX 1.0.4  *
*****************************************
16th April, 2007
-------------------
Fix captcha not changing properly.
*** Will need to regenerate HTML Forms again to make this work ***
	admin/functions/api/captcha.php
	admin/functions/api/form.php
	admin/functions/lib/session/session.php

Show more mailing lists when displaying the dropdown options
Changed from 7 to 9, and make the dropdown boxes wider
	admin/includes/templates/autoresponders_create_step1.tpl
	admin/includes/templates/autoresponders_step1.tpl
	admin/includes/templates/bounce_step1.tpl
	admin/includes/templates/send_step1.tpl
	admin/includes/templates/subscriber_manage_step1.tpl
	admin/includes/templates/subscribers_add_step1.tpl
	admin/includes/templates/subscribers_banned_step1.tpl
	admin/includes/templates/subscriber_search_step1.tpl
	admin/includes/templates/subscribers_export_step1.tpl
	admin/includes/templates/subscribers_import_step1.tpl
	admin/includes/templates/subscribers_remove_step1.tpl

Remove the doctype from built in newsletter templates
	admin/resources/email_templates/*/index.html

Put some extra security checks into the email api's
Stop bad characters in headers, subjects, to & rcpt_to addresses.
	admin/functions/api/email.php
	admin/functions/api/ss_email.php

Fix permission checking for templates
	admin/functions/api/templates.php

When creating an autoresponder, change the default for
'Match Format' option from 'HTML' to 'Either Format'
	admin/functions/autoresponders.php

Stop autoresponder schedule bug.
	admin/functions/api/jobs_autoresponders.php

Remove option of server timezone from the installer.
	admin/functions/installer.php

Change permission messages based on whether you are on a *nix or windows server
	admin/functions/installer.php
	admin/functions/upgrade.php

Added a check to see if you are upgrading between NX versions
	admin/functions/upgrade.php

Use absolute path when fetching the wysiwyg editor
	admin/functions/sendstudio_functions.php

Update WYSIWYG editor
	admin/de folder

Fix issues with confirmation emails
	confirm.php
	unsubform.php

Bounce processing updates
	admin/functions/api/bounce.php
	admin/functions/api/subscribers.php
	admin/resources/bounce_rules.php

Bump version number.
	admin/functions/init.php
	version.txt
